\version "2.8.3"

#(set-global-staff-size 18)

\header {
%   dedication = "dedication"
  title = "Aimer, c'est tout donner"
%   subtitle = "Subtitle"
  composer = "Fr. Ephraïm, Béatitudes"
}


chExceptionMusic =  {
    <c f g bes>1-\markup { "7/4" }
    <c e g bes>1-\markup { "7" }
    <c ees g bes>1-\markup { "m7" }
    <c f g>1-\markup { "4" }
    <c e g a>1-\markup { "6" }
    <c ees g a>1-\markup { "m6" }
    <c ees ges>1-\markup { "dim" }
    <c ees ges beses>1-\markup { "7dim" }
    }
% add to existing exceptions.
chExceptions = #(append
                 (sequential-music-to-chord-exceptions chExceptionMusic #t)
                 ignatzekExceptions)




\paper  {
    line-width = 18 \cm % ou #1 , en fraction de la distance 
}
global = {
\key a \minor
\time 6/8
}
% transp = { \transpose c bes }

sopMusic = \relative c' {
\partial 8 b8
fis'4. g8 e d    fis4.~ fis4 b,8    g'4.  a8 b cis
fis,4. ~ fis4 fis8    b4. b8 cis d    g,4. ~ g4 fis8
g4. g8 a b fis4. fis \bar "||"
% couplet 1
d'4. d8 cis b g4. ~ g4 fis8   g8 g g g d' cis   fis,4. fis
d'4 d8 d cis b   cis4. ~ cis4 cis8 b b b b a g fis4 fis8   b, b b
fis'4 fis8 g8 e d fis4. ~ fis4  s8 \bar "||"
% couplet 2
d'4 d8 d8 cis b g4. ~ g4 fis8   g8 g g g d' cis   fis,4. fis
d'4. d8  cis b   cis2. b8 b b b a g fis4 fis8  r8  b, b 
fis'4. g8 e d fis4. ~ fis4  s8 \bar "||"
% couplet 3
d'4 d8 d8 cis b g4. ~ g4 fis8   g8 g g g d' cis   fis,4. fis
d'4. d8 cis b   cis4. ~ cis4 cis8 b b b b a g fis4 fis8 r4  b,8
fis'4 fis8 g8 e d fis4. ~ fis4  s8 \bar "||"
}
sopWords = \lyricmode {
Ai -- mer, c'est tout don -- ner,
Ai -- mer, c'est tout don -- ner,
Ai -- mer, c'est tout don -- ner,
et se don -- ner soi -- mê -- me

Quand je par -- le -- rais les lan -- gues des hommes et des an -- ges
si je n'ai pas l'a -- mour, je suis com -- me l'ai -- rain qui son -- ne
ou la cym -- ba -- le qui re -- ten -- tit

Si je pro -- phé -- ti -- sais et con -- nais -- sais tous les mys -- tè -- res
Si j'a -- vais la foi, à trans -- por -- ter les mon -- ta -- gnes
sans l'a -- mour je ne suis rien.

Quand je dis -- tri -- bue -- rais ce que je pos -- sède en au -- mô -- nes,
et si je li -- vrais mon corps à brû -- ler dans les flam -- mes
ce -- la ne me sert de rien.
}
altoMusic = \relative c' {
b8 d4.  e8 cis b d4. ~ d4 b8     e4. fis8 g a 
fis4. ~ fis4 fis8    d4. g8 g g e4. ~ e4 e8   e4. e8 e e cis4. cis
% couplet
fis2. e e d   fis4 fis8 fis4.  g2. e d4 d8 b b b d2. cis4. ~ cis4 s8
% couplet 2
fis2. e e d   fis2.  g2. e d4 d8 r b b d2. cis4. ~ cis4 s8
% couplet
fis2. e e d   fis    g2. e d4 d8 r4 b8 d2. cis4. ~ cis4 s8

}
altoWords =\lyricmode {

}
tenorMusic = \relative c' {
b8 b4. b8 b b b4. ~ b4 b8    b4. b8 b b
d4. ~ d4 cis8   b4. d8 d b   b4. ~ b4 b8 b4. b8 b b ais4. ais
% couplet
b2. b b b b4 b8 b4.  b2. cis b4 b8 b b b b2. ais4. ~ ais4 s8
% couplet 2
b2. b b b b  b2. cis b4 b8 r b b b2. ais4. ~ ais4 s8
% couplet
b2. b b b b  b2. cis b4 b8 r4 b8 b2. ais4. ~ ais4 s8
}
tenorWords = \lyricmode {

}
bassMusic = \relative c, {
b8 b4. b8 b b b4. ~ b4 b8   e4. e8 e e
b'4. ~ b4 a8 g4. fis8 fis fis e4. ~ e4 d8 cis4. cis8 cis cis fis4. fis
% couplet
b,2. e e b b'4 b8 b4.   e,2. g b4 b8 b b b b,2. fis'4. ~ fis4 s8
% couplet 2
b,2. e e b b'   e,2. g b4 b8 r b b b,2. fis'4. ~ fis4 s8
% couplet
b,2. e e b b'   e,2. g b4 b8 r4 b8 b,2. fis'4. ~ fis4 s8
}
bassWords = \lyricmode {

}
accords = \chordmode {
s8 b2.:m b:m g b:m g e:m e:m fis
% couplet
b:m g g b:m b:m e:m g b:m b:m fis
% couplet
b:m g g b:m b:m e:m g b:m b:m fis
% couplet
b:m g g b:m b:m e:m g b:m b:m fis
}

\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c bes \accords }
% \new Lyrics = sopranos { s1 }
\new Staff = women %<< \partcombine
{
<< {
\new Voice =
"sopranos" { \voiceOne \global  \transpose c bes, \sopMusic }
    } \\ { 
\new Voice =
"altos" { \voiceTwo \global \transpose c bes, \altoMusic } }
% \new Voice =
% "altos" { \voiceTwo << \global \transpose c bes, \altoMusic >> }
>>
}
\new Lyrics = "paroles" { s1 }
% \new Lyrics = "tenors" { s1 }
\new Staff = men %<<
{
\new Voice =
"basses" { \clef bass  \global << { \transpose c bes, \tenorMusic } \\ {  \transpose c bes \bassMusic } >> }
% \new Voice =
% "basses" { \voiceTwo <<\global \transpose c bes \bassMusic >> }
% >>
% \new Lyrics = basses { s1 }
}
% \context Lyrics = sopranos \lyricsto sopranos \sopWords

% \context Lyrics = altos 
\context Lyrics = paroles
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto sopranos \sopWords
  }
% \context Lyrics = tenors \lyricsto tenors \tenorWords
% \context Lyrics = basses \lyricsto basses \bassWords
>>
\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
}
}