% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Au Cœur de ce monde"
%   subtitle = "Subtitle"
  subsubtitle = "Chant d'ouverture"
  composer = "A 238-1"
%   opus = "Opus | pour violoncelle"
%   piece = "."
  instrument = "avec introduction"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.3"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.3"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 18 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key d \major
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4
  \tempo 4=120
\partial 2 s2  s1*3 r2. a,4
fis'2 fis4 d a'2 a4 a
b cis d b a2 a
d4 b a g fis2 g4 a b2 g4 fis4 e2 e4 a,4
fis'2 fis4 d a'2 a4 a
b cis d b a2 a4 a
d2 a4 g fis2. a4 b b g fis e2 d \bar "|."
s2 s4..
fis16^"Couplet"
fis4.. fis16 gis8. gis16 ais8. ais16
b2 r8 fis8 fis fis
b4 b a g fis2 fis4 r8. a16
a4.. a16 b8. b16 cis8. cis16
d2 r8 a8 a a 
d4 d cis b 
a2 a4 r8. a16
b4.. b16 a8. b16 a8. g16 
fis2 r8 fis fis fis
a4 a g fis e2 e4 a, \bar "||"

}

texte = \lyricmode {
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
d2 g d g d g g d d
d d fis:m fis:m g g d a b:m a d d g e:m a a
d d fis:m fis:m g g d a b:m a d d g e:m a d
s1
b2:m e4 fis b2:m b:m
g a d d
fis:m e4:m a d2 d
b:m cis fis:m fis:m
g a b:m b:m
d g a a

}

VioloncelleOneUp =  \relative c {
r4^"pizz." d4 r4 < a' a,>4 r4 d,4 r4 < a' a, >4 r4 d,4
r4 < a' a, >4 r4 < g g, >4 d2. r4
d2.^"arco" d4 fis2. fis4 g2 g d' cis b cis 
d2. d,4 g2 e a r4 a4 d,2. d4 fis2. fis4 g2. g4
d'2 cis b cis d2. d,4 g2 e a d,
}
VioloncelleOneDown =  \relative c {
s2 s1*4
d2. d4 fis,2. fis'4 g2 g, d' cis b cis 
d2. d4 g2 e a, s4 a4 d2. d4 fis2. fis4 g2. g4
d2 cis b cis d2. d4 g2 e a, d
}
VioloncelleTwo =  \relative c {
s2 s1*3 r2. a4
d2 fis a cis b  g fis2. a,4
b2 cis d fis g e4 fis a2. a,4
d2 fis a fis b  d fis2 g4 e d2 \breathe
a d fis e e4 d cis2 d
s1
b,2^"pizz." e,4 fis b2 r2 g^"arco" a d2. r4
fis4^"pizz." b e, a d,2 r2
b2^"arco" cis fis,2. r4
g4^"pizz." e a4 a b2 r2
fis^"arco" g a2. r4

}
Flute =  \relative c'' {
d4~ d8. a16
b4~ b8. e16 d4~ d8. b'16 a2
e4~ e8. d16 b4~ b8. a16 d2~ d2. r4

a2 fis8 g a b cis4 a fis cis'
b a g8 a b cis d4 fis8 d e4 a, fis g a2
a4 b8 cis d4. cis8 b4 d g b, d cis8 b a2
fis8 d fis a d4 fis8 d cis fis, a cis fis2 d2 g4 fis8 g
a2 a,4 fis'8 e d2 e8 fis d e fis2 fis, g4 a b g' a2 fis
s1
r1 r1
<< { g8 fis e d a'4 e fis2. } \\
{ e8 d cis b cis4 e d2. } >>
 r4
r1 r1
<< { fis2 cis8 b cis4 a2. } \\
{ d8 cis b a gis2 fis2. } >>
 r4
r1 r1
<< { d'4 fis e d a2. } \\
{ a4 d b2 cis2. } >>  r4^\segno
}

Violon =  \relative c' {
s2 s1*4
fis2 d4 fis8 d cis2. a'4 g d g8 d g e fis4 d8 fis a2 d, e8 fis d e
fis2 e4 fis g8 a b a g4 fis e4. e8 a2 \breathe d,2 fis a4 fis8 a cis4 a b8 a g b b4. g8
fis2 e fis4 b a2 fis d g4 fis g b cis2 d
s1
b2 e,4 fis b2 r2 e, a d,2. r4
fis4 b e, a d,2 r2
d2 cis4 cis' cis2. r4
g4 e a4 a b2 r2
fis4 a g b e,2. r4
}


Clarinette =  \relative c'' {

}

\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
%        \set ChordNames.midiInstrument = "string ensemble 2"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
        \with {fontSize = #-3
        \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}

	\Armature % définie plus haut
        \parDeux
	\melodie


                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
% 	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \tiny {
       "Flûte" }
    \set Staff.instr = \markup \tiny {
       "Fl. " }

%
	\Armature
        \parDeux
        \Flute
	}

% Pour le violon ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "vl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
% 	\set Staff.midiInstrument = "flute"
% 	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \tiny {
       \column  { "Violon ou "
                 \line { "hautbois "} } }
    \set Staff.instr = \markup \tiny {
       \column  { "Vl. "
                 \line { "Htb. "} } }

%
	\Armature
        \parDeux
        \Violon
	}

% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup \tiny {
            "Clarinette "
            \line { "en Si" \smaller \flat}
                }
    \set Staff.instr = \markup \tiny {
             "Clar. "
             \line { "Si" \smaller \flat}
                }

     \key g \major
         \transpose c d \Clarinette
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
% 	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup \tiny { "Violoncelle "}
	\set Staff.instr = \markup \tiny {"Vlle "}
	\Armature
	\clef bass 
	\stemUp
        \parDeux
         \VioloncelleOneUp
% 	 {s2*29}
	}
      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
% 	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
% 	\set Staff.instrument = \markup \tiny { "Violoncelle "}
% 	\set Staff.instr = \markup \tiny {"Vlle "}
	\Armature
	\clef bass 
	\stemDown
        \parDeux
         \VioloncelleOneDown
% 	 {s2*29}
	}
      \context Staff = "basseTwo" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
% 	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup \tiny { "Violoncelle 2 "}
	\set Staff.instr = \markup \tiny {"Vlle 2"}
	\Armature
	\clef bass 
% 	\stemDown
        \parDeux
         \VioloncelleTwo
% 	 {s2*29}
	}


\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
  \midi  {\tempo 4 = 120
    #(set! instrument-equalizer-alist
       (append
          '(
           ("cello" . (0.5 . 1.0))
           ("string ensemble 1" . (0.1 . 0.2))
           ("string ensemble 2" . (0.1 . 0.2))
           ("acoustic grand" . (0.2 . 0.8)) )
       instrument-equalizer-alist))
  }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }