% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Devant toi nous venons apporter"
%   subtitle = "Ouvrez vos cœurs"
%   subsubtitle = "Subsubtitle"
  composer = "Contrechant"
%   opus = "G 79"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
%    tagline = "Lilypond 2.8.7"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.7"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
    top-margin = -0.1 \cm
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
    interscoreline = 2.\mm
    between-system-space = 12\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key bes \major
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4
    d4 \tempo 4=112
	 f d'4. c8 bes g ees g
    f4. f8 g4 g8 d ees4 ees8 c f g f ees
    d4. r8
    d4 f d'4. c8 bes g ees g
    f4. f8 g g g d ees4. c8 f ees d c bes4 r8-\fermata d8
    \bar "|."
    d4. d8 f4 g d2 r4. d8 g g a bes a4 g f2 r4. f8
    bes4 bes a4. f8 g4 g f4. d8
    ees4 ees d4. bes8 c4 c f2-\fermata \bar "||"

}

texte = \lyricmode {

}

accompagnement = \chordmode {
    bes2 bes ees bes g:7 c:m f:7 bes
    bes bes ees d:m g:7 c:m f:7 bes

    bes f g:m g:m c:m f d:m d:m
    g:m d:m ees bes ees:m5-.7- g:m c:m7 f
}

Violoncelle =  \relative c' {
 bes4 a8 a bes4 d,8 d ees4 g8 g bes4 c8 d 
    b4 g8 g c4 d8 ees a,4 f8 f bes4 g8 f
 bes,4 a'8 g bes4 d,8 d ees4 cis8 cis d4 a8 a b4 g c8 d ees g f2 bes2

 bes, a g f ees c d d8 ees d d g2 d ees bes' a bes ees f

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Violon = \relative c'' {
% refrain
r2 r8 bes8^"arco ou pizz. ad lib." g f g4 bes r8 d8 c bes g4 b
   r8 ees8 d c a4 f' d c bes4 r4 
r8 f'8 d ees ees4 g f ees d ees c c a8 g f a bes2
% couplet
<< {bes8^"pizz." r8 g8 r8 a8 r8 a8 r8 bes8} \\ {d,8 r8 d8 r8 f8 r8 f8 r8 g8} >>
r8 r2.
<< {c8 r8 bes8 r8 a8 r8 a8 r8 d8} \\ {g,8 r8 g8 r8 f8 r8 c8 r8 a8} >>
r8 r2.
<< {bes'8 r8 d8 r8 a8 r8 a8 r8 g8} \\ {g8 r8 g8 r8 f8 r8 d8 r8 ees8} >>
r8 r4 << bes'8 f >> r8 r4
<< c'8 ges >> r8 r4 << bes8 g >> r8 r4 
<< c8 g >> r8 r4 << c8 f >> r8 r4 
% << {} \\ {} >>

}

Flute =  \relative c'' {
 s2*18
 r8 g8 g a bes bes a bes c4 r4 r2 r8 f,8 f ees d d ees f g4 r4 r2
 ees8 f g4 f8 g bes4 a8 bes c4 bes8 c d4 r4 f,8 g a bes a g f4
}

Clarinette =  \relative c'' {

}
\markup { \italic "N.B. la flûte peut doubler le violon lorsqu'il joue arco. Elle peut aussi en tenir lieu s'il n'y a pas de violon." }
\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
       \set ChordNames.midiInstrument = "acoustic guitar (steel)"
%        \set ChordNames.midiInstrument = "honky-tonk"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
        \with {fontSize = #-3
        \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
% 	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "recorder"
% 	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \tiny {
       "Flûte"}
    \set Staff.instr = \markup \tiny {
         "Fl. "  }

%
	\Armature
        \Flute
	}
% Pour le violon
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "vl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
% 	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "violin"
	\set Staff.midiInstrument = "pizzicato strings"
% 	\set Staff.midiInstrument = "string ensemble 2"
    
    \set Staff.instrument = \markup \tiny {
       "Violons I & II"}
    \set Staff.instr = \markup \tiny {
         "Vl. "  }

%
	\Armature
        \Violon
	}

% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup \tiny {
            "Clarinette "
            \line { "en Si" \smaller \flat}
                }
    \set Staff.instr = \markup \tiny {
             "Clar. "
             \line { "Si" \smaller \flat}
                }

     \key g \major
         \transpose c d \Clarinette
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup \tiny { "Violoncelle "}
	\set Staff.instr = \markup \tiny {"Vlle "}
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
  \midi  {\tempo 4 = 118
    #(set! instrument-equalizer-alist
       (append
          '(
           ("cello" . (0.5 . 1.0))
           ("string ensemble 1" . (0.1 . 0.2))
           ("string ensemble 2" . (0.1 . 0.2))
           ("acoustic grand" . (0.2 . 0.8)) )
       instrument-equalizer-alist))
  }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }