\version "1.8.2"

% Ce mod?le convient pour des partitions ? une ou plusieurs port?es

%\include "paper11.ly"
%\include "paper13.ly"
\include "paper16.ly"
%\include "paper20.ly"
%\include "paper26.ly"

\header {
%   dedication = "dedication"
%   title = "Title"
   subtitle = "Dieu est une fte aujourd'hui"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 1.8.2"
}

global = {\time 4/4}
Armature = \notes \key g \major


melodie = \notes \relative c' {
         \tempo 4=120 % indication m?tronomique pour la feuille et midi
 e4 e fis fis8 g-~ g e4 d8 e2

%         \partial 16
%         \repeat volta 2 { ?l?ment commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         < { r1 } \\ { a2 a } > pour jouer { ces deux morceaux
          % e2( )e pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|." ? la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut ? la ligne
%       < \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le > apr?s avoir ins?r? la musique entre {}
%
%         s8 bes4 c,4 g8-( f-) g4 f2 r4 s1*2

%       nuances : \p, etc (coll? aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno -\marcato -\fermata  \breathe
%                \cr termin? par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {
 Dieu est un -- e fte au -- jour -- d'hui
% 	ren -- dons
%     sain __ te -- t? (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {

 e2 b2 e1
%   ne pas r?p?ter \repeat volta 2 si utilis?e pr?c?demment, mais on peut mettre les accords correspondant entre {} pour la lisibilit?
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c {

 e4 r4 b4 r8 e8-~ e e4 e8 b r4
% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {

}

Clarinette = \notes \relative c' {

}

\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = chorale <

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \property ChordNames.ChordName \set #'font-family = #'typewriter
%       \property ChordNames.ChordName \set #'font-magnification = #1.2
%        \property ChordNames.ChordName \set #'font-shape = #'italic
%        \property ChordNames.ChordName \set #'font-relative-size = #-1
       \property ChordNames.chordChanges = ##t
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
      \property Staff.instrument = "Chant"
      \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-4 . 3)
%                            #'(-dist.notes-textes . dist.notes-accords)
%     souvent #'(-4 . 3) convient bien;#'(-7 . 5) dans les cas extr?mes?

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature % d?finie plus haut
        \melodie
% cas o? on met deux voix sur une port?e, les voix portant autant de skips que n?cessaire
%         <
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caract?res,
%       \context Lyrics = ttx {
%        \property Lyrics.LyricText \override #'font-relative-size = #'+1
%       \texte}

                                >

    \context StaffGroup = contrechant <

% Pour la fl?te ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
    \property Staff.instrument = \markup {
             \column << "Flute ou" { "Hautbois"} >> }
    \property Staff.instr = \markup {
             \column << "Fl." { "Htb."} >> }
%
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = \markup {
             \column << "Clarinette"
               { "en Si" \smaller \musicglyph #"accidentals--1"}
               >> }
    \property Staff.instr = \markup {
             \column << "Clar."
               { "Si" \smaller \musicglyph #"accidentals--1"}
               >> }

    \notes \key g \major
% 	\Armature
        \notes \transpose c d \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle "
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  > % ouvert juste en dessous de la d?claration \score

  \paper {linewidth = 100 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les port?es, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derri?re)

% Pour changer l'?cart entre les notes :

%       \translator{
%           \ScoreContext
%           SpacingSpanner \override #'spacing-increment = #2.2
%           SpacingSpanner \override #'shortest-duration-space = #3.0

      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
%   \midi  {\tempo 4 = 80}
}
% Pour faire plusieurs partitions sur une page (introductions, ou ...) il faut inverser les choses :
% d?finir \paper juste apr?s avoir donn? les m?lodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout d?but aussi (notamment avec le tagline)
% Par contre, la d?claration \midi doit venir ? la fin, et les d?clarations \global et \property Score.BarNumber \override #'padding = #3 ne peuvent pas ?tre r?p?t?es dans chaque score.

% Probl?me quand on ne justifie pas les port?es : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps > fichier_avec _marge.ps
