% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
%   title = "Je n'ai d'autre désir"
   subtitle = "Je n'ai d'autre désir"
%   subsubtitle = "Contre-chants pour un instrumental"
%   composer = "Communauté du Chemin Neuf"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "d'après sainte Thérèse de Lisieux"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.3"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.3"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 18 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 26.0\cm
%     left-margin =
      top-margin = -0.5 \cm
    head-separation = 0.3 \cm % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
    interscoreline = 2.\mm
    between-system-space = 22\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key d \minor
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

ViolonONE= \relative c {
  \tempo 4 = 60
  % [SEQUENCE_TRACK_NAME] Violon 1
  r2 r4 f'8 g8
  % 2
  a4 g8 f8 e4 f8 e8
  % 3
  d4 f8 g8 e4 r8 e8
  % 4
  f8 f8 e8 f8 g4 r8 g8
  % 5
  f8 g8 a8 bes8 a4 f8 g8
  % 6
  a4 g8 c8 a4 r8 f8
  % 7
  g8 f8 e8 e8 d2 r2. f8 g8 \bar "||" \break
  % 9
  a4 g8 f8 e4 f8 e8
  % 10
  d4 f8 g8 e4 r8 e8
  % 11
  f8 f8 e8 f8 g4 r8 g8
  % 12
  f8 g8 a8 bes8 a4 f8 g8
  % 13
  a4 g8 c8 a4 r8 f8
  % 14
  g8 f8 e8 e8 f2 r2. f8 g8 \bar "||"
  % 16
  a4 g8 f8 e4 f8 e8 
  % 17
  d4 f8 g8 e4 r8 e8
  % 18
  f8 f8 e8 f8 g4 r8 g8
  % 19
  f8 g8 a8 bes8 a4 f8 g8
  % 20
  a4 g8 c8 a4. f8
  % 21
  g8 f8 e8 e8 f2 r2. f8 g8 \bar "||"
  % 23
  a4 g8 f8 e4 f8 e8
  % 24
  d4 f8 g8 e4 r8 e8
  % 25
  f8 f8 e8 f8 g4 r8 g8
  % 26
  f8 g8 a8 bes8 a4 f8 g8
  % 27
  a4 g8 c8 a4 r8 f8
  % 28
  g8 f8 e8 e8 f2 r2. f8 g8 \bar "||"
  % 30
  a4 g8 f8 e4 f8 e8
  % 31
  d4 f8 g8 e4 r8 e8
  % 32
  f8 f8 e8 f8 g4 r8 g8
  % 33
  f8 g8 a8 bes8 a4 f8 g8
  % 34
  a4 g8 c8 a4 r8 f8
  % 35
  g8 f8 e8 e8 d2 \bar "|."
}

ViolonTWO = \relative c {
  r2 r4 d'8 e8
  % 2
  f4 e8 d8 cis4 a8 a8
  % 3
  bes4 bes8 bes8 a4 r8 cis8
  % 4
  d8 d8 d8 d8 e4 r8 e8
  % 5
  c8 c8 c8 d8 e4 a8 g8
  % 6
  f4 e8 c8 f4 r8 a,8
  % 7
  bes8 d8 d8 cis8 d2 r2. d8 e8
  % 9
  f4 e8 d8 cis4 a8 a8
  % 10
  bes4 bes8 bes8 a4 r8 cis8
  % 11
  d8 d8 d8 d8 e4 r8 e8
  % 12
  c8 c8 c8 d8 e4 a8 g8
  % 13
  f4 e8 c8 f4 r8 a,8
  % 14
  bes8 d8 d8 cis8 a2 r2. d8 e8
  % 16
  f4 e8 d8 cis4 a8 a8
  % 17
  bes4 bes8 bes8 a4 r8 cis8
  % 18
  d8 d8 d8 d8 e4 r8 e8
  % 19
  c8 c8 c8 d8 e4 a8 g8
  % 20
  f4 e8 c8 f4 r8 a,8
  % 21
  bes8 d8 d8 cis8 a2 r2. d8 e8
  % 23
  f4 e8 d8 cis4 r4
  % 24
  bes4 bes8 bes8 a4 r8 cis8
  % 25
  d8 d8 d8 d8 e4 r8 e8
  % 26
  c8 c8 c8 d8 e4 a8 g8
  % 27
  f4 e8 c8 f4 r8 a,8
  % 28
  bes8 d8 d8 cis8 a2 r2. d8 e8
  % 30
  f4 e8 d8 cis4 a8 a8
  % 31
  bes4 bes8 bes8 a4 r8 cis8
  % 32
  d8 d8 e8 d8 e4 r8 e8
  % 33
  c8 c8 c8 d8 e4 a8 g8
  % 34
  f4 e8 c8 f4 r8 a,8
  % 35
  bes8 d8 d8 cis8 d2
}

FluteONE = \relative c {
  R1*7 r2. f''8 g8
  % 9
  a4 g8 f8 e4 f8 e8
  % 10
  d4 f8 g8 e4 r8 e8
  % 11
  f8 f8 e8 f8 g4 r8 g8
  % 12
  f8 g8 a8 bes8 a4 f8 g8
  % 13
  a4 g8 c8 a4 r8 f8
  % 14
  g8 f8 e8 e8 d2 r2. f8 g8
  % 16
  a4 g8 f8 e4 f8 e8
  % 17
  d4 f8 g8 e4 r8 e8
  % 18
  f8 f8 e8 f8 g4 r8 g8
  % 19
  f8 g8 a8 bes8 a4 f8 g8
  % 20
  a4 g8 c8 a4 r8 f8
  % 21
  g8 f8 e8 e8 d2 r2. a'8\f bes8
  % 23
  a8. a16 g8 f8 e8. a16 f8 e8
  % 24
  d8. a'16 f8 g8 a4 r8 a8
  % 25
  f8. f16 e8 f8 c'4 g8. g16 
  c8 c16 d c8 c16 bes a4 a8 bes8
  % 27
  a8. bes16 c8 g8 a8. bes16 a8 f8
  % 28
  g4 a4 d,2 
  r2 a2\ppp
  % 30
  d2 cis2
  % 31
  d2 e2
  % 32
  a2 c2
  % 33
  a2 a4 f4
  % 34
  a4 c4 c2
  % 35
  g4 a4 d2
}

FluteTWO = \relative c {
 R1*7 r2. d''8 e8
  % 9
  f4 e8 d8 cis4 a8 a8
  % 10
  bes4 bes8 bes8 a4 r8 cis8
  % 11
  d8 d8 d8 d8 e4 r8 e8
  % 12
  c8 c8 c8 d8 e4 a8 g8
  % 13
  f4 e8 c8 f4 r8 a,8
  % 14
  bes8 d8 d8 cis8 d2 r2. d8 e8
  % 16
  f4 e8 d8 cis4 a8 a8
  % 17
  bes4 bes8 bes8 a4 r8 cis8
  % 18
  d8 d8 d8 d8 e4 r8 e8
  % 19
  c8 c8 c8 d8 e4 a8 g8
  % 20
  f4 e8 c8 f4 r8 a,8
  % 21
  bes8 d8 d8 cis8 d2 r2. d8 e8
  % 23
  f4 e8 d8 cis4 a8 a8
  % 24
  bes4 bes8 bes8 a4 r8 cis8
  % 25
  d8 d8 d8 d8 e4 r8 e8
  % 26
  c8 c8 c8 d8 e4 a8 g8
  % 27
  f4 e8 c8 f4 r8 a,8
  % 28
  bes8 d8 d8 cis8 a2 r2 f2\ppp
  % 30
  a2 a2
  % 31
  bes2 cis2
  % 32
  d2 e2
  % 33
  c2 cis4 d4
  % 34
  d4 e4 f2
  % 35
  d4 cis4 a2
}

Hautbois = \relative c {
  R1*7 r1 r1 r1 r1 r1 r1 r1   r2. a''4\f
  % 16
  d8. cis16 d
4 cis4 a4
  % 17 
  bes8 bes16 c d4 e4. a,8
  % 18
  a4 a8. d16 e4 c4
  % 19
  f8 c16 c c8 f8 e8 f16 e d8 cis8
  % 20
  d4 e8 e8 f4. f8
  % 21
  d4 e4 d2 r2. f,8 g8
  % 23
  a4 g8 f8 e4 f8 e8
  % 24
  d4 f8 g8 e4 r8 e8
  % 25
  f8 f8 e8 f8 g4 r8 g8
  % 26
  f8 g8 a8 bes8 a4 f8 g8
  % 27
  a4 g8 c8 a4 r8 f8
  % 28
  g8 f8 e8 e8 d2 r2 a'2\ppp
  % 30
  f2 e2
  % 31
  f2 a2
  % 32
  f2 g2
  % 33
  f2 g4 a4
  % 34
  f4 g4 a2
  % 35
  bes4 g4 f2
}

VioloncelleONE = \relative c {
  d4 d4 d4 d4
  % 2
  d8 f8 e4 a,8 bes8 a4
  % 3
  bes8 c8 d4 e8 e8 cis8 a8
  % 4
  d4 d4 c8 d8 e8 c8
  % 5
  f4 f4 cis8 e8 d4
  % 6
  d8 d8 c4 c8 a8 f8 f8
  % 7
  g4 a4 d2
  % 8
  d4 d4 d4 d4
  % 9
  d8 f8 e4 a,8 bes8 a4
  % 10
  bes8 c8 d4 e8 e8 cis8 a8
  % 11
  d4 d4 c8 d8 e8 c8
  % 12
  f4 f4 cis8 e8 d4
  % 13
  d8 d8 c4 c8 a8 f8 f8
  % 14
  g4 a4 d,2
  % 15
  d'4 d4 d4 d4
  % 16
  d8 f8 e4 a,8 bes8 a4
  % 17
  bes8 c8 d4 e8 e8 cis8 a8
  % 18
  d4 d4 c8 d8 e8 c8
  % 19
  f4 f4 cis8 e8 d4
  % 20
  d8 d8 c4 c8 a8 f8 f8
  % 21
  g4 a4 d,2
  % 22
  d'4 d4 d4 d4
  % 23
  d8 f8 e4 a,8 a8 a4
  % 24
  bes8 c8 d4 e8 e8 cis8 a8
  % 25
  d4 d4 c8 d8 e8 c8
  % 26
  f4 f4 cis8 e8 d4
  % 27
  d8 d8 c4 c8 a8 f8 f8
  % 28
  g4 a4 d,2
  % 29
  d'4 d4 d4 d4
  % 30
  d8 f8 e4 a,8 bes8 a4
  % 31
  bes8 c8 d4 e8 e8 cis8 a8
  % 32
  d4 d4 c8 d8 e8 c8
  % 33
  f,4 f4 cis'8 e8 d4
  % 34
  d8 d8 c4 c8 a8 f8 f8
  % 35
  g4 a4 d,2
}

VioloncelleTWO = \relative c {
  r1 r1 r1 r1 r1 r1 r1  r2. d8 d8
  % 9
  a4 a8 bes8 cis4 cis8 e8
  % 10
  f4 f8 g8 a4 r8 a8
  % 11
  a4 a4 c4 r8 c8
  % 12
  f,8 g8 a8 g8 a4 d,8 e8
  % 13
  d4 g4 a4 r8 a8
  % 14
  g4 a4 d,2 r2. d8 d8
  % 16
  a4 a8 bes8 cis4 cis8 e8
  % 17
  f4 f8 g8 a4 r8 a8
  % 18
  a4 a4 c4 r8 c8
  % 19
  f,8 g8 a8 g8 a4 d,8 e8
  % 20
  d4 g4 a4 r8 a8
  % 21
  g4 a4 d,2 r2. d8 d8
  % 23
  a4 a8 bes8 cis4 cis8 e8
  % 24
  f4 f8 g8 a4 r8 a8
  % 25
  a4 a4 c4 r8 c8
  % 26
  f,8 g8 a8 g8 a4 d,8 e8
  % 27
  d4 g4 a4 r8 a8
  % 28
  g4 a4 d,2 r2 d2\ppp
  % 30
  d2 a'2
  % 31
  bes2 a2
  % 32
  a2 c2
  % 33
  f,2 a,4 d4
  % 34
  a'4 g4 f2
  % 35
  g4 e4 d2
}







\score {
  <<
\set Score.skipBars = ##t
    \mesure

    \context StaffGroup = "contrechant" <<
% Pour le violon
% \context Staff = "vlONE" {
%       \set Staff.autoBeaming = ##t
%       \unset Staff.melismaBusyProperties 
%       \set Staff.midiInstrument = "oboe"
%       \set Staff.midiInstrument = "violin"
%       \set Staff.instrument = \markup \tiny { "Violon 1" }
%       \set Staff.instr = \markup \tiny {"Vl.1 " }
% 	\Armature
% 	\parDeux
%         \ViolonONE
% 	}

% Pour le saxo, transposition du violon

%     \context Staff = "sax" {
%     \set Staff.autoBeaming = ##t
%      \unset Staff.melismaBusyProperties 
%     \set Staff.midiInstrument = "tenor sax"
%     \set Staff.instrument = \markup \tiny {
%             "Saxophone "
%             \line { "en Si" \smaller \flat}
%                 }
%     \set Staff.instr = \markup \tiny { "Sax. " }
% 
%      \key g \major
% 	\parDeux
%          \transpose c d \ViolonONE
% 	}


% Pour le violon 2
% \context Staff = "vlTWO" {
%       \set Staff.autoBeaming = ##t
%       \unset Staff.melismaBusyProperties 
%       \set Staff.midiInstrument = "oboe"
%       \set Staff.midiInstrument = "violin"
%       \set Staff.instrument = \markup \tiny { "Violon 2" }
%       \set Staff.instr = \markup \tiny {"Vl.2 " }
% 	\Armature
% 	\parDeux
%         \ViolonTWO
% 	}
% Pour la flûte
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
\context Staff = "flONE" {
      \set Staff.autoBeaming = ##t
      \unset Staff.melismaBusyProperties 
      \set Staff.midiInstrument = "oboe"
      \set Staff.midiInstrument = "flute"
      \set Staff.instrument = \markup \tiny { "Flûte 1" }
      \set Staff.instr = \markup \tiny {"Fl.1 " }
	\Armature
	\parDeux
        \FluteONE
	}
% Pour la flûte
\context Staff = "flTWO" {
      \set Staff.autoBeaming = ##t
      \unset Staff.melismaBusyProperties 
      \set Staff.midiInstrument = "oboe"
      \set Staff.midiInstrument = "flute"
      \set Staff.instrument = \markup \tiny { "Flûte 2" }
      \set Staff.instr = \markup \tiny {"Fl.2 " }
	\Armature
	\parDeux
        \FluteTWO
	}
% Pour le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
\context Staff = "htb" {
      \set Staff.autoBeaming = ##t
      \unset Staff.melismaBusyProperties 
      \set Staff.midiInstrument = "oboe"
%       \set Staff.midiInstrument = "flute"
      \set Staff.instrument = \markup \tiny { "Hautbois" }
      \set Staff.instr = \markup \tiny {"Hb " }
	\Armature
	\parDeux
        \Hautbois
	}

% Pour la clarinette en Sib, transposition du hautbois

%     \context Staff = "sibemol" {
%     \set Staff.autoBeaming = ##t
%      \unset Staff.melismaBusyProperties 
%     \set Staff.midiInstrument = "clarinet"
%     \set Staff.instrument = \markup \tiny {
%             "Clarinette "
%             \line { "en Si" \smaller \flat}
%                 }
%     \set Staff.instr = \markup \tiny { "Clar. " }
% 
%      \key g \major
% 	\parDeux
%          \transpose c d \Hautbois
% 	}

% Pour le violoncelle
%       \context Staff = "basseONE" {
%         \set Staff.autoBeaming = ##t
% 	\set Staff.midiInstrument = "trombone"
% 	\set Staff.midiInstrument = "cello"
%         \unset Staff.melismaBusyProperties 
% 	\set Staff.instrument = \markup \tiny { "Violoncelle 1"}
% 	\set Staff.instr = \markup \tiny {"Vlle 1"}
% 	\Armature
% 	\clef bass
% 	\parDeux
%          \VioloncelleONE
% 	}
% Pour le violoncelle
%       \context Staff = "basseTWO" {
%         \set Staff.autoBeaming = ##t
% 	\set Staff.midiInstrument = "trombone"
% 	\set Staff.midiInstrument = "cello"
%         \unset Staff.melismaBusyProperties 
% 	\set Staff.instrument = \markup \tiny { "Violoncelle 2"}
% 	\set Staff.instr = \markup \tiny {"Vlle 2"}
% 	\Armature
% 	\clef bass
%  	\parDeux
%         \VioloncelleTWO
% 	}

\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
  \midi  {\tempo 4 = 60
    #(set! instrument-equalizer-alist
       (append
          '(
           ("cello" . (0.5 . 1.0))
           ("string ensemble 1" . (0.1 . 0.2))
           ("string ensemble 2" . (0.1 . 0.2))
           ("acoustic grand" . (0.2 . 0.8)) )
       instrument-equalizer-alist))
  }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }