%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
% #(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
#(set-global-staff-size 23)
%#(set-global-staff-size 26)
\include "gregorian-init.ly"

pash = \override Stem #'transparent = ##t
hamp = \override Stem #'transparent = ##f
dm = \divisioMinima
dM = \breathe
fin = \finalis
fr = { \frenchChords \set chordChanges = ##t }
co = \cadenzaOn
taille = { \override ChordName  #'font-size = #-1
           \override ChordName  #'font-shape = #'italic }



%en-têtes globaux
\header {
%   dedication = "dedication"
%   title = "Tons de psaumes"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
%    tagline = "Lilypond 2.8.3"
   texidoc= "il ne s'agit que du ton de la psalmodie"
}

\version "2.8.3"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
%     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
    top-margin = 2 \mm
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
    indent = 0\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm
    ragged-bottom = ##t
      ragged-right = ##t


%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
%   #(define fonts
%     (make-pango-font-tree "Times New Roman"
%                           "Nimbus Sans"
%                           "Luxi Mono"
%                            ))
}


  <<   
\new ChordNames { \taille \chordmode { \fr g1 g g g8
                    d2 g4 g8
                    d1 d d d8
                    a2:m d4 d8
                    e1:m e:m e2:m b4:m b8:m
                    a4:m b:m e:m } }
\relative c'' { 
      \key e \minor
      \co
%       \set Staff.instrument = "suite"
             \hamp b\breve \pash a4 \parenthesize b c \hamp b4
            \dM
            b8 \bar "|" b4 a \bar "|" b4 r8 \bar "" \break
            a\breve \pash g4 a b \hamp a4 
            \dM
            a8 \bar "|" a4 g \bar "|" a4 r8 \bar "" \break
            g\breve \pash fis4 g \hamp fis4
            \dM
            e8 \bar "|" e4 d \bar "|" e4 r8 \bar "" \break
%              \fin
             }
 \addlyrics { Saint... _ "()" _ _ Pri -- ez pour nous!
              saint... _ "()" _ _ Pri -- ez pour nous!
              "()" saint... _  _ Pri -- ez pour nous! }
>>


\layout {
 \context {
    \RemoveEmptyStaffContext 
    \remove "Time_signature_engraver"
    }
  \context {
     \Lyrics
     \override LyricSpace #'minimum-distance = #1.0
          }
    ragged-last = ##t
    }

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.