\version "1.6.6"

% Ce modle convient pour des partitions  une ou plusieurs portes

%\include "paper11.ly"
%\include "paper13.ly"
\include "paper16.ly"
%\include "paper20.ly"
%\include "paper26.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)

%Pour afficher des bmols dans le texte
#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))
%et pour le mtronome :
#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

% pour les indications mtronomiques,
% accoler la chane suivante  la premire note :
%	^#`((columns (font-relative-size . -1)) ,note " = 112")


\header {
%   dedication = "dedication"
%   title = "Title"
  subtitle = "Litanie des saints"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 1.6.6"
}

global = {\time 6/8}
Armature = \notes \key d \major


melodie = \notes \relative c' {
        \partial 4. r8^"Refrain" d8 e
        fis8 fis fis fis fis g \time 9/8
        a a a   a a a   b a g \time 6/8
        fis fis fis    fis e d
        \time 9/8 e4. e r8 d8 e
        fis fis fis fis4. ~ fis4 d8 \time 6/8
        e4. e fis4. ~ fis4 d8 e4. e d2. ~ d4. r8
        d8^"couplet" e \bar "||" \cadenzaOn fis\breve d8 \cadenzaOff \bar "|" e4. e fis4. ~ fis8 d8 e
        \cadenzaOn fis\breve d8 \cadenzaOff \bar "|" e4. e d4. r8^"D.C." \bar "|."
%         \partial 16
%         \repeat volta 2 { lment commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         < { r1 } \\ { a2 a } > pour jouer { ces deux morceaux
          % e2( )e pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|."  la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut  la ligne
%         <
%            \repeat 7 unfold { s1 * 4 \break }
%           musique relle
%                 >        ...pour aller  la ligne chaque 4 mesures pendant 7 portes.
%
%         s8 bes4 c,4 g8( )f g4 f2 r4 s1*2

%       nuances : \p, etc (coll aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno -\marcato -\fermata  \breathe
%                \cr termin par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {

% 	ren -- dons
%     sain __ te -- t (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {
s4.
 d1. g4. d2. a2. a4.
 d2. d4. a2. d2. a2. d2. d2. s2.*3 a2. d2. s2.*2 s2 a2. d2.
%   ne pas rpter \repeat volta 2 si utilise prcdemment, mais on peut mettre les accords correspondant entre {} pour la lisibilit
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c {
 r4.
 d'2. cis8 b a fis g a g4.
 fis2. a8 g fis e d cis d4. ~ d4.
 d,8 e fis g a b cis4. a
 d,8 e fis g a b cis d e fis g a fis e d d4. ~ d4.
% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {
    r4.
    d'4. d8 cis b a4. d8 cis b b4.
    a8 g fis fis4. d8 e fis e fis g a4. r2. r4.
    e8 fis g a g fis fis4. r4.
    g8 fis e g4. fis2. ~ fis4.
}

Clarinette = \notes \relative c' {

}

\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = chorale <

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \property ChordNames.chordChanges = ##t
%        \property ChordNames.fontSize = 20
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
      \property Staff.instrument = "Chant"
      \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-7 . 5)
%                            #'(-dist.notes-textes . dist.notes-accords)

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature % dfinie plus haut
        \melodie
% cas o on met deux voix sur une porte, les voix portant autant de skips que ncessaire
%         <
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caractres,
%       \context Lyrics = ttx {
%        \property Lyrics.LyricText \override #'font-relative-size = #'+1
%       \texte}

                                >

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"english horn"
	\property Staff.midiInstrument = #"flute"
	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% 	\notes \key g \major
	\Armature
%         \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
    \property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
	\notes \key e \major
% 	\Armature
        \notes \transpose d' \Flute % \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  > % ouvert juste en dessous de la dclaration \score

  \paper {linewidth = 100 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les portes, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derrire)

% Pour changer l'cart entre les notes :

%       \translator{
%           \ScoreContext
%           SpacingSpanner \override #'spacing-increment = #2.2
%           SpacingSpanner \override #'shortest-duration-space = #3.0

      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
  \midi  {\tempo 4 = 80}
}
% Pour faire plusieurs partitions sur une page (introductions, ou ...) il faut inverser les choses :
% dfinir \paper juste aprs avoir donn les mlodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout dbut aussi (notamment avec le tagline)
% Par contre, la dclaration \midi doit venir  la fin, et les dclarations \global et \property Score.BarNumber \override #'padding = #3 ne peuvent pas tre rptes dans chaque score.

% Problme quand on ne justifie pas les portes : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps > fichier_avec _marge.ps
