% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "N’aie pas peur"
%   subtitle = "Ouvrez vos cœurs"
%   subsubtitle = "Subsubtitle"
  composer = "G 249 — Contrechant"
%   opus = "G 79"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
%    tagline = "Lilypond 2.8.7"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.7"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     top-margin = -0.8 \cm
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
    interscoreline = 2.\mm
    between-system-space = 12\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key c \major
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4
\repeat volta 2 {c2 d e2. e8 f g4 g8 g g4 f8 e d2. d8 e
f2 f4 f e2 c4 a}
\alternative { { d2( fis) g1 } { d2~ d c1} }
\bar "||"
% couplet
a'4 a8 a b4. a8 g4 g8 g a2
f4 f8 g4 g8 g f e2~ e
d4 d8 d e4. d8 d4 c8 b c2
d4 d8 fis4 fis8 g a g2~ g
\bar "||"

}

texte = \lyricmode {

}

accompagnement = \chordmode {

% refrain
{c2 g:7 c1 c1
g1 f2 f:m c a:m}
{{ d1:7 g} {g2:4 g:7 c1 } }
%couplet
f2 b:7 e:m a
d:m g:7 c c:6
bes e:7 e:7 a:m
d d g:4 g:7
}

Violoncelle =  \relative c {

% refrain
{c4 e g g, c8 c' c g c,4 b c e e f g8 d' d b g4 b a f aes f g e a e}
{ {fis8 e d4 d8 fis a4 b a g d} {d8 c b d g,2 c1} }
% couplet


% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Violon = \relative c' {
% \partial 2 r8 b8 \tempo 4=118  e8. fis16 g4 
% << {b g fis e2} \\ { g4 e dis e2} >> r2 
% refrain
c2 g'8 a b g g2 g8 a b g e2 e8 a f e d2 r2
c'1 c2. b4 a1 g4 d' b g
b2 g8 a b g e1
% r4 << b'4 g4 >> r4 << b4 dis,4 >>
% r8. g16 a8. b16 << e8 c8 >> r8 r4
% r4  << c4 a4 >> r4 << cis4 ais4 >>
% r8. g16 fis8. b16 << dis8 b8 >> r8 r4
% r4  << c4 a4 >> r4 << d4 fis,4 >>
% r8. g16 << {a8 b~ b4 } \\ { fis8 e d4 } >>  r4
% << {e4 g fis2 b4 a8 g~ g4} \\ {c,4 e d2 d2.} >> 
% couplet

% << {} \\ {} >>

}

Flute =  \relative c'' {

% refrain
r1 r4 c8 d e4 r4 r4 e8 f g4 r4 r4 d8 e f4 r4
f8 a f e f aes f e e g e d c4 r4 d4 c8 b a4 r4 
d,4 g8 a b4 r4
b8 d b a g4 r4 g8 a e d c4 r4

% couplet


}

Clarinette =  \relative c'' {

}

Saxo = \relative c'  {

}

\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
       \set ChordNames.midiInstrument = "acoustic guitar (steel)"
%        \set ChordNames.midiInstrument = "honky-tonk"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
%        \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
% 	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "recorder"
% 	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \tiny {
       "Flûte"}
    \set Staff.instr = \markup \tiny {
         "Fl. "  }

%
	\Armature
        \Flute
	}
% Pour le violon
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "vl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
% 	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "violin"
% 	\set Staff.midiInstrument = "pizzicato strings"
% 	\set Staff.midiInstrument = "string ensemble 2"
    
    \set Staff.instrument = \markup \tiny {
       "Violons I & II"}
    \set Staff.instr = \markup \tiny {
         "Vl. "  }

%
	\Armature
        \Violon
	}

% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup \tiny {
            "Clarinette "
            \line { "en Si" \smaller \flat}
                }
    \set Staff.instr = \markup \tiny {
             "Clar. "
             \line { "Si" \smaller \flat}
                }

     \key g \major
         \transpose c d \Clarinette
	}

% Pour le saxo en Sib

    \context Staff = "sibemolSax" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "tenor sax"
    \set Staff.instrument = \markup \tiny {
            "Saxophone "
            \line { "en Si" \smaller \flat}
                }
    \set Staff.instr = \markup \tiny {
             "Sax. "
             \line { "Si" \smaller \flat}
                }

%      \key fis \minor  \transpose c d 
     \Armature	
     \Saxo
	}


% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup \tiny { "Violoncelle "}
	\set Staff.instr = \markup \tiny {"Vlle "}
	\Armature
	\clef bass \parDeux
         \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
  \midi  {\tempo 4 = 118
    #(set! instrument-equalizer-alist
       (append
          '(
           ("cello" . (0.5 . 1.0))
           ("string ensemble 1" . (0.1 . 0.2))
           ("string ensemble 2" . (0.1 . 0.2))
           ("acoustic grand" . (0.2 . 0.8)) )
       instrument-equalizer-alist))
  }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }