% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
   title = "Nous voici, Jésus"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.3"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.1"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
%     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =    
%   top-margin = 0\mm
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm
%     ragged-bottom = ##t
%    between-system-space = 2\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
%   #(define fonts
%     (make-pango-font-tree "Times New Roman"
%                           "Nimbus Sans"
%                           "Luxi Mono"
%                            ))
}

mesure = {\time 4/4}
Armature =  \key d \major


melodie =  \relative c' {
  \tempo 4=100
    \partial 4 fis8-\f fis
    e4^\segno fis8 d-~ d4 r8 fis8
    g fis fis e fis e fis fis
    e4 fis8 d-~ d4 fis8 fis
     fis e e d e4 fis8 fis
     e4 fis8 d-~ d4 r8 fis8
    g fis fis e fis e fis fis
    e4 fis8 d-~ d4 g8 fis fis4 e8 d-~ d4 r4 \bar "|."

    r2 r4 b'8 a
    g fis e a-~ a4 a8 g fis g a d,-~ d4     b'8 a
    g fis e a-~ a4 a8 g
    fis g a d,-~ d4     d8 d
    e fis g fis-~ fis4  d8 d
    e fis g fis-~ fis4  d8 d
    b' a g fis-~ fis4 e8 d a d cis d-~ d2
    \time 2/4 r4 fis8 fis^\segno \bar "||"
%         \tempo 4=120 % indication métronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux (\\ indique les 2 voix)
%         f4~ f2 pour lier deux notes identiques
%         e2(  e) pour lier
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2
%             c16[ b a g] f[ e] Crochets indiquent comment grouper les barres de croches
%         \times 2/3 { r8 b a } pour des triolets
% 
%       nuances : \p, etc (collé aux notes)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3" (^ force up; _ force down)
%                \segno \marcato \fermata (point d'orgue) \breathe
%                \marcato \tenuto \accent
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \markup "chant" ou e4^\markup{ \italic ritenuto }
}

texte = \lyricmode {
 Nous voi -- ci, Jé -- sus, c'est toi qui nous in -- vi -- tes
 nous voi -- ci, Sei -- gneur pour ré -- pondre à ton ap -- pel
 Viens en nous, Jé -- sus, que ton a -- mour ha -- bi -- te le fond
 de nos coeurs, Viens en nous Sei -- gneur

 Tu nous con -- nais, Sei -- gneur, cha -- cun par no -- tre nom
 Et c'est un grand bon -- heur d'en -- trer dans ta mai -- son
 Tu nous at -- tends Sei -- gneur et nous al -- lons vers Toi
 Nous pré -- pa -- rons nos coeurs à re -- ce -- voir ta joie
 Nous voi-
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
   r4 d2 b:m
    g a:7
    d b:m
    e a:7
    d b:m
    g a:7
    d b4:m g
    a2:7 d
    d g
    a:7 d
    b:m g
    a:7 d
    b:m g
    a:7 d
    a:7 d
    g d
    a:7 d d
%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle =  \relative c {
 r4
 d4-\f^\segno a8 b-~ b cis d4
 g8 d b4  cis8 a4.
%  g8 d b4  cis8 e-~ e a
 d4 a8 b-~ b cis d4
 gis, e b'8 a4.
 d4 a8 b-~ b cis d4
 g8 d b4  cis8 a4.
% g8 d b4  cis8 e-~ e a
 d4 a8 b-~ b4 r4
 cis4 a8 d-~ d4 r4

 d4 a8 b-~ b4 r4
 cis4 a8 d-~ d4 r4
 b4 fis8 g-~ g4 r4
 a4 e8 fis-~ fis4 r4
 fis4 fis8 g-~ g4 r4
 e4 e8 fis-~ fis4 r4
%  cis4 cis8 fis-~ fis4 r4
 e4 e8 fis-~ fis4 r4
 g4 g8 a-~ a4 r4
 a4 a8 d-~ d4 r4 r2^\segno
% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute =  \relative c' {
fis8 fis a4 fis r4 b8 b
         d4 b r4 a8 a
         d4 a r4 d8 d
          e4 e r4 fis,8 fis 
        a4 fis r4 b8 b
         d4 b r4 cis8 cis
         e4 d r4 b8 b
         cis4 d2 r4

 d4 a8 b-~ b4 r4
 cis4 a8 d-~ d4 r4
 b4 fis8 g-~ g4 r4
 a4 e8 fis-~ fis4 r4
 fis4 fis8 g-~ g4 r4
 e4 e8 fis-~ fis4 r4
%  cis4 cis8 fis-~ fis4 r4
 e4 e8 fis-~ fis4 r4
 g4 g8 a-~ a4 r4
 a4 a8 d-~ d4 r4 r2^\segno

}

Clarinette =  \relative c' {

}

\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
%        \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
       \set ChordNames.midiInstrument = "string ensemble 1"
%        \set midiInstrument = #"acoustic guitar (nylon)"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup { \center-align {"Chant"}}
      \set Staff.instr = \markup { \center-align {"Cht"}}
% Pour avoir les barres de croches par deux
  #(override-auto-beam-setting '(end * * * *) 1 4 )
  #(override-auto-beam-setting '(end * * * *) 3 4 )
%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
%        \set fontSize = #-2
       \texte
          }
                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois

      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup {
       \column  { "Flute ou"
                 \line { "hautbois"} } }
    \set Staff.instr = \markup {
       \column  { "Fl."
                 \line { "Htb."} } }
%
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup {
              { "Clarinette"
                \line { "en Si" \smaller \flat} } 
                }
    \set Staff.instr = \markup {
              { "Clar."
                \line { "Si" \smaller \flat} } 
                }

     \key g \major
         \transpose c d \Clarinette
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
% 	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
% 	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup {  {"Violoncelle "}}
	\set Staff.instr = \markup { {"Vlle "}}
	\Armature
	\clef bass
%          \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext 
         }

  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
  \midi  {\tempo 4 = 80
%     #(set! instrument-equalizer-alist
%        (append
%           '(
%            ("cello" . (0.5 . 1.0))
%            ("string ensemble 1" . (0.1 . 0.2))
%            ("string ensemble 2" . (0.1 . 0.2))
%            ("acoustic grand" . (0.2 . 0.8))
%        instrument-equalizer-alist))
  }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.