\version "1.6.6"
\include "paper16.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)


#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))
%et pour le mtronome :
#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   title = "Sanctus du Roman Pas, AL 20"
  subtitle = "Nous te rendons grce, CR 143"
   composer = "Contrechant"
   opus = "pour violoncelle ou trombonne"
   piece = ". "
}

global = {\time 4/4}
Armature = \notes \key d \minor


melodie = \notes \relative c' {

		\repeat volta 2 {d4 d f g a2 a4 a d2 c4 bes a2 a2}
        \alternative  { {d4 c bes a bes2 bes c4 bes a g a2 a}
                      {d4 c bes a g2 g a4 g f e d1 \bar "||"} }
        
        f4 f f f e2( )e g4 g g g f2( )f
        d'2 c4 bes a2 a b4 b cis d cis2 cis
        f,4 f f f e2( )e g4 g g g f2( )f
        d'2 d4 d d1 r4 e d cis d1 \bar "|."
        
%         r1 r1 \time 2/4 r2 \time 4/4
% 		a'2 c  \time 2/4 f,\time 4/4 bes4 a8 g a4 g8 f g2 c,
% 		d4 d8 d e4 d8 e f2 f
% 		c'4 c bes a g2. r4
% 
% 		a2 c f, bes4 a8 g a4 g8 f g2
% 		c,4 c d d e e f2 bes4 a g8( )f g4 f2 r4 a
% 
% 		\bar "|:" bes a2 c4 bes a2 c,4 d f f g a2 r4
% 		a bes a2 c4 bes a2 c,4 d bes e cis e f f e f2. r4
% 		\bar "||"
% 		\time 2/4 e4 e \time 4/4 f f e e f f g g bes bes a a g2 r4 a \bar ":|"

}

texte = \lyrics {
	Nous te ren -- dons gr -- ce pour tant de ten -- dres -- se,
    Tu don -- nes l'eau vi -- ve par ton coeur trans -- per -- c,
%     Nous te b -- nis -- sons __ pour tant de mer -- veil -- les,
    Tu don -- nes la vi -- e, Tu don -- nes l'Es -- prit.
    
%     
%     Saint, saint, saint, Dieu de l'al -- lian- ce_ ter -- nel -- le
% 	Dieu de l'a -- lian -- ce nou -- vel -- le
% 	Dieu de v -- ri -- t
% 
% 	Saint, saint, saint, Dieu de la terre et du ciel,
% 	Dieu pr -- sent  nos ap -- pels, Dieu de sain __ te -- t Ho --
% 
% 	san -- na, Ho -- san -- na, dans tou -- tes les na -- tions! Ho --
% 	san -- na, Ho -- san -- na, pbes e cis e lus loin que l'ho -- ri -- son!
% 
% 	B -- ni soit ce -- lui qui vient au nom du P -- re juste et saint!

}

% accompagnement = \chords {
%   \repeat volta 2 {d1:m d:m g:m d2:m a}
%   \alternative { {d1:m g:m c2 a:m f a}
%                {d1:m g:m a2 a:7 d1:m} }
%   
%   d1:m a2:7.4 a a1:7 f2 d:m
%   g1:m d:m e a2 a:7
%   d1:m a2:7.4 a a1:7 f2 d:m
%   g1:m7 d:m a d:m

accompagnement = \chords {
{d1:m d:m g:m d2:m a}
{d1:m g:m c2 a:m f a}
               {d1:m g:m a2 a:7 d1:m}
  
  d1:m a2:7.4 a a1:7 f2 d:m
  g1:m d:m e a2 a:7
  d1:m a2:7.4 a a1:7 f2 d:m
  g1:m7 d:m a d:m
  
      
%   f1 bes2 c f
% 
%   f2 c d:m bes f c1
%   bes2 a d1:m
%   f2 bes c1
% 
%   f2 c d:m bes f c
%   f bes a d:m
%   g:m c f1\bar "||"
% 
%   bes4 f2. bes4 f2. bes1 f
%   bes4 f2. bes4 f2. bes2 c f1
% 
%   a2 d:m a d:m c g:m f c1
}

Violoncelle = \notes \relative c {
	{d2^#`((columns (font-relative-size . -1)) ,note " = 160")\p 
                     d4 d f g a f g2 g4 g a b cis a}
    {d2 d4 d g, a bes d c2 c,4 c f g a cis}
                  {d2 d4 d g, a bes d cis2 g4 a d,1}
    
    d1  d4 e cis d a1 e'4 f d e 
    bes1 d,4 e f d e fis gis e fis gis a cis
    d8 f e f d f e f    d e d e cis e d e    bes e cis e bes e cis e 
    a, d c d a d c d    g, bes a bes bes d c d    d f e f f a g a 
    a d cis d a cis b cis    d  d a a f f^"Da Capo" d d
%     ^\segno 
    
%     
%     a'2-\marcato c-\marcato d4-\marcato bes8-\marcato a-\marcato
% 	g2-\marcato f-\fermata
% 	r2 r4 c8\f e f e d c bes2 \breathe f'4\mf a8 bes c4 c,  \breathe
% 	a'8\f f g a bes4 a8 g a4 f8 e d2  \breathe d8 bes c d f d e f bes4 bes, c2
% 	r8 c' c c
% 	f,4 r4 r4 bes8 c d c bes a bes2  \breathe
% 	f'4 e8 d c bes a g f4  \breathe
% 	d'8 c bes a g f e4  \breathe
% 	a8 g f e d c bes4 bes'\mf c c, f2 r2
% 
% 	r4 f,-\marcato\f c'-\marcato f,-\marcato r f-\marcato c'-\marcato c-\marcato
% 	r2 d8\mf bes c d
% 	f2  \breathe c8 a bes c
% 	d4-. \breathe c-\marcato\f f-\marcato c-\marcato r c-\marcato f-\marcato f-\marcato
% 	r2 c8 a bes c f^"Fine" d \decr e f g e f g\mf \rced
% 
% 	a2 \breathe d,4 e a,2 \breathe d4 f e c g' e f d e1

}

Flute = \notes \relative c' {
	r1^#`((columns (font-relative-size . -1)) ,note " = 160")\p
% ce gros bazar pour inscrire le tempo !!!
	 r1 r2
	a'2 c f, r2
	f2 g c, r1
	r1 r1
	e4\mf e8 e g4 f8 g
	a2 c f, d4 e f d e2
	f4 g bes g a2 d,4 e \decr g f e2 f\p \rced r

	r1 r2. c'4\p bes a f g f2 r
	r1 r2. c'4 bes g f e f2.r4

}
\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3


% Pour le chant et les accords

    \context StaffGroup = chorale <
%      \include "paper11.ly"

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
%        \property ChordNames.fontSize = 20
       \accompagnement}
     \addlyrics
      \context Staff = chant {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.autoBeaming = ##f
        \property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Chant"
	\property Staff.instr = "Cht"
	\property Staff.fontSize = -1
    \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature
        \melodie
      }
      \context Lyrics \texte
      					>

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

%       \context Staff = fl {
%         \property Staff.autoBeaming = ##t
%         \property Staff.automaticMelismata = ##t
% 	\property Staff.midiInstrument = #"oboe"
% 	\property Staff.midiInstrument = #"flute"
% 	\property Staff.midiInstrument = #"english horn"
% 	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
% 	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% % 	\notes \key g \major
% 	\Armature
%         \Flute
% 	}

% Pour la clarinette en Sib

%       \context Staff = deux {
%         \property Staff.autoBeaming = ##t
%         \property Staff.automaticMelismata = ##t
% 	\property Staff.midiInstrument = #"clarinet"
% 	\property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
% 	\property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
% % 	\notes \key g \major
% 	\Armature
% %         \notes \transpose d' \melodie
% 	\notes {s2*29}
% 	}
% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  >

  \paper {linewidth = 100 * \staffspace
      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
  \midi  {\tempo 4 = 160}
}
