% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Psaume de la création"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.1"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.1"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
    line-width = 18 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
      top-margin = 0\mm
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = 7.0\cm % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
    indent = 9\mm
%     interscoreline = 2.\mm
    between-system-space = 2\mm
    ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
%   #(define fonts
%     (make-pango-font-tree "Times New Roman"
%                           "Nimbus Sans"
%                           "Luxi Mono"
%                            ))
}

mesure = {\time 6/8}
Armature =  \key fis \minor


melodie =  \relative c' {
 r2.*7
 r8 cis8 cis cis b cis a2.~ a8
    d d d cis d b2.~ b8
    e e e d e cis2.~ cis8
    fis fis fis gis a gis2.~ gis8
    fis gis a gis fis a2.~ a8
    fis gis a gis fis a2.~ a8
    gis a b a gis b2.~ b8
    b b b b8.\breathe cis16 \bar "||"

    cis2.~ cis8
    b cis d b gis a2.~ a8
    fis gis a gis fis a2.~ a8
    a a a a b b2.~ b4.~ b4\breathe cis8
    cis2.~ cis8
    b cis d b gis a2.~ a8
    fis gis a gis fis a4.~ a8 a b
    b2.~ b8\breathe e,8 e e e e a,2. \bar "|."

%         \tempo 4=120 % indication métronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux (\\ indique les 2 voix)
%         f4~ f2 pour lier deux notes identiques
%         e2(  e) pour lier
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2
%             c16[ b a g] f[ e] Crochets indiquent comment grouper les barres de croches
%         \times 2/3 { r8 b a } pour des triolets
% 
%       nuances : \p, etc (collé aux notes)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3" (^ force up; _ force down)
%                \segno \marcato \fermata (point d'orgue) \breathe
%                \marcato \tenuto \accent
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \markup "chant" ou e4^\markup{ \italic ritenuto }
}

texte = \lyricmode {
Par les cieux de -- vant toi, splen -- deur et ma -- jes -- té,
par l'in -- fi -- ni -- ment grand, l'in -- fi -- ni -- ment pe -- tit
et par le fir -- ma -- ment, ton man -- teau é -- toi -- lé
et par frè -- re So -- leil, je veux cri -- er: Mon

Dieu, tu es grand tu es beau, Dieu vi -- vant, Dieu très haut,
tu es le Dieu d'a -- mour! Mon
Dieu, tu es grand tu es beau, Dieu vi -- vant, Dieu très haut,
Dieu pré -- sent, en tou -- te cré -- a -- tion!
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
a2. e fis:m 
cis:m d a e a
% b:m e e
fis:m b:m e e fis:m b:m e e fis:m fis:m d d e e a e:7 fis:m fis:m d d e e a e:7 fis:m fis:m d e e a
%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle =  \relative c, {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute =  \relative c'' {
a4.~ a8 cis d e4.~\segno e8 fis gis a4.~ a8
  b a gis4.~gis8 fis e fis4.~fis8 gis a e4. a,8 e' d b4.~b
%  fis e d4. cis8 d cis b4.~ b4.
r2. r4. a4. b2. r4. b4. e2. r4 cis8 cis4 cis8 fis4.~ fis4 r8
r4. e4. gis4. fis8 gis a fis4. cis
a fis'8 gis a fis4. d d d8 e fis b,4. b8 cis d gis, \breathe %,4. r4.
gis[ a] b gis e a4 
r8 cis8 e fis gis4. gis4 a8 a4 r8 fis8 a b cis4. cis4 d8 d4 r8 d,4.
d4. fis8 e d gis4. d8 cis b gis a b cis d e cis4.~ cis4 r8
 b4. d4 e8
fis4. a,8 cis d cis4. a8 cis d d4. b4 a8 gis4. r4. r4. gis4. a4.~ a8 cis d\segno

}

Clarinette =  \relative c' {

}

\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
%        \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
%        \set ChordNames.midiInstrument = "string ensemble 2"
       \set midiInstrument = #"acoustic guitar (nylon)"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup \small { \center-align {"Chant"}}
      \set Staff.instr = \markup \small { \center-align {"Cht"}}
%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
%        \set fontSize = #-2
       \texte
          }
                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois

      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \small {
        \column { "Flute" \line {"ou"}
                 \line {"hautbois"} } }
    \set Staff.instr = \markup \small {
        \column { "Fl."
                 \line { "Htb."} } }
%
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup {
             \center-align  { "Clarinette"
                \line { "en Si" \smaller \flat} } 
                }
    \set Staff.instr = \markup {
             \center-align  { "Clar."
                \line { "Si" \smaller \flat} } 
                }

     \key gis \minor
%          \transpose c d \Flute
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup { \center-align {"Violoncelle "}}
	\set Staff.instr = \markup { \center-align {"Vlle "}}
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext 
         }

  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
  \midi  {\tempo 4 = 96
%     #(set! instrument-equalizer-alist
%        (append
%           '(
%            ("cello" . (0.5 . 1.0))
%            ("string ensemble 1" . (0.1 . 0.2))
%            ("string ensemble 2" . (0.1 . 0.2))
%            ("acoustic grand" . (0.2 . 0.8))
%            )
%        instrument-equalizer-alist))
  }


  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps