\version "2.8.3"

#(set-global-staff-size 16)

\header {
%   dedication = "dedication"
  title = "Sanctus de Lourdes"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.3"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\paper  {
    line-width = 16 \cm % ou #1 , en fraction de la distance 
        }
global = {
\key f \major
\time 4/4
         }

sopRefrain = \relative c' {
\partial 2 e2 e\breathe 
a a\breathe
b4 cis8 d cis4 b8 a b4. b8 cis2\breathe \bar "||"
}
sopCouplet = \relative c'' {
cis4 cis e e d4. cis8 b2 a4 a fis2 gis4 a b2 \bar "||"
}
parolesRefrain = \lyricmode {
Dieu saint, Dieu fort, Dieu im -- mor -- tel,
bé -- ni soit ton Nom!
}
CoupletUn = \lyricmode {
\set stanza = "1."
Ciel et ter -- re sont rem -- plis de ta gloi -- _ _ re!
}
CoupletDeux = \lyricmode {
\set stanza = "2."
Bé -- ni soit Ce -- lui qui vient au _ Nom du Sei -- gneur!
}

altoRefrain = \relative c' {
\partial 2 e2 e\breathe
fis fis\breathe
gis4 a8 a a4 a8 a a4( gis8) gis a2\breathe
}
altoCouplet = \relative c'' {
a4 a gis gis a4. a8 gis2 fis4 e d2 e4 dis e2
}


tenorRefrain = \relative c' {
\partial 2 cis2 b\breathe
cis d\breathe
d4 e8 e fis4 fis8 fis b,4. b8 e2
}
tenorCouplet = \relative c' {
e4 e e e fis4. d8 e2 cis4 a a2 b4 b b2
}


basseRefrain = \relative c' {
\partial 2 a2 gis\breathe
fis4( e) d( cis)
b a8 a d4 d8 d dis4( e8) e << a2 a,2 >>
}
basseCouplet = \relative c' {
a4 a cis cis b4( a8) a e2 fis4 cis4 b2 e4 fis gis2
}

accords = \chordmode {
a2 e fis:m d
e4 a d2 b4 e a2 
}
accordsCouplet = \chordmode {
a2 cis:m b4:m7 a e2 fis4:m a b2:m7 e4 b e2
}
% ----------------------------------------------------------
% partition en FA
% impression du refrain
\markup {  } % pour passer un espace
\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c aes \accords }

\new Staff = femmes 
\new Voice =
"dessus" { \voiceOne << \global \transpose c aes, \sopRefrain \transpose c aes, \altoRefrain >> }

\new Lyrics = "paroles" { s1 }

\new Staff = hommes 
\new Voice =
"dessous" { \clef bass \voiceTwo <<\global \transpose c aes, \tenorRefrain \transpose c aes, \basseRefrain >> }

\context Lyrics = paroles 
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto dessus \parolesRefrain
  }
% \context Lyrics = tenors \lyricsto tenors \tenorWords
% \context Lyrics = basses \lyricsto basses \bassWords
>>

\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
% règle l'espacement entre les portées du système, par rapport à une ligne "centrale". Le premier chiffre indique la distance de  la portée du haut, le second de celle du bas. On peut ainsi régler l'espacement au texte, qui est justement cette ligne "centrale".
% Ceci est en décimales de la taille normale, donc (-5 . 5) correspond à la normale, (-3 . 3) est plus serré, etc.
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
}
}
\header {
  piece = "partition en FA"
}
}

% impression du couplet
\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c aes \accordsCouplet }

\new Staff = femmes 
\new Voice =
"dessusC" { \voiceOne << \global \transpose c aes, \sopCouplet \transpose c aes, \altoCouplet >> }

\new Lyrics = "cUn" { s1 }
\new Lyrics = "cDeux" { s1 }

\new Staff = hommes 
\new Voice =
"dessousC" { \clef bass \voiceTwo <<\global \transpose c aes, \tenorCouplet \transpose c aes, \basseCouplet >> }

\context Lyrics = cUn
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto dessusC \CoupletUn
  }
\context Lyrics = cDeux
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto dessusC \CoupletDeux
  }
>>
\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
}
}


% ------------------------------------------------------------
% même chose en sol !!!!!!!!!!!!!!

global = {
\key g \major
\time 4/4
         }

\markup {  } % pour passer un espace
\markup {  } % pour passer un espace
\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c bes \accords }

\new Staff = femmes 
\new Voice =
"dessus" { \voiceOne << \global \transpose c bes, \sopRefrain \transpose c bes, \altoRefrain >> }

\new Lyrics = "paroles" { s1 }

\new Staff = hommes 
\new Voice =
"dessous" { \clef bass \voiceTwo <<\global \transpose c bes, \tenorRefrain \transpose c bes, \basseRefrain >> }

\context Lyrics = paroles 
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto dessus \parolesRefrain
  }
>>

\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
}
\header {
  piece = "partition en SOL"
}
}

% impression du couplet
\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c bes \accordsCouplet }

\new Staff = femmes 
\new Voice =
"dessusC" { \voiceOne << \global \transpose c bes, \sopCouplet \transpose c bes, \altoCouplet >> }

\new Lyrics = "cUn" { s1 }
\new Lyrics = "cDeux" { s1 }

\new Staff = hommes 
\new Voice =
"dessousC" { \clef bass \voiceTwo <<\global \transpose c bes, \tenorCouplet \transpose c bes, \basseCouplet >> }

\context Lyrics = cUn
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto dessusC \CoupletUn
  }
\context Lyrics = cDeux
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto dessusC \CoupletDeux
  }
>>
\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
}
}