\version "1.6.6"
\include "paper20.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)


#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))
%et pour le mtronome :
#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   title = "Sanctus du Roman Pas, AL 20"
  subtitle = "Souffle imprvisible"
   composer = "Contrechant"
   opus = "pour violoncelle ou trombonne"
   piece = ". "
   tagline = "Christophe"
}

global = {\time 4/4}
Armature = \notes \key e \minor


melodie = \notes \relative c' {

    e8 e e d e4 e g8 g4 a8 fis2
    e8 e e d e4 e g8 g4 a8 fis2
    g8 g g fis g4 g b8 b4 c8 a2
    g8 g g fis g4 g b8 b4 c8 b2 \bar "||"

    b8^"Refrain" b4 b8 c b a4 a8 a d a b2
    g8 g4 g8 a g fis4 b8 a g fis g2
    b8 b4 b8 c b a4 a8 a d a b2
    g8 g4 g8 a g fis4 b a g fis e1 \bar "|."

}

texte = \lyrics {

    Souffle im -- pr -- vi -- si -- ble, Es -- prit de Dieu,
%
%     Saint, saint, saint, Dieu de l'al -- lian- ce_ ter -- nel -- le
% 	Dieu de l'a -- lian -- ce nou -- vel -- le
% 	Dieu de v -- ri -- t
%
% 	Saint, saint, saint, Dieu de la terre et du ciel,
% 	Dieu pr -- sent  nos ap -- pels, Dieu de sain __ te -- t Ho --
%
% 	san -- na, Ho -- san -- na, dans tou -- tes les na -- tions! Ho --
% 	san -- na, Ho -- san -- na, pbes e cis e lus loin que l'ho -- ri -- son!
%
% 	B -- ni soit ce -- lui qui vient au nom du P -- re juste et saint!

}


accompagnement = \chords {

    e2:m c a:m7 d
    e2:m c a:m7 d
    g c g d
    g c g b

    e a:m d:7 g:7+
    c:7+ fis:m5-.7-
    b:7 e:m
    e a:m d:7 g:7+
    c:7+ fis:m5-.7-
    b1:7 e:m
}

Violoncelle = \notes \relative c {
    e4^#`((columns (font-relative-size . -1)) ,note " = 110")\p g8 b c d b c a2 d8 g, a fis
    e4 g8 b c d b c a2 d8 g, a fis
    g4 b c e g, b d fis
    g,4 b c e g, a b dis

    e b c a d a b g c, e fis a b, dis e g
    e b8 c a4 c d a8 b g4 b c e fis8 g e fis dis e cis dis b4^"Da Capo" dis e1


}

VioloncelleII = \notes \relative c' {
e8 e d d c c b b a a g g fis fis a a g g fis fis e e d d c c a a d4 d
g,8 g b b c c e e g, g b b d d fis fis g4 d c a g8 g a a b b dis dis
e4 r4 r2 r2 g,8 g b g c4 r4 r2 r2 e8 e g e e'4 r4 r2 r2
b,8 b d b c c e c fis fis a fis fis fis b fis b b dis b e4 b8 b e,2
}

Flute = \notes \relative c' {
	r1^#`((columns (font-relative-size . -1)) ,note " = 160")\p
% ce gros bazar pour inscrire le tempo !!!
	 r1 r2
	a'2 c f, r2
	f2 g c, r1
	r1 r1
	e4\mf e8 e g4 f8 g
	a2 c f, d4 e f d e2
	f4 g bes g a2 d,4 e \decr g f e2 f\p \rced r

	r1 r2. c'4\p bes a f g f2 r
	r1 r2. c'4 bes g f e f2.r4

}
  \paper {linewidth = 100 * \staffspace
          interscoreline = 15
%       \translator{
%       \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
%       }
  }


\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3


% Pour le chant et les accords

    \context StaffGroup = chorale <
%      \include "paper11.ly"

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
%        \property ChordNames.fontSize = 20
       \accompagnement}
     \addlyrics
      \context Staff = chant {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Chant"
	\property Staff.instr = "Cht"
%     \property Staff.minimumVerticalExtent = #'(-7 . 7)
% 	\property Staff.fontSize = -1
%     \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature
        \melodie
      }
      \context Lyrics \texte
      					>

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

%       \context Staff = fl {
%         \property Staff.autoBeaming = ##t
%         \property Staff.automaticMelismata = ##t
% 	\property Staff.midiInstrument = #"oboe"
% 	\property Staff.midiInstrument = #"flute"
% 	\property Staff.midiInstrument = #"english horn"
% 	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
% 	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% % 	\notes \key g \major
% 	\Armature
%         \Flute
% 	}

% Pour la clarinette en Sib

%       \context Staff = deux {
%         \property Staff.autoBeaming = ##t
%         \property Staff.automaticMelismata = ##t
% 	\property Staff.midiInstrument = #"clarinet"
% 	\property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
% 	\property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
% % 	\notes \key g \major
% 	\Armature
% %         \notes \transpose d' \melodie
% 	\notes {s2*29}
% 	}
% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.midiInstrument = #"cello"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  >

  \header {piece = "Variation I"}
%   \midi  {\tempo 4 = 110}
}

\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3


% Pour le chant et les accords

    \context StaffGroup = chorale <
%      \include "paper11.ly"

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
%        \property ChordNames.fontSize = 20
       \accompagnement}
     \addlyrics
      \context Staff = chant {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Chant"
	\property Staff.instr = "Cht"
%     \property Staff.minimumVerticalExtent = #'(-7 . 7)
% 	\property Staff.fontSize = -1
%     \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature
        \melodie
      }
      \context Lyrics \texte
      					>

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

%       \context Staff = fl {
%         \property Staff.autoBeaming = ##t
%         \property Staff.automaticMelismata = ##t
% 	\property Staff.midiInstrument = #"oboe"
% 	\property Staff.midiInstrument = #"flute"
% 	\property Staff.midiInstrument = #"english horn"
% 	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
% 	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% % 	\notes \key g \major
% 	\Armature
%         \Flute
% 	}

% Pour la clarinette en Sib

%       \context Staff = deux {
%         \property Staff.autoBeaming = ##t
%         \property Staff.automaticMelismata = ##t
% 	\property Staff.midiInstrument = #"clarinet"
% 	\property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
% 	\property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
% % 	\notes \key g \major
% 	\Armature
% %         \notes \transpose d' \melodie
% 	\notes {s2*29}
% 	}
% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.midiInstrument = #"cello"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \VioloncelleII
% 	\notes {s2*29}
	}
  					>
  >

  \header {piece = "Variation II"}
%   \midi  {\tempo 4 = 110}
}

  \midi  {\tempo 4 = 110}


