% #(ly:set-option 'old-relative)
\version "2.7.40"
#(set-global-staff-size 23)
\include "gregorian-init.ly"

\header { title = "Tons de psaumes"
          tagline = ""}
\layout { ragged-right = ##t
         papersize = "a4" }
pash = \override Stem #'transparent = ##t
hamp = \override Stem #'transparent = ##f
dm = \divisioMinima
dM = \divisioMaior
fin = \finalis
fr = { \frenchChords \set chordChanges = ##t }

\score {
    \context Staff {
       \key f \major
      \set Staff.instrument = "1"
%       \override Staff.Instrument   #'font-magnification = #3.0
     \relative c' { \cadenzaOn
             \pash f4 g \hamp a\breve bes1 a4^"*"
            \dM s2 a\breve g1 f4 \fin
            s2 \pash f4 g \hamp a\breve g4^"+" \dm }
%     \header {piece = "Communion"}
   }
}

\score {
    \context Staff {
       \key g \major
      \set Staff.instrument = "2"
%       \override Staff.Instrument   #'font-magnification = #3.0
     \transpose c d \relative c'' { \cadenzaOn
             \hamp a\breve g4 \dm
             f\breve e4 \dM
             d\breve \pash e4 f \hamp c \dm
             bes\breve \pash c4 d \hamp a \fin }
%     \header {piece = "Communion"}
   }
}


\score {
    \context Staff {
       \key g \major
      \set Staff.instrument = "3"
%       \override Staff.Instrument   #'font-magnification = #3.0
     \relative c' { \cadenzaOn
             \hamp d\breve g1 e4^"*"
            \dM s2 e\breve fis1 d4 \fin
            s2 d\breve b4^"+" \dm }
%     \header {piece = "Communion"}
   }
}

\score {
    \context Staff {
       \key f \major
      \set Staff.instrument = "4"
%       \override Staff.Instrument   #'font-magnification = #3.0
     \transpose c c \relative c'' { \cadenzaOn
             \hamp a\breve c4 \dm
             f,\breve g1 a4 \dM
             bes\breve \pash a4 \hamp g4 \dm
             g\breve f1 g4 \fin }
%     \header {piece = "Communion"}
   }
}


\score {
    \context Staff {
       \key f \major
      \set Staff.instrument = "5"
%       \override Staff.Instrument   #'font-magnification = #3.0
  <<   
\new ChordNames { \chordmode { \fr c1 c1 } }
\relative c' { \cadenzaOn
             \hamp f\breve \pash g4 \hamp a4^"*"
            \dM s2 a\breve g1 \pash a4 \hamp f4 \fin
            s2 \hamp f\breve d4^"+" \dm }

>>
   }
}


\score {
    \context Staff {
       \key g \minor
      \set Staff.instrument = "6"
%       \override Staff.Instrument   #'font-magnification = #3.0
     \relative c'' { \cadenzaOn
             \hamp g\breve a1 bes4^"*"
            \dM s2 g\breve f1 g4 \fin
            s2 \hamp g\breve f4^"+" \dm }
%     \header {piece = "Communion"}
   }
}


\score {
    \context Staff {
       \key g \major
      \set Staff.instrument = "7"
%       \override Staff.Instrument   #'font-magnification = #3.0
     \relative c'' { \cadenzaOn
             \hamp g\breve b1 a4^"*"
            \dM s2 g\breve e1 g4 \fin
            s2 \hamp g\breve e4^"+" \dm }
%     \header {piece = "Communion"}
   }
}


\score {
    \context Staff {
       \key d \major
      \set Staff.instrument = "8"
%       \override Staff.Instrument   #'font-magnification = #3.0
     \relative c' { \cadenzaOn
             \hamp fis\breve \pash d4 fis \hamp a4^"*"
            \dM s2 a\breve g1 \pash a4 g \hamp fis4 \fin
            s2 \hamp fis\breve d4^"+" \dm }
%     \header {piece = "Communion"}
   }
}


\score {
    \context Staff {
       \key f \major
      \set Staff.instrument = "9"
%       \override Staff.Instrument   #'font-magnification = #3.0
     \relative c'' { \cadenzaOn
             \hamp g\breve a1 \pash g4 \hamp f4^"*"
            \dM s2 f\breve \pash e4 f \hamp g4 \fin
            s2 \hamp g\breve f4^"+" \dm }
%     \header {piece = "Communion"}
   }
}
