\version "2.8.7"

#(set-global-staff-size 18)

\header {
%   dedication = "dedication"
  title = "Louange eucharistique C 230"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "fait sous linux avec lilypond 2.8.7"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\paper  {
    line-width = 16 \cm % ou #1 , en fraction de la distance 
        }
global = {
\key g \minor
\time 4/4
         }

parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }


sopRefrain = \relative c' {
\override Lyrics.LyricSpace #'minimum-distance = #1.6
e4 e8 e a a a b c1
c4 c8 c b b b b c4. b8 a2
c4 c8[ c] d[ d] b[ b] c1
r8 c8 c b a a b c b4 g a2~ \bar "||" \time 2/4 a2 \bar "||"  \time 4/4
}
sopCouplet = \relative c' {
e8 e e e a a a a b4 b8 b c4. b8  \bar "||" \time 2/4 a2 \bar "||"  \time 4/4
c4 b a b8 c b4 g 
\override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
a2
\mark \markup { \musicglyph #"scripts.segno" }
\bar "||"
 
e8 e e e a a a a b4 b8 b c2
c4 b a b8 c b4 g 
\override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
a2
\mark \markup { \musicglyph #"scripts.segno" }
\bar "|."

 
 }
parolesRefrainUn = \lyricmode {
\set stanza = "1."
Saint le Sei -- gneur de l'u -- ni --vers, saint le Très -- Haut le Dieu de gloi -- _ re
Saint Jé -- sus Christ ber -- ger de paix, l'Em -- ma -- nu -- el dans notre his -- toi -- _ re
}
parolesRefrainDeux = \lyricmode {
\set stanza = "2."
Vien -- ne ton souf -- fle sur nos dons,
qu'ils soient Jé -- sus à no -- tre ta -- _ ble:
corps im -- mo -- lé pour le par -- don,
sang qui fait vi -- vre de la Pâ -- _ que!
}

parolesRefrainTrois = \lyricmode {
\set stanza = "3."
Ta mort, Sei -- gneur, nous l'an -- non -- çons,
so -- leil de Dieu qui nous li -- bè -- _ re
Tu es pour nous ré -- sur -- rec -- tion,
la joie pro -- mise à no -- tre ter -- _ re
}

parolesRefrainQuatre = \lyricmode {
\set stanza = "4."
A toi Dieu Saint, par Jé -- sus Christ,
gloire et puis -- san -- ce dans les siè -- _ cles!
Ré -- vè -- le- nous par ton Es -- prit
com -- ment te di -- re No -- tre Pè -- _ re
}
Couplet = \lyricmode {
% \set stanza = "1."
"1.Le" ciel et la ter -- re sont rem -- plis de ta gloi -- _ re
Ho -- san -- na au plus haut des cieux!
"2.Bé" -- ni soit ce -- lui qui vient au nom du Sei -- gneur,
Ho -- san -- na au plus haut des cieux!

}

altoRefrain = \relative c' {
c4 c8 c e e e e a1
a4 a8 a g g g g a4. g8 e2
a4 a8[ a] g[ g] g[ d] e4. f8 e2
r8 f8 f e f e d d g4 g e2~ e2
}
altoCouplet = \relative c'' {
}


tenorRefrain = \relative c' {
a4 a8 a c c c c e1
e4 e8 e e e e e e4. d8 c2
e4 e8 e b b d b g4. a8 g2
r8 a8 a b c c d e d4 b c2~ c2
}
tenorCouplet = \relative c' {

}


basseRefrain = \relative c {
a4 a8 a a' a a a a1
a4 a8 a e e e e f4. g8 a2
a4 a8 a g g g g c,1
r8 a'8 a g f f f f e4 e a2~ a2
}
basseCouplet = \relative c' {

}

accords = \chordmode {
a1:m a1:m 
a2:m e:m f a:m
a:m g c4. f8 c2
f1 e2:m a:m a:m
}
accordsCouplet = \chordmode {
a1:m e2:m f a:m
a:m f e:m d
}
% ----------------------------------------------------------
% partition en SOLm
% impression du refrain
\markup {  } % pour passer un espace
\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c g \accords }

\new Staff = femmes 
{ << 
\new Voice =
"dessus" {\global \parDeux \voiceOne \transpose c bes, \sopRefrain} 
\\ { \parDeux \voiceTwo \transpose c bes, \altoRefrain} >> }

\new Lyrics = "parolesUn" { s1 }
\new Lyrics = "parolesDeux" { s1 }
\new Lyrics = "parolesTrois" { s1 }
\new Lyrics = "parolesQuatre" { s1 }

\new Staff = hommes 
\new Voice =
"dessous" { \clef bass << {\parDeux \global \voiceOne \transpose c bes, \tenorRefrain} \\  {\parDeux \voiceTwo \transpose c bes, \basseRefrain } >> }

\context Lyrics = parolesUn 
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" 
  \lyricsto dessus \parolesRefrainUn
  }
\context Lyrics = parolesDeux
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" 
  \lyricsto dessus \parolesRefrainDeux
  }
\context Lyrics = parolesTrois
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" 
  \lyricsto dessus \parolesRefrainTrois
  }
\context Lyrics = parolesQuatre
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" 
  \lyricsto dessus \parolesRefrainQuatre
  }

>>

\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
% règle l'espacement entre les portées du système, par rapport à une ligne "centrale". Le premier chiffre indique la distance de  la portée du haut, le second de celle du bas. On peut ainsi régler l'espacement au texte, qui est justement cette ligne "centrale".
% Ceci est en décimales de la taille normale, donc (-5 . 5) correspond à la normale, (-3 . 3) est plus serré, etc.
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 3)
}
}
\header {
  piece = "partition en sol mineur, capo 3 pour la guitare"
}
}

% impression du couplet
\markup {  } % pour passer un espace
\markup {  } % pour passer un espace
\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c g \accordsCouplet }

\new Staff = femmes 
\new Voice =
"dessusC" { \voiceOne \global \transpose c bes, \sopCouplet }

\new Lyrics = "cUn" { s1 }
% \new Lyrics = "cDeux" { s1 }

% \new Staff = hommes 
% \new Voice =
% "dessousC" { \clef bass \voiceTwo <<\global \transpose c bes, \tenorCouplet \transpose c bes, \basseCouplet >> }

\context Lyrics = cUn
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto dessusC \Couplet
  }
% \context Lyrics = cDeux
%   {
%   \set fontSize = #-2
%   \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
%   \lyricsto dessusC
%   }
>>
\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
}
}
