\version "1.8.2"

% Ce modle convient pour des partitions  une ou plusieurs portes

%\include "paper11.ly"
%\include "paper13.ly"
\include "paper16.ly"
% \include "paper20.ly"
%\include "paper26.ly"

%% pour le volume des canaux midi, ne pas oublier d'indiquer -\f
% #(set! instrument-equalizer-alist
%      (append
%         '(
%    ("cello" . (0 . 2.0))
%    ("string ensemble 1" . (0 . 2.0))
%    ("string ensemble 2" . (0 . 2.0))
%    ("acoustic grand" . (0 . 3.0))
%     )
%        instrument-equalizer-alist))


\header {
%   dedication = "dedication"
%   title = "Title"
   subtitle = "Alleluia-Magnificat"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 1.8.2"
}

global = {\time 4/4}
Armature = \notes \key c \major


melodie = \notes \relative c' {
         \tempo 4=108 % indication mtronomique pour la feuille et midi
         \partial 2    c4 d 
 e2 e2 r4 d8 e f4 b, c1
 r2 \times 2/3 {g'4 a b } c1
 r4 b8 c d4 a b1
 r4 a4 b d g,1
 r4 d8 e f4 d e1
 r4 d8 e f4 b, c1
%         \repeat volta 2 { lment commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         < { r1 } \\ { a2 a } > pour jouer { ces deux morceaux
          % e2( )e pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|."  la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut  la ligne
%       < \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le > aprs avoir insr la musique entre {}
%
%         s8 bes4 c,4 g8-( f-) g4 f2 r4 s1*2

%       nuances : \p, etc (coll aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno -\marcato -\fermata  \breathe
%                \cr termin par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {

 Al -- le -- lu -- ia, Al -- le -- lu _ ia
  Al -- le -- lu -- ia, Al -- le -- lu _ ia
   Al -- le -- lu -- ia, Al -- le -- lu _ ia, Al -- le -- lu _ ia
% 	ren -- dons
%     sain __ te -- t (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {


c2 c1 c2 g2:7 c1 c1
a1:m a2:m d:7 g1 g1 
e1:m e2:m d:m c1 c2 g:7 c1
%   ne pas rpter \repeat volta 2 si utilise prcdemment, mais on peut mettre les accords correspondant entre {} pour la lisibilit
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c' {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {

}

Clarinette = \notes \relative c' {

}

\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = chorale <

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \property ChordNames.ChordName \set #'font-family = #'typewriter
%       \property ChordNames.ChordName \set #'font-magnification = #1.2
%        \property ChordNames.ChordName \set #'font-shape = #'italic
%        \property ChordNames.ChordName \set #'font-relative-size = #-1
       \property ChordNames.chordChanges = ##t
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
%     \property Voice.autoBeamSettings \override #'(end * * * *) = #(ly:make-moment 1 4) % pour que les barres de croches durent 1 tps
      \property Staff.automaticMelismata = ##f
      \property Staff.instrument = "Chant"
      \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-4 . 3)
%                            #'(-dist.notes-textes . dist.notes-accords)
%     souvent #'(-4 . 3) convient bien;#'(-7 . 5) dans les cas extrmes?

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature % dfinie plus haut
        \melodie
% cas o on met deux voix sur une porte, les voix portant autant de skips que ncessaire
%         <
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caractres,
%       \context Lyrics = ttx {
%        \property Lyrics.LyricText \override #'font-relative-size = #'+1
%       \texte}

                                >

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
    \property Staff.instrument = \markup {
             \column << "Flute ou" { "Hautbois"} >> }
    \property Staff.instr = \markup {
             \column << "Fl." { "Htb."} >> }
%
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = \markup {
             \column << "Clarinette"
               { "en Si" \smaller \musicglyph #"accidentals--1"}
               >> }
    \property Staff.instr = \markup {
             \column << "Clar."
               { "Si" \smaller \musicglyph #"accidentals--1"}
               >> }

    \notes \key g \major
% 	\Armature
        \notes \transpose c d \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle "
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  > % ouvert juste en dessous de la dclaration \score

  \paper {linewidth = 100 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les portes, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derrire)

% Pour changer l'cart entre les notes :

%       \translator{
%           \ScoreContext
%           SpacingSpanner \override #'spacing-increment = #2.2
%           SpacingSpanner \override #'shortest-duration-space = #3.0

      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
%   \midi  {\tempo 4 = 80}
}
% Pour faire plusieurs partitions sur une page (introductions, ou ...) il faut inverser les choses :
% dfinir \paper juste aprs avoir donn les mlodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout dbut aussi (notamment avec le tagline)
% Par contre, la dclaration \midi doit venir  la fin, et les dclarations \global et \property Score.BarNumber \override #'padding = #3 ne peuvent pas tre rptes dans chaque score.

% Problme quand on ne justifie pas les portes : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps > fichier_avec _marge.ps
