\version "1.6.6"
\include "paper20.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)

%Pour afficher des bmols dans le texte
#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))

%pour les indications mtronomiques
%	...accoler la chane suivante  la premire note
%	^#`((columns (font-relative-size . -1)) ,note " = 112")

#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
#(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
#(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   dedication = "dedication"
  title = "Dieu est bon !"
%   subtitle = "Subtitle"
%    subtitle = "Dieu est bon !"
  composer = "Graham Kendrick"
%    opus = "Graham Kendrick"
%   piece = "Piece I"
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
  }

global = {\time 4/4}
Armature = \notes \key g \major


melodie = \notes \relative c'' {
g4 f g2 r8 a a a bes a g4
g4 f g2 r8 bes bes c a2
g4 f g2 r8 a a a bes a g f
g4 f g2 \time 2/4 r8 a bes a \time 4/4 g1 \bar "||"

r8 c c d ees ees d c d4 bes g a8 bes c4 bes a bes8 c d4 c bes( )a
r8 c c d ees4 d8 c d4 bes g a8 bes cis4. cis8 cis4 d8 e d1 ~ d2. r4
\bar "|."
}

texte = \lyrics {
Dieu est bon! Nous vou -- lons le cri -- er.
Dieu est bon! Le c -- l -- brer.
Dieu est bon! Ne plus ja -- mais en dou -- ter.
Dieu est bon! Oui c'est bien vrai.

Et quand je pense  son a -- mour pour moi mon coeur saute de joie
	et je veux dan -- ser __
car dans son coeur il-y a place pour moi et j'y cours les bras
	grands ou -- verts __
}

accompagnement = \chords {
g4:m f g2:m d1
g4:m f g2:m ees2 d2
g4:m f g2:m d1
g4:m f g2:m f g1:m

c1:m g:m d:7 g4:m d:m g:m d:7
c1:m g:m a d:4 d
}

Violoncelle = \notes \relative c {

}


\score {
  <
    \global

% Pour le chant et les accords

%     \context StaffGroup = chorale
    <
     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 6)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \notes \transpose a \accompagnement}
     \addlyrics
      \context Staff = chant {
        \property Staff.midiInstrument = #"acoustic grand"
% 	\property Staff.autoBeaming = ##f
        \property Staff.automaticMelismata = ##t
% 	\property Staff.instrument = "Chant"
% 	\property Staff.instr = "Cht"
	\Armature
        \notes \transpose a \melodie
      }
      \context Lyrics \texte
      					>

    \context StaffGroup = contrechant <

% Pour la clarinette en Sib

      \context Staff = deuxieme {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"clarinet"
	\property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
	\property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
% 	\notes \key g \major
	\Armature
%         \notes \transpose d' \melodie
% 	\notes {s2*29}
	}
% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle"
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  >

  \paper {
  	linewidth = 150
%   	interscoreline =

      \translator{
      \HaraKiriStaffContext
      }

  }
  \midi  {\tempo 4 = 132}
}
