\version "1.6.6"
\include "paper20.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)

%Pour afficher des bmols dans le texte
#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))

%pour les indications mtronomiques
%	...accoler la chane suivante  la premire note
%	^#`((columns (font-relative-size . -1)) ,note " = 112")

#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
#(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
#(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   dedication = "dedication"
%   title = "Title"
%   subsubtitle = "Subsubtitle"
%   composer = "Composer (xxxx-yyyy)"
%   opus = "Opus 0"
%   piece = "Piece I"
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
    tagline = "Christophe"
  }



entree = \notes \relative c' {
r1^"les quatre premires mesures"
}

entreeacc = \chords {

}

% kyrie = invocation  l'Esprit
kyrie = \notes \relative c' {
e2. b8 gis' fis2( )fis8 gis fis e a gis fis e dis2 e1 \bar "|."
}

kyrieacc = \chords {
e1 b a2 b e1
}

gloria = \notes \relative c' {
b4 b c2 b4. c8 b4 d a2 g \bar "|."
}

gloriaacc = \chords {
g2 c g1 d2 g
}

%Psaume = Pendant la chrismation
psaumea = \notes \relative c' {
%   < \repeat 2 unfold { s1 * 3 \break }
    e8 e e d e4 e g8 g4 a8 fis2
    e8 e e d e4 e g8 g4 a8 fis2}
psaumeb = \notes \relative c' {
    g'8 g g fis g4 g b8 b4 c8 a2
    g8 g g fis g4 g fis8 e4 dis8 e2 \bar "|."
}

psaumeacca = \chords {
    e2:m c a:m7 d
    e2:m c a:m7 d}
psaumeaccb = \chords {
    g c g d
    g c b e

}


alleluia = \notes \relative c' {
r1^"Jouer le couplet ?"
}

alleluiaacc = \chords {

}


intentions = \notes \relative c' {
r1^"Jouer tout"
}

intentionsacc = \chords {

}


sanctus = \notes \relative c' {
r1^"Voir partition violoncelle"
}

sanctusacc = \chords {

}



anamnese = \notes \relative c' {
\time 3/4 r2 f8 g a4. a8 bes a g4 f f8^"Chant" g a4. s1
}

anamneseacc = \chords {
r2 f4 f2 bes4 c f
}


agnus = \notes \relative c' {
r4. f8 f f g4 g8 g a a d,2 \bar "|."
}

agnusacc = \chords {
r2 bes4 bes2 a4 d2:m
}

communion = \notes \relative c' {
r1^"Jouer tout aux instruments ?"
}

communionacc = \chords {

}

envoi = \notes \relative c' {
r1^"La deuxime partie du refrain ('appels  la libert')"
}

envoiacc = \chords {

}



\paper {linewidth = -1.\cm % 18.0\cm
	interscoreline = 1.7\cm
	\translator{ \HaraKiriStaffContext }
	}
%et maintenant rpter la section score autant de fois que de chants
% et remplacer l'occurence "entree" par ce qu'on a crit plus haut
\score {
	\notes
     <
     \context ChordNames = entreeaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \entreeacc}
      \context Staff = entreeintro {
         \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
%                                 #`(lines "Flte ou" (columns "Hautbois"))
	\time 4/4
	\key e \minor
        \entree
                                    }
      >
	\header {
%         \set #'font-shape = #'italic
	title = "Eucharistie de la Confirmation 2003"
    subtitle = "Introductions aux chants"
%         opus = "A 561          "
        piece = "       Entre, CR 249" }
% \midi  {\tempo 4 = 92}
}




\score {

     <
     \context ChordNames = gloriaaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \gloriaacc}
      \notes
      \context Staff = gloriaintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 4/4
	\key g \major
        \gloria
                                    }
      >
	\header {
        piece = "Gloire  Dieu, paix aux hommes" }
}
%

\score {

     <
     \context ChordNames = alleluiaaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \alleluiaacc}
      \notes
      \context Staff = alleluiaintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 4/4
	\key b \minor
        \alleluia
                                    }
      >
	\header {
        piece = "Alleluia Ps 117" }
}

\score {
	\notes
     <
     \context ChordNames = kyrieaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \kyrieacc}
      \context Staff = kyrieintro {
% 	 \property Staff.autoBeaming = ##t
         \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = ""
	\time 4/4
	\key e \major
        \kyrie
                                    }
      >
	\header {
        piece = "Invocation  l'Esprit : Viens, Saint-Esprit" }
}

\score {

     <
     \context ChordNames = psaumeaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \psaumeacca}
      \notes
      \context Staff = psaumeintro {
        \property Staff.midiInstrument = #"acoustic grand"
%         \property Staff.verticalExtent = #(0 . 5.0)
	\property Staff.instrument = "instr"
	\time 4/4
	\key e \minor
        \psaumea
%         \psaumeb
                                    }
      >
	\header {
        piece = "Chrismation : Souffle imprvisible" }
}
\score {
     <
     \context ChordNames = psaumeaccordsb {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \psaumeaccb}
      \notes
      \context Staff = psaumeintrob {
        \property Staff.midiInstrument = #"acoustic grand"
%         \property Staff.verticalExtent = #(0 . 5.0)
% 	\property Staff.instrument = "instr"
	\time 4/4
	\key e \minor
%         \psaumea
        \psaumeb
                                    }
      >

}

\score {

     <
     \context ChordNames = intentionsaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \intentionsacc}
      \notes
      \context Staff = intentionsintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 4/4
	\key d \major
        \intentions
                                    }
      >
	\header {
        piece = "Anims par l'Esprit de Jsus" }
}

\score {

     <
     \context ChordNames = sanctusaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \sanctusacc}
      \notes
      \context Staff = sanctusintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 4/4
	\key d \major
        \sanctus
                                    }
      >
	\header {
        piece = "Sanctus AL 20" }
}
\score {

     <
     \context ChordNames = anamneseaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \anamneseacc}
      \notes
      \context Staff = anamneseintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 3/4
	\key f \major
        \anamnese
                                    }
      >
	\header {
        piece = "Anamnse" }
}
\score {

     <
     \context ChordNames = agnusaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \agnusacc}
      \notes
      \context Staff = agnusintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 4/4
	\key d \minor
        \agnus
                                    }
      >
	\header {
        piece = "Agneau de Dieu" }
}
\score {

     <
     \context ChordNames = communionaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \communionacc}
      \notes
      \context Staff = communionintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 4/4
	\key d \minor
        \communion
                                    }
      >
	\header {
        piece = "Nous te rendons grce" }
}
\score {

     <
     \context ChordNames = envoiaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \envoiacc}
      \notes
      \context Staff = envoiintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 4/4
	\key d \minor
        \envoi
                                    }
      >
	\header {
        piece = "L'Esprit Saint qui nous est donn" }
}



  \midi  {\tempo 4 = 132}

