\version "2.8.3"
\include "gregorian-init.ly"

#(set-global-staff-size 18)

\header {
%   dedication = "dedication"
  title = "Ivres de joie"
%   subtitle = "Subtitle"
  composer = "Gouze"
}

pash = \override Stem #'transparent = ##t
hamp = \override Stem #'transparent = ##f
dm = \divisioMinima
dM = \divisioMaior
fin = \finalis


parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }
	     
chExceptionMusic =  {
    <c f g bes>1-\markup { "7/4" }
    <c e g bes>1-\markup { "7" }
    <c ees g bes>1-\markup { "m7" }
    <c f g>1-\markup { "4" }
    <c e g a>1-\markup { "6" }
    <c ees g a>1-\markup { "m6" }
    <c ees ges>1-\markup { "dim" }
    <c ees ges beses>1-\markup { "7dim" }
    }
% add to existing exceptions.
chExceptions = #(append
                 (sequential-music-to-chord-exceptions chExceptionMusic #t)
                 ignatzekExceptions)




\paper  {
    line-width = 16 \cm % ou #1 , en fraction de la distance 
    indent = 0\mm
}
global = {
\key b \minor
\time 4/4
}
% transp = { \transpose c bes }

sopMusic = \relative c' {
\partial 8 c8
a'4. bes8 a4. a8 a bes c d c4. bes8 a g a bes c2 \bar "||"
\break \cadenzaOn
            \hamp a\breve d1 c4 \dm
             c\breve c1 c4 \dM
             a\breve a1  bes4 \dm
             bes\breve g1 g4 \fin

}
sopWords = \lyricmode {
I -- vres de joie vous pui -- se -- rez les eaux aux sour -- ces du sa -- lut.
}
altoMusic = \relative c' {
c8 f4. g8 f4. d8 f g a g f4. d8 f g f d f2

\break \cadenzaOn
            \hamp f\breve f1 e4 \dm
             e\breve e1 f4 \dM
             f\breve f1  bes4 \dm
             g\breve g1 c,4 \fin

}
altoWords =\lyricmode {

}
tenorMusic = \relative c' {
a8 c4. d8 c4. a8 c d f d c4. f8 c d c g a2
}
tenorWords = \lyricmode {

}
bassMusic = \relative c, {
f8 f4. c8 f4. f8 f f g g a4. g8 f f c c f2

\break \cadenzaOn
            \hamp f\breve d1 c4 \dm
             c\breve g'1 a4 \dM
             d,\breve f1  d4 \dm
             g\breve d1 e4 \fin

}
bassWords = \lyricmode {

}
accords = \chordmode {

}

\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c bes \accords }
% \new Lyrics = sopranos { s1 }
\new Staff = women %<< \partcombine
{
<< {
\new Voice =
"sopranos" { \voiceOne \global  \parDeux \transpose c a, \sopMusic }
    } \\ { 
\new Voice =
"altos" { \voiceTwo \global \parDeux \transpose c a, \altoMusic } }
% \new Voice =
% "altos" { \voiceTwo << \global \transpose c bes, \altoMusic >> }
>>
}
\new Lyrics = "paroles" { s1 }
% \new Lyrics = "tenors" { s1 }
\new Staff = men %<<
{
\new Voice =
"basses" { \clef bass  \global << { \parDeux \transpose c a, \tenorMusic } \\ { \parDeux  \transpose c a \bassMusic } >> }
% \new Voice =
% "basses" { \voiceTwo <<\global \transpose c bes \bassMusic >> }
% >>
% \new Lyrics = basses { s1 }
}
% \context Lyrics = sopranos \lyricsto sopranos \sopWords

% \context Lyrics = altos 
\context Lyrics = paroles
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto sopranos \sopWords
  }
% \context Lyrics = tenors \lyricsto tenors \tenorWords
% \context Lyrics = basses \lyricsto basses \bassWords
>>
\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
  ragged-last = ##t % ne justifie pas la dernière portée

}
}