% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Je t'exalte, ô Roi mon Dieu"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
  composer = "CR 534"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.3"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.3"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
    between-system-space = 15\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key f \major
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c' {
\tempo 4=132
\override Lyrics.LyricSpace #'minimum-distance = #1.4
\partial 2 s2 s1 r2.  c8 c
f4 f a g f2 r4 g8 a
bes4 bes a bes8 a g2 r4 c,4
a' a8 g f4 g8 f d2 r8 bes'8 bes bes
a4 f g8 f e g f2 r4 \bar "||" 
}

melodieB =  \relative c {

}


texte = \lyricmode {
Je t'e -- xalte ô Roi mon Dieu,
je bé -- nis ton nom à ja -- mais
je veux te bé -- nir cha -- que jour,
lou -- er ton nom tou -- jours et à ja -- mais!
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
bes2
f c f f
f2 f f f
bes f c c
f f bes bes
f c f
%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle =  \relative c {
f,4 d f g bes c f,2. r4
f'4 e f g a ees d c bes a bes g c b bes a8 g 
f4 ees d f bes a bes d, f g bes c f,2 r4
% ici aussi, ne pas redire \repeat mais utiliser des {}
}
Flute =  \relative c'' {
r2 r1 r1
c2 r4 c8 d c4 f g ees d2 r4 bes8 d
c4 c8 d e4 r4    c'8 b c4 a8 bes a4
f8 ges f4 d8 ees d4   f8 ges g4 bes8 b c4  f,8 g f4 r4
}
Violon = \relative c' {
r8 bes'8 bes bes
a4 f g8 f e g f2.
c8 c  \bar "||"
a'4 a c bes a2 r4 bes8 c
d4 d c d8 c c2 r4 c,4
c' c8 bes a4 bes8 a f2 r8 d'8 d d
c4 a bes8 a g bes a2 r4
}

Clarinette =  \relative c'' {

}
\markup {  }
\markup { \italic "Contre-chants du refrain, avec introduction" }
\score {
  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
%        \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
%        \set ChordNames.midiInstrument = "string ensemble 2"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chantU" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
%       \set Staff.midiInstrument = "acoustic grand"
 	\set Staff.midiInstrument = "violin"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
	\parDeux
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
      \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
      \set fontSize = #-2
%        \lyricsto "dessus"
	\texte
          }

                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
% 	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \tiny {
        "Flûte" } 
    \set Staff.instr = \markup \tiny {
       "Fl. "}  

%
	\Armature
% 	\parDeux
        \Flute
	}
% Pour le violon
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "vl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
	\set Staff.midiInstrument = "viola"
    
    \set Staff.instrument = \markup \tiny { "Violon" }
    \set Staff.instr = \markup \tiny { "Vl." }
%
	\parDeux
	\Armature
        \Violon
	}
% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup \tiny {
            "Clarinette "
            \line { "en Si" \smaller \flat}
                }
    \set Staff.instr = \markup \tiny {
             "Clar. "
             \line { "Si" \smaller \flat}
                }

     \key g \major
         \transpose c d \Clarinette
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
% 	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup \tiny { "Violoncelle "}
	\set Staff.instr = \markup \tiny {"Vlle "}
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }

%   \midi  {\tempo 4 = 132
%     #(set! instrument-equalizer-alist
%        (append
%           '(
%            ("cello" . (0.2 . 0.8))
%            ("string ensemble 1" . (0.1 . 0.2))
%            ("string ensemble 2" . (0.1 . 0.2))
%            ("violin" . (0.1 . 0.7))
%            ("flute" . (0.1 . 1.0))
% 	   ("acoustic guitar (nylon)" . (0.1 . 0.3))
%            ("acoustic grand" . (0.2 . 0.8))
% 	)
%        instrument-equalizer-alist) ) 
%   }


  }

couplet =  \relative c' {
\partial 4 f8 f
d d d d f f e d c2 r4 f8 f
d d d d f f e d c2 r4 c8 c
f4 f8 f g4 g8 g a2 r4 f8 f
a a a a g g a g f2 r4 c8 c
}
accompagnementC =  \chordmode {
f4 bes2 bes  f f bes bes f f
f c f f f c f
}
texteC = \lyricmode {
Le Sei -- gneur est ten -- dresse et pi -- tié
}
flcouplet = \relative c'' {
c4 bes a g g f g a2 \breathe
bes'4 a d c c bes a2 \breathe
a8 bes a4 bes8 c d4 c8 d c4~ c r4
f,8 g f4 g8 a bes4 a8 g a4 r2
}

\score {
 <<
    \mesure
    \context StaffGroup = "choraleC" <<

     \context ChordNames = "accordsC" {
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnementC
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
%       \set Staff.midiInstrument = "acoustic grand"
 	\set Staff.midiInstrument = "violin"
      \set Staff.autoBeaming = ##t
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}
	\Armature % définie plus haut
	\parDeux
        \couplet
                            }
     \addlyrics { % \small \tiny \teeny
      \override LyricText #'font-name = #'"Gill Sans MT"
      \set fontSize = #-2
	\texteC
          }

                                >>

    \context StaffGroup = "contrechantC" <<

% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "flC" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
% 	\set Staff.midiInstrument = "flute"
    \set Staff.instrument = \markup \tiny {
        "Flûte" } 
    \set Staff.instr = \markup \tiny {
       "Fl. "}  
	\Armature
 	\parDeux
        \flcouplet
	}
	
  			>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }

  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }

  \midi  {\tempo 4 = 132
    #(set! instrument-equalizer-alist
       (append
          '(
           ("cello" . (0.2 . 0.8))
           ("string ensemble 1" . (0.1 . 0.2))
           ("string ensemble 2" . (0.1 . 0.2))
           ("violin" . (0.1 . 0.7))
           ("flute" . (0.1 . 1.0))
	   ("acoustic guitar (nylon)" . (0.1 . 0.3))
           ("acoustic grand" . (0.2 . 0.8))
	)
       instrument-equalizer-alist) ) 
  }



}

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets". En fait dans lilypond ça marche aussi pour autant qu'on met des nuances, hihihi!

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }