\version "1.6.6"
\include "paper16.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)


#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))
%et pour le mtronome :
#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   title = "Sanctus du Roman Pas, AL 20"
  subtitle = "Je cherche le visage du Seigneur, SM 2"
   composer = "Chant et contrechants"
%    opus = "pour violoncelle ou trombonne"
   piece = ". "
}

global = {\time 4/4}
Armature = \notes \key d \major


melodie = \notes \relative c' {

\partial 16
fis16^#`((columns (font-relative-size . -1)) ,note " = 80")
fis8 fis4 fis16 fis g8 g4 g16 g a8 a4 a16 a a4..
fis16 fis8 fis4 fis16 fis g8 g4 e16 e e4. e16 d d4.. \bar "|."


}

texte = \lyrics {
	Je cher -- che le vi -- sa -- ge le vi -- sa -- ge du Sei -- gneur
    Je cher -- che son i -- ma -- ge tout au fond de vos coeurs


}

accompagnement = \chords {
s16 d2 g a:4 a
d g a d
}

Violoncelle = \notes \relative c {
s16 d8 d4 d8 g8 g4 e8 a8 d,4 e8 a4. r8
d,8 d4 fis8 g8 g4 fis8 a8 a4. d,4..
}

Flute = \notes \relative c'' {
s16 d4 a' g fis e4. d8 e4. r8
d4 a g d' e4. e8 d4..

}
\score {
  <
    \global
%     \property Score.BarNumber \override #'padding = #3


% Pour le chant et les accords

    \context StaffGroup = chorale <
%      \include "paper11.ly"

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.fontSize = 20
       \accompagnement}
     \addlyrics
      \context Staff = chant {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Chant"
	\property Staff.instr = "Cht"
    \property Staff.minimumVerticalExtent = #'(-7 . 5)
% 	\property Staff.fontSize = -1
%     \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature
        \melodie
      }
      \context Lyrics \texte
      					>

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

%       \context Staff = deux {
%         \property Staff.autoBeaming = ##t
%         \property Staff.automaticMelismata = ##t
% 	\property Staff.midiInstrument = #"clarinet"
% 	\property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
% 	\property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
% % 	\notes \key g \major
% 	\Armature
% %         \notes \transpose d' \melodie
% 	\notes {s2*29}
% 	}
% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  >

  \paper {linewidth = 100 * \staffspace
%       interscoreline = 15
    interscoreline = 2.5\cm
      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
  \midi  {\tempo 4 = 80}
}
