#(ly:set-option 'old-relative)
\version "2.4.0"

% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11)
%#(set-global-staff-size 13)
#(set-global-staff-size 16)
%#(set-global-staff-size 20)
%#(set-global-staff-size 26)

%% pour le volume des canaux midi, ne pas oublier d'indiquer \f
% #(set! instrument-equalizer-alist
%      (append
%         '(
%    ("cello" . (0 . 2.0))
%    ("string ensemble 1" . (0 . 2.0))
%    ("string ensemble 2" . (0 . 2.0))
%    ("acoustic grand" . (0 . 3.0))
%     )
%        instrument-equalizer-alist))


\header {
%   dedication = "dedication"
   title = "Je vous salue, Marie"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.4.6"
}

global = {\time 4/4}
Armature =  \key e \minor


melodie =  \relative c'' {
  \partial 8 e,8
  b' c b a b4. g8 a b g4 fis e2
  e8 fis g a b4~ b8 b8 a c b4~ b8 b8
  \times 2/3 {e d e}
%         \tempo 4=120 % indication métronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux
          % e2(  e) pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2

%       nuances : \p, etc (collé aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno \marcato \fermata  \breathe
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyricmode {

% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chordmode {

%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle =  \relative c' {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute =  \relative c' {

}

Clarinette =  \relative c' {

}

\score {
  <<
    \global
    \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
       \set midiInstrument = #"recorder"
       \set midiInstrument = #"acoustic guitar (nylon)"
       \set midiInstrument = #"string ensemble 2"
       \set midiInstrument = #"acoustic guitar (nylon)"

       \set minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \override ChordName   #'font-family = #'typewriter
%       \override ChordName   #'font-magnification = #1.2
%        \override ChordName   #'font-shape = #'italic
%        \override ChordName   #'font-size = #-2
       \set chordChanges = ##t
       \accompagnement
                                    }
     \oldaddlyrics
      \context Staff = "chant" {
      \set Staff.midiInstrument = #"acoustic grand"
      \set Staff.autoBeaming = ##t
%     #(override-auto-beam-setting '(end * * * *)  1 4) % pour que les barres de croches durent 1 tps
      \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = "Chant"
      \set Staff.instr = "Cht"
 %     \set Staff.fontSize = -1
      \set Staff.minimumVerticalExtent = #'(-4 . 3)
%                            #'(-dist.notes-textes . dist.notes-accords)
%     souvent #'(-4 . 3 convient) bien;#'(-7 . 5 dans) les cas extrêmes?

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\set Staff.staff-space = 2

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caractères,
%       \context Lyrics = "ttx" {
%        \override LyricText   #'font-relative-size = #'+1
%       \texte}

                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois

      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = #"oboe"
	\set Staff.midiInstrument = #"flute"
	\set Staff.midiInstrument = #"english horn"
    \set Staff.instrument = \markup {
             \column < "Flute ou" { "Hautbois"} > }
    \set Staff.instr = \markup {
             \column < "Fl." { "Htb."} > }
%
% 	 \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = #"clarinet"
    \set Staff.instrument = \markup {
             \column < "Clarinette"
               { "en Si" \smaller \semiflat}
               > }
    \set Staff.instr = \markup {
             \column < "Clar."
               { "Si" \smaller \semiflat}
               > }

     \key g \major
% 	\Armature
         \transpose c d \Clarinette
% 	 {s2*29}
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = #"trombone"
	\set Staff.midiInstrument = #"cello"
	\set Staff.midiInstrument = #"string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = "Violoncelle "
	\set Staff.instr = "Vlle "
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
  					>>
  >> % ouvert juste en dessous de la déclaration \score

  \layout {
%  linewidth = 100 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les portées, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derrière)

% Pour changer l'écart entre les notes :

%       \context{
%           \Score
%           \override SpacingSpanner #'spacing-increment = #2.2
%           \override SpacingSpanner #'shortest-duration-space = #3.0

      \context{
      	\RemoveEmptyStaffContext 
%       \Score
%       \override TextScript #'font-shape = #'upright
      }
  }
%   \midi  {\tempo 4 = 80}
}
% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \global et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps
