\version "1.6.6"

% Ce modle convient pour des partitions  une ou plusieurs portes

%\include "paper11.ly"
%\include "paper13.ly"
\include "paper16.ly"
%\include "paper20.ly"
%\include "paper26.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)

%Pour afficher des bmols dans le texte
#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))
%et pour le mtronome :
#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

% pour les indications mtronomiques,
% accoler la chane suivante  la premire note :
%	^#`((columns (font-relative-size . -1)) ,note " = 112")


\header {
%   dedication = "dedication"
%   title = "Title"
  subtitle = "La Parisienne"
%   subsubtitle = "Subsubtitle"
  composer = "Marie-Paule Belle"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "."
}

global = {\time 3/4}
Armature = \notes \key g \major


melodie = \notes \relative c'' {

         \partial 4 g4
         fis4 a,8 a c g' fis4 a,8 a c g' fis2. ~ fis2 fis4
         e4 g,8 g b fis' e4 g,8 g b fis' e2. ~ e2       e4
         e8 fis fis gis gis c c b b gis gis e e4 e8 e a c e4 r4-\fermata
         g,4
         fis4 a,8 a c g' fis4 r4 c'8 fis, g4 r2 \time 2/4 r4 d8 d
         e d cis d g g b, b d d g, g b b    \breathe  b b c b ais b d d \breathe
         d d e e fis fis g g  \breathe d8 d
         e d cis d g g b, b d d g, g b b    \breathe  b b c b ais b d d \breathe
         d d e e fis fis g g  \breathe a g g a a g g g   \breathe   a g g g a g g g
          \breathe b a a a b a a a   \breathe   a a b a g e d4  \breathe d8 d
         e d cis d g g b, b d d g, g b b    \breathe  b b c b ais b d d \breathe
         d d e e fis fis g d fis d g4 r4-\fermata \bar "|."


%         \repeat volta 2 { lment commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         < { r1 } \\ { a2 a } > pour jouer { ces deux morceaux
          % e2( )e pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|."  la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut  la ligne
%         <
%            \repeat 7 unfold { s1 * 4 \break }
%           musique relle
%                 >        ...pour aller  la ligne chaque 4 mesures pendant 7 portes.
%
%         s8 bes4 c,4 g8( )f g4 f2 r4 s1*2

%       nuances : \p, etc (coll aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno -\marcato -\fermata  \breathe
%                \cr termin par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {

% 	ren -- dons
%     sain __ te -- t (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {
 s4 d2. d2. d2. d2.
 e2.:m e2.:m e2.:m e2.:m
 e2. e2. a2.:m a2.:m
 d2. d2. g2.

 s2 s2 g2 g2 g2 g2
 d2 d2
 g2 g2 g2 g2 g2 g2
 d2 d2
 g2 g2 g2 g2 g2
 d2 d2 a2 d2 s2
 g2 g2 g2 g2
 d2 d2 g4 d4 g2
%   ne pas rpter \repeat volta 2 si utilise prcdemment, mais on peut mettre les accords correspondant entre {} pour la lisibilit
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {

}

Clarinette = \notes \relative c' {

}

\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = chorale <

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \property ChordNames.chordChanges = ##t

%        \property ChordNames.fontSize = 20
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
      \property Staff.instrument = "Chant"
      \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-7 . 5)
%                            #'(-dist.notes-textes . dist.notes-accords)

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature % dfinie plus haut
        \melodie
% cas o on met deux voix sur une porte, les voix portant autant de skips que ncessaire
%         <
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caractres,
%       \context Lyrics = ttx {
%        \property Lyrics.LyricText \override #'font-relative-size = #'+1
%       \texte}

                                >

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
    \property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
	\notes \key g \major
% 	\Armature
        \notes \transpose d' \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  > % ouvert juste en dessous de la dclaration \score

  \paper {linewidth = 100 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les portes, mais cfr. infra
	  interscoreline = 1.1\cm %ou 22 (sans rien derrire)

% Pour changer l'cart entre les notes :

%       \translator{
%           \ScoreContext
%           SpacingSpanner \override #'spacing-increment = #2.2
%           SpacingSpanner \override #'shortest-duration-space = #3.0

      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
  \midi  {\tempo 4 = 80}
}
% Pour faire plusieurs partitions sur une page (introductions, ou ...) il faut inverser les choses :
% dfinir \paper juste aprs avoir donn les mlodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout dbut aussi (notamment avec le tagline)
% Par contre, la dclaration \midi doit venir  la fin, et les dclarations \global et \property Score.BarNumber \override #'padding = #3 ne peuvent pas tre rptes dans chaque score.

% Problme quand on ne justifie pas les portes : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps > fichier_avec _marge.ps
