% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)

%en-têtes globaux
\header {
%   dedication = "dedication"
   title = "Les anges dans nos campagnes (Si b)"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.3"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.3"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key g \major


melodieC =  \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4
a4 a a a8 c a4. bes8 a4 f
a a8 g a4 a8 c a4. bes8 a4 r4
a4 a a a8 c a4. bes8 a4 f
a a8 g a4 a8 c a4. bes8 a4 r4 \bar "||" }

melodieR =  \relative c'' {
c2 d8 c bes a bes2 c8 bes a g a2 bes8 a g f g4. g8 c,4 r4
f4 g a bes a2 g 
c2 d8 c bes a bes2 c8 bes a g a2 bes8 a g f g4. g8 c,4 r4
f4 g a bes a2 g f1 \bar "|." 

}

texte = \lyricmode {
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle =  \relative c, {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute =  \relative c'' {
a8 bes a g8 fis2 g8 a g f e2 f8 g f e d2~ d4 f e d
c c f f f2 e
a8 bes a g8 fis2 g8 a g f e2 f8 g f e d2~ d4 f e d
c e f g f2 e f1
}

Clarinette =  \relative c' {

}

\markup {"couplet"}
\score {

      \context Staff = "chantC" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t


	\Armature % définie plus haut
        \transpose c d \melodieC
                           }
			}
\markup {"Refrain"}
\score {

<<   
  \context Staff = "chantR" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t

	\Armature % définie plus haut
        \transpose c d \melodieR
		}
% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 

	\Armature
        \transpose c d \Flute
	}

>>
% 	}
% \override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
%   					>>
  % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
% \layout {
% 
%   \context{
%         \RemoveEmptyStaffContext
% %     \Lyrics
% %         \override LyricSpace #'minimum-distance = #1.0
%          }


%   ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
%   }


  }
