%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
\header {
%   dedication = "dedication"
%   title = "Title"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.1"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.1"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
    line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm
%     ragged-bottom = ##t

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
%   #(define fonts
%     (make-pango-font-tree "Times New Roman"
%                           "Nimbus Sans"
%                           "Luxi Mono"
%                            ))
}

mesure = {\time 3/4}
Armature =  \key d \major
sansHampe = {\once \override Stem #'transparent = ##t}

melodie =  \relative c' {
\partial 8 a8
a4 a c8 c a2\breathe bes8 bes c4 c4. c8 a2 r8\bar "|." \break }
ton = \relative c {
\cadenzaOn
f\breve a4 \bar "|"
g\breve a4 \bar "|"
a\breve c4 \bar "|"
bes\breve \sansHampe a4 \sansHampe g4 a4 \bar "||"
}

texte = \lyricmode {
Lu -- miè -- re sur nos pas, ta pa -- ro -- le, Sei -- gneur!
}

accompagnement = \chordmode {

%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

\score {
 <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

%     \context StaffGroup = "chorale"

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
%        \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
%        \set ChordNames.midiInstrument = "string ensemble 2"
       \set midiInstrument = #"acoustic guitar (nylon)"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
%         \with {fontSize = #-3
%         \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup { {"Antienne"}}
%       \set Staff.instr = \markup { \center-align {"Cht"}}
%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \transpose c a \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
%        \set fontSize = #-2
       \texte
          }
                       >>        

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext 
%         \remove "Time_signature_engraver"
         }

  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
%   \midi  {\tempo 4 = 80
%   }
}
% _________________________________________________________
% SECTION POUR LA PSALMODIE
% ------------------------------------------------------------

\score {
 \context Staff = "ton" 
      {
      \set Staff.autoBeaming = ##t
      \set Staff.instrument = \markup { {"psalmodie"}}
	\Armature % définie plus haut
        \transpose c a \ton }
\layout {
 \context {
    \RemoveEmptyStaffContext 
    \remove "Time_signature_engraver"
          }
    ragged-last = ##t
    }
  }

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.