\version "1.6.6"

%\include "paper11.ly"
%\include "paper13.ly"
% \include "paper16.ly"
\include "paper20.ly"
%\include "paper26.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)

%Pour afficher des bmols dans le texte
#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))
%et pour le mtronome :
#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

% pour les indications mtronomiques,
% accoler la chane suivante  la premire note :
%	^#`((columns (font-relative-size . -1)) ,note " = 112")


\header {
%   dedication = "dedication"
   title = "Nothing can ever come between us and the love of God"
%    subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
   composer = "Taiz"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
  tagline = "Lilypond 1.6.6"
}

global = {\time 4/4}
Armature = \notes \key g \major


refrain = \notes \relative c' {
 g'4 g a g8 fis8 e4 e fis8 fis g g a a a2
 b4 d b g4. g8 g4 g g b8 b a2 a \bar "||"
 }

finref = \notes \relative c'' {a2^"fin ref." a}

coupletu = \notes \relative c'' {
 < { r1 } \\ { a2 a } >  \bar "||" c8 c c c d4 d8 d b b b b b4. b8 c4 c a8 a a b a2. r4 \bar "||"
}
%  a2 a a4 a a4. a8 b b b b g4. g8 a4 a a8 a a g fis1
coupletd = \notes \relative c'' {
 < { r2. a8 a } \\ { a2 a } > \bar "||"  a4 a a4. a8 b b b b g4 g8 g a a b b c c c c a2. r4 \bar "||"
}
couplett = \notes \relative c' {
 < { r2. r8 fis8 } \\ { a2 a } >  \bar "||" e8 e e e fis4. a8 b b b b b4 g8 g a4 a8 a a a a g fis2. r4 \bar "||"
}
coupletq = \notes \relative c'' {
 < { r1 } \\ { a2 a } >  \bar "||" a4 a a4. a8 b b b b g4. g8 a4 a a8 a a g fis1 \bar "||"
}
coupletc = \notes \relative c'' {
  < { r1 } \\ { a2 a } >  \bar "||" a8 a a b a4 a g8 g4 g8 g g g \breathe b c c16 c c8 c c c b b a4 a2 r4 \bar  "||"
}
couplets = \notes \relative c'' {
 < { r2. a8 a } \\ { a2 a } > \bar "||" c4. c8 d d d d b b a a b b4. a8 a a4 a8 a b b a4 a2 r4  \bar "||"

%         \repeat volta 2 { lment commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         e2( )e pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|."  la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route
%
%         s8 bes4 c,4 g8( )f g4 f2 r4 s1*2

%       nuances : \p, etc (coll aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno -\marcato -\fermata  \breathe
%                \decr \rced
%        et aussi :  \mark "chant"
}

texter = \lyrics {
No -- thing can e -- ver come be -- tween us and the love of God
 the love of God re -- vealed to us in Christ Je -- sus
}
texteu = \lyrics {
 _ _ When I am a -- fraid, Lord, I put my trust in you.
 In you I trust, I shall not fear
}
texted = \lyrics {
 _ _ Tu sau -- vas  Dieu mon  -- me de la mort,
 que je marche  la lu -- mi -- re des vi -- vants
}
textet = \lyrics {
 _ _  _ Le Christ J -- sus est mort il est res -- su -- sci -- t
  la droi -- te de Dieu Il prie pour nous
}
texteq = \lyrics {
 _ _ This I know, that God is on my side.
 In God I trust; I shall not fear.
}
textec = \lyrics {
 _ _ Gott macht uns ge -- recht. Wer kann uns ver -- ur -- tei -- len?
 Der Va -- ter hat sei -- nen Sohn fr uns ge -- ge -- ben
}
textes = \lyrics {
 _ _ We -- der Tod noch Le -- ben,
we -- der Ge -- gen -- wart noch Zu -- kunft
schei -- den uns von der Lie -- be Go -- ttes.
}
% 	ren -- dons
%     sain __ te -- t


accompagnement = \chords {
g4 e:m a:m d e:m c b:m e:m a2.:m
e4:m b2:m c g4 g:7+ e2:m d1
%   ne pas rpter \repeat volta 2 si utilise prcdemment, mais on peut mettre les accords correspondant entre {} pour la lisibilit
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

acccouplets = \chords {
d1 a2:m d e:m e:m7 a1:m d
}

Violoncelle = \notes \relative c {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {

}

Clarinette = \notes \relative c' {

}
  \paper {
%   linewidth = 100 * \staffspace
%     linewidth = 150
    linewidth = 16.0\cm
    indent = 1.0\cm
% 	  interscoreline = 2.0\cm ou 22 (sans rien derrire)


      \translator{
          \ScoreContext
          SpacingSpanner \override #'spacing-increment = #2.2
          SpacingSpanner \override #'shortest-duration-space = #3.0
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
                }
    \translator {      \HaraKiriStaffContext
                }

}


\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3


% Pour le chant et les accords

    \context StaffGroup = choraler <

     \context ChordNames = accordsr {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 3)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \property ChordNames.fontSize = 20
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chantr {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
%       \property Staff.instrument = "Chant"
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-5 . 4)

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature % dfinie plus haut
        \refrain
% cas o on met deux voix sur une porte, les voix portant autant de skips que ncessaire
%         <
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >

                            }
      \context Lyrics = ref {
       \property Lyrics.LyricText \override #'font-relative-size = #'+1
      \texter}
                                >

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
    \property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
	\notes \key g \major
% 	\Armature
        \notes \transpose d' \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
%     \proper
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  > % ouvert juste en dessous de la dclaration \score
\header {
%    title = "Nothing can ever come between us and the love of God"
%    composer = "Taiz"
piece = "Refrain"}

}



\score {

    \context StaffGroup = choraleu <

     \context ChordNames = accordsu {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 3)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \property ChordNames.fontSize = 20
       \acccouplets
                                    }
     \addlyrics
      \context Staff = chantu {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
%       \property Staff.instrument = "Chant"
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-3 . 5)


	\Armature % dfinie plus haut
        \coupletu
% cas o on met deux voix sur une porte, les voix portant autant de skips que ncessaire
%         <
% 	\context Voice=oneu {\voiceOne \coupletu}
% 	\context Voice=twou {\voiceTwo \finref}
%         >
                            }
      \context Lyrics = cplu {
       \property Lyrics.LyricText \override #'font-relative-size = #'+1
      \texteu}
                                >
\header {
% poet = "Couplets  chanter ou jouer sur la partie muse par le choeur"
% arranger = "alors, quoi ?"
piece = "Couplet 1 (tous les couplets sont accompagns par le choeur)"}

}



\score {

    \context StaffGroup = choraleq <
     \context ChordNames = accordsq {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 3)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \property ChordNames.fontSize = 20
       \acccouplets
                                    }

      \addlyrics
      \context Staff = chantq {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
%       \property Staff.instrument = "instrument"
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-5 . 4)


	\Armature % dfinie plus haut
    \coupletq
%         <
% 	\context Voice=oneq {\voiceOne \coupletq}
% 	\context Voice=twoq {\voiceTwo \finref}
%         >
                            }
%       \context Lyrics \textet
      \context Lyrics = cplq {
       \property Lyrics.LyricText \override #'font-relative-size = #'+1
      \texteq}
                                >
\header { piece = "Couplet 2"}

}


\score {

    \context StaffGroup = choraled <

     \context ChordNames = accordsd {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 3)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \property ChordNames.fontSize = 20
       \acccouplets
                                    }
     \addlyrics
      \context Staff = chantd {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
%       \property Staff.instrument = "Chant"
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-5 . 4)


	\Armature % dfinie plus haut
    \coupletd
%         <
% 	\context Voice=oned {\voiceOne \coupletd}
% 	\context Voice=twod {\voiceTwo \finref}
%         >
                            }
      \context Lyrics = cpld {
       \property Lyrics.LyricText \override #'font-relative-size = #'+1
      \texted}
                                >
\header { piece = "Couplet 3"}

}


\score {

    \context StaffGroup = choralec <
     \context ChordNames = accordsc {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 3)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \property ChordNames.fontSize = 20
       \acccouplets
                                    }

      \addlyrics
      \context Staff = chantc {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
%       \property Staff.instrument = "instr."
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-5 . 6)


	\Armature % dfinie plus haut
    \coupletc
%         <
% 	\context Voice=onec {\voiceOne \coupletc}
% 	\context Voice=twoc {\voiceTwo \finref}
%         >
                            }
%       \context Lyrics \textet
      \context Lyrics = cplc {
       \property Lyrics.LyricText \override #'font-relative-size = #'+1
      \textec}
                                >
\header { piece = "Couplet 4"}

}


\score {

    \context StaffGroup = choralet <

     \context ChordNames = accordst {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 3)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \property ChordNames.fontSize = 20
       \acccouplets
                                    }
     \addlyrics
      \context Staff = chantt {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
%       \property Staff.instrument = "Chant"
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-5 . 4)


	\Armature % dfinie plus haut
    \couplett
%         <
% 	\context Voice=onet {\voiceOne \couplett}
% 	\context Voice=twot {\voiceTwo \finref}
%         >
                            }
      \context Lyrics = cplt {
       \property Lyrics.LyricText \override #'font-relative-size = #'+1
      \textet}
                                >
\header { piece = "Couplet 5"}

}


\score {

    \context StaffGroup = chorales <
     \context ChordNames = accordss {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 3)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \property ChordNames.fontSize = 20
       \acccouplets
                                    }

      \addlyrics
      \context Staff = chants {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
%       \property Staff.instrument = "instr."
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-5 . 4)


	\Armature % dfinie plus haut
    \couplets
%         <
% 	\context Voice=ones {\voiceOne \couplets}
% 	\context Voice=twos {\voiceTwo \finref}
%         >
                            }
%       \context Lyrics \textet
      \context Lyrics = cpls {
       \property Lyrics.LyricText \override #'font-relative-size = #'+1
      \textes}
                                >
\header { piece = "Couplet 6"}

}

  \midi  {\tempo 4 = 80}

% Pour faire plusieurs partitions sur une page (introductions, ou ...) il faut inverser les choses :
% dfinir \paper juste aprs avoir donn les mlodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Peut-tre peut-il y avoir une section \header au tout dbut aussi? (notamment avec le tagline)
% Par contre, la dclaration \midi doit venir  la fin.
