\version "1.8.2"

% Ce modle convient pour des partitions  une ou plusieurs portes

%\include "paper11.ly"
%\include "paper13.ly"
\include "paper16.ly"
%\include "paper20.ly"
%\include "paper26.ly"

\header {
%   dedication = "dedication"
   title = "Notre Pre"
%   subtitle = ""
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 1.8.2"
}

global = {\time 4/4}
Armature = \notes \key d \major


melodie = \notes \relative c' {
 \partial 4 b8 cis
 d4 d8 d cis4 e8 b-~ b2. b8 cis d4 d e fis8 e-~ e2. e8 fis
 g4 g fis a8 fis e d e fis-~ fis2 r8 cis8 cis d e4 fis8 e-~ e2 e4 fis8 e-~
 e4 d8 e fis4 g8 fis e4 fis8 e d b d b-~ b2 r8 fis'8 fis fis e d cis d4 b4.-~
 b2 r8 fis'8 fis fis e e fis e e2-~ e r8 g8 g g fis4 a8-( fis-) e-( d-) e fis-~
 fis2 r4 cis8 d e e fis e-~ e4. cis8 e e fis e-~ e4 d8 e fis4 fis e fis8 d-~
 d1 fis2 e8 d4 cis8 d1-~ d \bar "|."
%         \tempo 4=120 % indication mtronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { lment commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         < { r1 } \\ { a2 a } > pour jouer { ces deux morceaux
          % e2( )e pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|."  la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut  la ligne
%       < \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le > aprs avoir insr la musique entre {}
%
%         s8 bes4 c,4 g8-( f-) g4 f2 r4 s1*2

%       nuances : \p, etc (coll aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno -\marcato -\fermata  \breathe
%                \cr termin par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {

 No -- tre P -- re qui es aux cieux _ que ton nom soit sanc -- ti -- fi _ que ton
 r -- gne vien -- ne que ta vo -- lon -- t _ soit fai -- te sur la terre _ comme au ciel _
 don -- ne nous au -- jourd' hui no -- tre pain de ce jour _ par -- don -ne nous nos of -- fen -- ses _
 com -- me nous par -- don -- nons aus -- si _  ceux qui nous ont _ of -- _ fen -- ss _
 et ne nous sou -- mets pas _  la ten -- ta -- tion _ mais d -- li --vre nous du mal _
 A __ _ __ _ __ _ men. _
% 	ren -- dons
%     sain __ te -- t (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {

%   ne pas rpter \repeat volta 2 si utilise prcdemment, mais on peut mettre les accords correspondant entre {} pour la lisibilit
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {

}

Clarinette = \notes \relative c' {

}

\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3

% Pour le chant et les accords

%     \context StaffGroup = chorale
    <

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \property ChordNames.ChordName \set #'font-family = #'typewriter
%       \property ChordNames.ChordName \set #'font-magnification = #1.2
%        \property ChordNames.ChordName \set #'font-shape = #'italic
%        \property ChordNames.ChordName \set #'font-relative-size = #-1
       \property ChordNames.chordChanges = ##t
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##f
%       \property Staff.instrument = "Chant"
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-4 . 3)
%                            #'(-dist.notes-textes . dist.notes-accords)
%     souvent #'(-4 . 3) convient bien;#'(-7 . 5) dans les cas extrmes?

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature % dfinie plus haut
        \melodie
% cas o on met deux voix sur une porte, les voix portant autant de skips que ncessaire
%         <
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >

                            }
%       \context Lyrics \texte
% ou, pour changer la taille des caractres,
       \context Lyrics = ttx {
        \property Lyrics.LyricText \set #'font-magnification = #1.2
%         \override #'font-relative-size = '+1
       \texte}

                                >

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
    \property Staff.instrument = \markup {
             \column << "Flute ou" { "Hautbois"} >> }
    \property Staff.instr = \markup {
             \column << "Fl." { "Htb."} >> }
%
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = \markup {
             \column << "Clarinette"
               { "en Si" \smaller \musicglyph #"accidentals--1"}
               >> }
    \property Staff.instr = \markup {
             \column << "Clar."
               { "Si" \smaller \musicglyph #"accidentals--1"}
               >> }

    \notes \key g \major
% 	\Armature
        \notes \transpose c d \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle "
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  > % ouvert juste en dessous de la dclaration \score

  \paper {linewidth = 90 * \staffspace
%     linewidth = 150
%      linewidth = 16.0\cm
%     linewidth = -1 pour ne pas justifier les portes, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derrire)

% Pour changer l'cart entre les notes :

       \translator{
           \ScoreContext
           SpacingSpanner \override #'spacing-increment = #1.8
%           SpacingSpanner \override #'shortest-duration-space = #3.0
}
      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
%   \midi  {\tempo 4 = 80}
}
% Pour faire plusieurs partitions sur une page (introductions, ou ...) il faut inverser les choses :
% dfinir \paper juste aprs avoir donn les mlodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout dbut aussi (notamment avec le tagline)
% Par contre, la dclaration \midi doit venir  la fin, et les dclarations \global et \property Score.BarNumber \override #'padding = #3 ne peuvent pas tre rptes dans chaque score.

% Problme quand on ne justifie pas les portes : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps > fichier_avec _marge.ps
