\version "1.8.2"

% Ce mod?le convient pour des partitions ? une ou plusieurs port?es

%\include "paper11.ly"
%\include "paper13.ly"
\include "paper16.ly"
%\include "paper20.ly"
%\include "paper26.ly"

#(set! instrument-equalizer-alist
     (append
        '(
   ("cello" . (0 . 2.0))
   ("string ensemble 1" . (0 . 2.0))
   ("string ensemble 2" . (0 . 2.0))
   ("acoustic grand" . (0 . 3.0))
    )
        instrument-equalizer-alist))


\header {
%   dedication = "dedication"
%   title = "Title"
   subtitle = "Nous voici, Jésus"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 1.8.2"
}

global = {\time 4/4}
Armature = \notes \key d \major


melodie = \notes \relative c' {

    \tempo 4=100
    \partial 4 fis8-\f fis
    e4^\segno fis8 d-~ d4 r8 fis8
    g fis fis e fis e fis fis
    e4 fis8 d-~ d4 fis8 fis
     fis e e d e4 fis8 fis
     e4 fis8 d-~ d4 r8 fis8
    g fis fis e fis e fis fis
    e4 fis8 d-~ d4 g8 fis fis4 e8 d-~ d4 r4 \bar "|."

    r2 r4 b'8 a
    g fis e a-~ a4 a8 g fis g a d,-~ d4     b'8 a
    g fis e a-~ a4 a8 g
    fis g a d,-~ d4     d8 d
    e fis g fis-~ fis4  d8 d
    e fis g fis-~ fis4  d8 d
    b' a g fis-~ fis4 e8 d a d cis d-~ d2
    \time 2/4 r4 fis8 fis^\segno \bar "||"
%         \tempo 4=120 % indication m?tronomique pour la feuille et midi
%         \partial 16
%         \repeat volta 2 { ?l?ment commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         < { r1 } \\ { a2 a } > pour jouer { ces deux morceaux
          % e2( )e pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|." ? la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut ? la ligne
%       < \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le > apr?s avoir ins?r? la musique entre {}
%
%         s8 bes4 c,4 g8-( f-) g4 f2 r4 s1*2

%       nuances : \p, etc (coll? aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno -\marcato -\fermata  \breathe
%                \cr termin? par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {
 Nous voi -- ci, Jé -- sus _ c'est toi qui nous in -- vi -- tes
 nous voi -- ci, Sei -- gneur _ pour ré -- pondre à ton ap -- pel
 Viens en nous, Jé -- sus _ que ton a -- mour ha -- bi -- te le fond
 de nos coeurs _ Viens en nous Sei -- gneur _

 Tu nous con -- nais Sei -- gneur _ cha -- cun par no -- tre nom _
 Et c'est un grand bon -- heur _ d'en -- trer dans ta mai -- son _
 Tu nous at -- tends Sei -- gneur _ et nous al -- lons vers Toi _
 Nous pré -- pa -- rons nos coeurs _ à re -- ce -- voir ta joie _
 Nous voi-
% 	ren -- dons^\segno
%     sain __ te -- t? (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {
    r4 d2 b:m
    g a:7
    d b:m
    e a:7
    d b:m
    g a:7
    d b4:m g
    a2:7 dNous_voici
    d g
    a:7 d
    b:m g
    a:7 d
    b:m g
    a:7 d
    a:7 d
    g d
    a:7 d d
%   ne pas r?p?ter \repeat volta 2 si utilis?e pr?c?demment, mais on peut mettre les accords correspondant entre {} pour la lisibilit?
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c {
 r4
 d4-\f^\segno a8 b-~ b cis d4
 g8 d b4  cis8 a4.
%  g8 d b4  cis8 e-~ e a
 d4 a8 b-~ b cis d4
 gis, e b'8 a4.
 d4 a8 b-~ b cis d4
 g8 d b4  cis8 a4.
% g8 d b4  cis8 e-~ e a
 d4 a8 b-~ b4 r4
 cis4 a8 d-~ d4 r4

 d4 a8 b-~ b4 r4
 cis4 a8 d-~ d4 r4
 b4 fis8 g-~ g4 r4
 a4 e8 fis-~ fis4 r4
 fis4 fis8 g-~ g4 r4
 e4 e8 fis-~ fis4 r4
%  cis4 cis8 fis-~ fis4 r4
 e4 e8 fis-~ fis4 r4
 g4 g8 a-~ a4 r4
 a4 a8 d-~ d4 r4 r2^\segno



% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {
s1-\f
}

Clarinette = \notes \relative c' {

}

\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = chorale <

     \context ChordNames = accords {
%        \property ChordNames.midiInstrument = #"recorder"
%        \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
%        \property ChordNames.midiInstrument = #"string ensemble 2"
%        \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
        \property ChordNames.midiInstrument = #"acoustic grand"

       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \property ChordNames.ChordName \set #'font-family = #'typewriter
%       \property ChordNames.ChordName \set #'font-magnification = #1.2
%        \property ChordNames.ChordName \set #'font-shape = #'italic
%        \property ChordNames.ChordName \set #'font-relative-size = #-1
       \property ChordNames.chordChanges = ##t
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##f
      \property Staff.instrument = "Chant"
      \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-3 . 2)
%                            #'(-dist.notes-textes . dist.notes-accords)
%     souvent #'(-4 . 3) convient bien;#'(-7 . 5) dans les cas extr?mes?

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2
%     \property Voice.subdivideBeams = ##t
%     \property Score.beatLenght = #(ly:make-moment 1 4)
    \property Voice.autoBeamSettings \override #'(end * * * *) = #(ly:make-moment 1 4)

	\Armature % d?finie plus haut
        \melodie
% cas o? on met deux voix sur une port?e, les voix portant autant de skips que n?cessaire
%         <
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caract?res,
%       \context Lyrics = ttx {
%        \property Lyrics.LyricText \override #'font-relative-size = #'+1
%       \texte}

                                >

    \context StaffGroup = contrechant <

% Pour la fl?te ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
% 	\property Staff.midiInstrument = #"english horn"

    \property Staff.instrument = \markup {
             \column << "Flute ou" { "Hautbois"} >> }
    \property Staff.instr = \markup {
             \column << "Fl." { "Htb."} >> }
%
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = \markup {
             \column << "Clarinette"
               { "en Si" \smaller \musicglyph #"accidentals--1"}
               >> }
    \property Staff.instr = \markup {
             \column << "Clar."
               { "Si" \smaller \musicglyph #"accidentals--1"}
               >> }

    \notes \key g \major
% 	\Armature
        \notes \transpose c d \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
% 	\property Staff.midiInstrument = #"string ensemble 2"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle "
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  > % ouvert juste en dessous de la d?claration \score

  \paper {linewidth = 110 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les port?es, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derri?re)

% Pour changer l'?cart entre les notes :

%       \translator{
%           \ScoreContext
%           SpacingSpanner \override #'spacing-increment = #2.2
%           SpacingSpanner \override #'shortest-duration-space = #3.0

      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
   \midi  {\tempo 4 = 100}
}

% Pour faire plusieurs partitions sur une page (introductions, ou ...) il faut inverser les choses :
% d?finir \paper juste apr?s avoir donn? les m?lodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout d?but aussi (notamment avec le tagline)
% Par contre, la d?claration \midi doit venir ? la fin, et les d?clarations \global et \property Score.BarNumber \override #'padding = #3 ne peuvent pas ?tre r?p?t?es dans chaque score.

% Probl?me quand on ne justifie pas les port?es : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps > fichier_avec _marge.ps
