\version "1.7.28"
\include "paper20.ly"
% \include "german-chords-init.ly"
% #(set! german-Bb #t)


% #(define text-flat '((font-relative-size . -2) (music "accidentals--1")))
% %et pour le mtronome :
% #(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   title = "Sanctus du Roman Pas, AL 20"
  subtitle = "parole de Dieu, parole de vie"
%    composer = "Chant"
%    opus = "pour violoncelle ou trombonne"
   piece = ". "
%    tagline = "Christophe"
}

global = {\time 4/4}
Armature = \notes \key e \minor


melodie = \notes \relative c'' {

\partial 8
b8^"Refrain" | b4 a8 g a4. g8 g4 fis8 e fis4.
e8 e( )fis g a b4 a8 b g4 fis8 fis e4 r4 \bar "|."

e4^"Couplet" e8 d b4. b8 e fis g e fis4.
fis8 g g e g a4 b8 a g4 fis8 fis e4. \bar "||"

}

texte = \lyrics {

    Pa -- ro -- le de Dieu, Pa -- ro -- le de vie,
    Pa -- ro __ le de Dieu qui se donne au -- jourd' hui

    Viens Es -- prit Saint, nous don -- ner ta lu -- mire
    ain -- si nous com -- pren -- drons la Pa -- ro -- le de Dieu.

}


accompagnement = \chords {
 r8 g2 d e:m b:m c g a4:m b:m e2:m
 e:m g c b:m a:m7 b:m7 c4 d e2:m

}

Violoncelle = \notes \relative c {


}

VioloncelleII = \notes \relative c' {
}

Flute = \notes \relative c' {
% 	r1^#`((columns (font-relative-size . -1)) ,note " = 160")-\p

}
  \paper {linewidth = 100 * \staffspace
          interscoreline = 15
%       \translator{
      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
      %       \RemoveEmptyStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
%       }
  }


\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3


% Pour le chant et les accords

    \context StaffGroup = chorale <
%      \include "paper11.ly"

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
%        \property ChordNames.fontSize = 20
       \accompagnement}
     \addlyrics
      \context Staff = chant {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Chant"
	\property Staff.instr = "Cht"
%     \property Staff.minimumVerticalExtent = #'(-7 . 7)
% 	\property Staff.fontSize = -1
%     \property Staff.voltaSpannerDuration = #(ly:make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature
        \melodie
      }
      \context Lyrics \texte
      					>

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
%     \property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
%     \property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
	\notes \key fis \minor
% 	\Armature
%         \notes \transpose c d \melodie
%         \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle"
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>



  >
%

%   \header {piece = "Variation II"}
% %   \midi  {\tempo 4 = 110}
}

%   \midi  {\tempo 4 = 110}


