\version "2.8.3"

#(set-global-staff-size 16)

\paper  {
    line-width = 16 \cm % ou #1 , en fraction de la distance 
}
global = {
\key e \minor
\time 4/4
}
% transp = { \transpose c a }

sopMusic = \relative c'' {
\partial 4 g8[ a] \bar "|:"
bes4 a8 bes c[ bes] c ees
d2\breathe c4 g8 bes
a( g) f4 d g8 g \break a4 a r8 a bes[ c]
d4 bes c bes8 a g4 g \bar "||"
g1
b
c
a~ a4\breathe g8 a \bar ":|"
}
sopWords = \lyricmode {
Qui re -- gar -- de vers Dieu res -- plen -- di --ra,
sur son vi -- sa __ ge, plus d'a -- mer -- tu -- me,
sur son vi -- sa -- ge, plus d'a -- mer -- tu -- me.
O _ _ _  Qui re-
}
altoMusic = \relative c' {
\partial 4 d8 d 
g4 g8[ g] g[ g] f f
f2 c4 ees8 ees 
c( bes) a4 bes c8 c
d4 d s8 d8 d[ f]
f4 g ees d8 c bes4 bes
g'1
g
g
fis~ fis4 d8 d
}
altoWords =\lyricmode {
ha ha ha ha
}
tenorMusic = \relative c' {
\partial 4 bes8 c 
d4 ees8 d c[ c] a a 
bes2\breathe g4 g8 g
a4 a g g8 g fis4 fis r8 fis8 g[ a]
bes4 g g g8 fis8 g4 g
d'1
d
c
d~ d4\breathe bes8 c
}
tenorWords = \lyricmode {
hu hu hu hu
}
bassMusic = \relative c {
\partial 4 g8 g
g4 g8 f ees[ c] f f
bes,2 ees4 c8 c
f4 f g ees8 ees d4 d s8 d8 g[ f]
bes,4 ees c d8 d g,4 g
g'1
f
ees
d~ d4 g8 g
}
bassWords = \lyricmode {
ho ho ho ho
}
accords = \chordmode {
r4 g2:m c4:m f4 bes2
c2:m f2 g4:m c4:m d2. f4
bes4 ees c:m d4 g2:m
           g1:m g:7 c:m d1 d4 g4:m
}

\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c a \accords }
% \new Lyrics = sopranos { s1 }
\new Staff = women %<< \partcombine
\new Voice =
"sopranos" { \voiceOne << \global \transpose c a, \sopMusic \transpose c a, \altoMusic >> }
% \new Voice =
% "altos" { \voiceTwo << \global \transpose c a, \altoMusic >> }
% >>
\new Lyrics = "altos" { s1 }
% \new Lyrics = "tenors" { s1 }
\new Staff = men %<<
\new Voice =
"basses" { \clef bass \voiceTwo <<\global \transpose c a, \tenorMusic \transpose c a \bassMusic >> }
% \new Voice =
% "basses" { \voiceTwo <<\global \transpose c a \bassMusic >> }
% >>
% \new Lyrics = basses { s1 }
% \context Lyrics = sopranos \lyricsto sopranos \sopWords

\context Lyrics = altos 
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto sopranos \sopWords
  }
% \context Lyrics = tenors \lyricsto tenors \tenorWords
% \context Lyrics = basses \lyricsto basses \bassWords
>>
\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
}
}