\version "1.8.2"

% Ce modle convient pour des partitions  une ou plusieurs portes

%\include "paper11.ly"
%\include "paper13.ly"
\include "paper16.ly"
%\include "paper20.ly"
%\include "paper26.ly"

\header {
%   dedication = "dedication"
%   title = "Title"
  title = "Rjouis-toi Marie"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 1.8.2"
}

global = {\time 6/8}
Armature = \notes \key e \minor


melodie = \notes \relative c' {
         \tempo 4=120 % indication mtronomique pour la feuille et midi
         \partial 4.
         e8 e fis
         g8. a16 g8 fis e d e4 e8
         e4 fis8 g4 g8 a-( g-) a b4.
         b8 c d a b a g g b fis4 fis8
         e4 g8 a8. a16 fis8 g8 g fis e4.
         b'8 g a b4. d8 c b a4.
         g8-( e-) fis g4. b8 a g fis4.
         b8-( g-) a b8. b16 b b d8 c b a4.
         e4 g8 a4 fis8 g g fis e4. \bar "|."

%         \repeat volta 2 { lment commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         < { r1 } \\ { a2 a } > pour jouer { ces deux morceaux
          % e2( )e pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|."  la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut  la ligne
%       < \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le > aprs avoir insr la musique entre {}
%
%         s8 bes4 c,4 g8-( f-) g4 f2 r4 s1*2

%       nuances : \p, etc (coll aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno -\marcato -\fermata  \breathe
%                \cr termin par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {

 R -- jou -- is toi, Ma -- rie com -- ble de gr -- ce
 le Sei -- gneur est a __ vec toi
 Tu es b -- nie en -- tre tou -- te les fem -- mes
 et J -- sus ton en -- fant est b -- ni.
 Sain -- te Ma -- rie, m -- re de Dieu
 prie __ pour nous, pau -- vres p -- cheurs,
 main __ te -- nant et  l'heure de no -- tre mort
 A -- men a -- men al -- le -- lu -- ia!
% 	ren -- dons
%     sain __ te -- t (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {

 e,4.:m e,4.:m b,4.:m e,2.:m e,4.:m d,4. g,2. d,4. e,4.:m b,,4.:m c,4. a,,4.:m b,,4.:m e,4.:m
 g,4. g,2. d,4. e,4.:m e,2.:m b,,4. g,4. g,2. d,4. c,4. a,,4.:m b,,4.:m e,4.:m
%   ne pas rpter \repeat volta 2 si utilise prcdemment, mais on peut mettre les accords correspondant entre {} pour la lisibilit
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c {

% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {

}

Clarinette = \notes \relative c' {

}

\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3

% Pour le chant et les accords

%     \context StaffGroup = chorale
    <

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
%       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
%        \property ChordNames.ChordName \set #'font-family = #'typewriter
%        \property ChordNames.ChordName \set #'font-name = #"phvro7t"
       \property ChordNames.ChordName \set #'font-name = #"verdana"
       \property ChordNames.ChordName \set #'font-magnification = #0.8
%        \property ChordNames.ChordName \set #'font-shape = #'italic
%        \property ChordNames.ChordName \set #'font-relative-size = #-1
       \property ChordNames.chordChanges = ##t
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
      \property Staff.automaticMelismata = ##t
%       \property Staff.instrument = "Chant"
%       \property Staff.instr = "Cht"
%       \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-4 . 3)
%                            #'(-dist.notes-textes . dist.notes-accords)
%     souvent #'(-4 . 3) convient bien;#'(-7 . 5) dans les cas extrmes?

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature % dfinie plus haut
        \melodie
% cas o on met deux voix sur une porte, les voix portant autant de skips que ncessaire
%         <
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caractres,
%       \context Lyrics = ttx {
%        \property Lyrics.LyricText \override #'font-relative-size = #'+1
%       \texte}

                                >

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
    \property Staff.instrument = \markup {
             \column << "Flute ou" { "Hautbois"} >> }
    \property Staff.instr = \markup {
             \column << "Fl." { "Htb."} >> }
%
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = \markup {
             \column << "Clarinette"
               { "en Si" \smaller \musicglyph #"accidentals--1"}
               >> }
    \property Staff.instr = \markup {
             \column << "Clar."
               { "Si" \smaller \musicglyph #"accidentals--1"}
               >> }

    \notes \key g \major
% 	\Armature
        \notes \transpose c d \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle "
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>
  > % ouvert juste en dessous de la dclaration \score
   \midi {\tempo 8=200}% {\tempo 4 = 80}

  \paper {linewidth = 100 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les portes, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derrire)

% Pour changer l'cart entre les notes :

      \translator{
          \ScoreContext
          SpacingSpanner \override #'spacing-increment = #3.2
%           SpacingSpanner \override #'shortest-duration-space = #3.0
}
      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
}
% Pour faire plusieurs partitions sur une page (introductions, ou ...) il faut inverser les choses :
% dfinir \paper juste aprs avoir donn les mlodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout dbut aussi (notamment avec le tagline)
% Par contre, la dclaration \midi doit venir  la fin, et les dclarations \global et \property Score.BarNumber \override #'padding = #3 ne peuvent pas tre rptes dans chaque score.

% Problme quand on ne justifie pas les portes : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps > fichier_avec _marge.ps
