#(ly:set-option 'old-relative)
\version "2.7.40"
#(set-global-staff-size 16)


#(define text-flat '((font-relative-size . -2) (music "accidentals.-1")))
%et pour le métronome :
#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   title = "Sanctus du Roman Païs, AL 20"
  subtitle = "Sanctus du Roman Païs, AL 20"
%    composer = "Contrechant"
%    opus = "pour alto"
%    piece = ". "
}

\paper  {
     line-width = 17 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
%     top-margin = -0.5 \cm % on peut mettre du négatif pour serrer
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}



global = {\time 4/4}
Armature =  \key f \major


melodie =  \relative c' {

		r1 r1 \time 2/4 r2 \time 4/4
		a'2 c  \time 2/4 f,\time 4/4 bes4 a8 g a4 g8 f g2 c,
		d4 d8 d e4 d8 e f2 f
		c'4 c bes a g2. r4

		a2 c f, bes4 a8 g a4 g8 f g2
		c,4 c d d e e f2 bes4 a g8(  f) g4 f2 r4 a

		\bar "|:" bes a2 c4 bes a2 c,4 d f f g a2 r4
		a bes a2 c4 bes a2 c,4 d f f e f2. r4
		\bar "||"
		\time 2/4 e4 e \time 4/4 f f e e f f g g bes bes a a g2 r4 a
        \bar ":|" %\dc

}

texte = \lyricmode {
	Saint, saint, saint, Dieu de l'al -- lian- ce_é ter -- nel -- le
	Dieu de l'a -- lian -- ce nou -- vel -- le
	Dieu de vé -- ri -- té
	Saint, saint, saint, Dieu de la terre et du ciel,
	Dieu pré -- sent à nos ap -- pels, Dieu de sain __ te -- té Ho --

	san -- na, Ho -- san -- na, dans tou -- tes les na -- tions! Ho --
	san -- na, Ho -- san -- na, plus loin que l'ho -- ri -- son!

	Bé -- ni soit ce -- lui qui vient au nom du Pè -- re juste et saint!

}

accompagnement = \chordmode {
  f1 bes2 c f

  f2 c d:m bes f c1
  bes2 a d1:m
  f2 bes c1

  f2 c d:m bes f c
  f bes a d:m
  g:m c f1

  bes4 f2. bes4 f2. bes1 f
  bes4 f2. bes4 f2. bes2 c f1

  a2 d:m a d:m c g:m f c1
}

Violoncelle =  \relative c {
	a'2\marcato c\marcato d4\marcato bes8\marcato a\marcato
	g2\marcato f\fermata
	r2 r4 c8\f e f e d c bes2 \breathe f'4\mf a8 bes c4 c,  \breathe
	a'8\f f g a bes4 a8 g a4 f8 e d2  \breathe d8 bes c d f d e f bes4 bes, c2
	r8 c' c c
	f,4 r4 r4 bes8 c d c bes a bes2  \breathe
	f'4 e8 d c bes a g f4  \breathe
	d'8 c bes a g f e4  \breathe
	a8 g f e d c bes4 bes'\mf c c, f2 r2

	r4 f,\marcato\f c'\marcato f,\marcato r f\marcato c'\marcato c\marcato
	r2 d8\mf bes c d
	f2  \breathe c8 a bes c
	d4-. \breathe c\marcato\f f\marcato c\marcato r c\marcato f\marcato f\marcato
	r2 c8 a bes c f^"Fine" d \decr e f g e f g\mf

	a2 \breathe d,4 e a,2 \breathe d4 f e c g' e f d e1

}

Flute =  \relative c' {
	r1\p
% ce gros bazar pour inscrire le tempo !!!
	 r1 r2
	a'2 c f, r2
	f2 g c, r1
	r1 r1
	e4\mf e8 e g4 f8 g
	a2 c f, d4 e f d e2
	f4 g bes g a2 d,4 e \decr g f e2 f\p r

	r1 r2. c'4\p bes a f g f2 r
	r1 r2. c'4 bes g f e f2.r4

}
\score {
  <<
    \global
    \override Score.BarNumber   #'padding = #3


% Pour le chant et les accords

    \context StaffGroup = "chorale" <<
%      #(set-global-staff-size 11)
     \context ChordNames = "accords" {
       \frenchChords
       \set midiInstrument = #"recorder"
       \set midiInstrument = #"acoustic guitar (nylon)"
       \set midiInstrument = #"string ensemble 2"
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t

%        \set fontSize = #20
       \accompagnement}
%      \oldaddlyrics
      \context Staff = "chant" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.autoBeaming = ##f
         \unset Staff.melismaBusyProperties 
	\set Staff.instrument = "Chant"
	\set Staff.instr = "Cht"
	\set Staff.fontSize = #-2
% 	\set Staff.staff-space = #2

	\Armature
        \melodie
      }
           \addlyrics {
      \override LyricText #'font-name = #'"Gill Sans MT"
	\override LyricText #'font-family = #'sans
      \set fontSize = #-2
            \texte 
            }
      					>>

    \context StaffGroup = "contrechant" <<

% Pour la flte ou le hautbois

      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = #"oboe"
	\set Staff.midiInstrument = #"flute"
	\set Staff.midiInstrument = #"english horn"
	\set Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
	\set Staff.instr = #`(lines "Fl."  (columns "Htb."))
% 	 \key g \major
	\Armature
%         \Flute
	}

% Pour la clarinette en Sib

      \context Staff = "deux" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = #"clarinet"
	\set Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
	\set Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
 	 \key g \major
% 	\Armature
%          \transpose c d \Flute
% 	 {s2*29}
	}
% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = #"trombone"
	\set Staff.midiInstrument = #"cello"
	\set Staff.midiInstrument = #"string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = "Vcelle"
	\set Staff.instr = "Vcelle"
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
  					>>
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  >>

  \layout {
%   line-width = 110 * \staff-space
%           interscoreline = 1.0\cm
      \context{
      \RemoveEmptyStaffContext
%       \Score
%       \override TextScript #'font-shape = #'upright
      }
  }
  \midi  {\tempo 4 = 112}
}
