\version "1.6.6"
\include "paper16.ly"
\include "accords-francais-init.ly"
#(set! francais-acc #t)


#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))
%et pour le mtronome :
#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
% #(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
% #(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   title = "Sanctus du Roman Pas, AL 20"
  subtitle = "Sanctus du Roman Pas, AL 20"
   composer = "Contrechant"
   opus = "pour saxophone alto"
   piece = ". "
}

global = {\time 4/4}
Armature = \notes \key f \major


melodie = \notes \relative c' {

		r1 r1 \time 2/4 r2 \time 4/4
		a'2 c  \time 2/4 f,\time 4/4 bes4 a8 g a4 g8 f g2 c,
		d4 d8 d e4 d8 e f2 f
		c'4 c bes a g2. r4

		a2 c f, bes4 a8 g a4 g8 f g2
		c,4 c d d e e f2 bes4 a g8( )f g4 f2 r4 a

		\bar "|:" bes a2 c4 bes a2 c,4 d f f g a2 r4
		a bes a2 c4 bes a2 c,4 d f f e f2. r4
		\bar "||"
		\time 2/4 e4 e \time 4/4 f f e e f f g g bes bes a a g2 r4 a
        \bar ":|" %\dc

}

texte = \lyrics {
	Saint, saint, saint, Dieu de l'al -- lian- ce_ ter -- nel -- le
	Dieu de l'a -- lian -- ce nou -- vel -- le
	Dieu de v -- ri -- t

	Saint, saint, saint, Dieu de la terre et du ciel,
	Dieu pr -- sent  nos ap -- pels, Dieu de sain __ te -- t Ho --

	san -- na, Ho -- san -- na, dans tou -- tes les na -- tions! Ho --
	san -- na, Ho -- san -- na, plus loin que l'ho -- ri -- son!

	B -- ni soit ce -- lui qui vient au nom du P -- re juste et saint!

}

accompagnement = \chords {
  f1 b2 c f

  f2 c d:m bes f c1
  bes2 a d1:m
  f2 bes c1

  f2 c d:m bes f c
  f bes a d:m
  g:m c f1

  bes4 f2. bes4 f2. bes1 f
  bes4 f2. bes4 f2. bes2 c f1

  a2 d:m a d:m c g:m f c1
}

Violoncelle = \notes \relative c {
	a'2-\marcato c-\marcato d4-\marcato bes8-\marcato a-\marcato
	g2-\marcato f-\fermata
	r2 r4 c8\f e f e d c bes2 \breathe f'4\mf a8 bes c4 c,  \breathe
	a'8\f f g a bes4 a8 g a4 f8 e d2  \breathe d8 bes c d f d e f bes4 bes, c2
	r8 c' c c
	f,4 r4 r4 bes8 c d c bes a bes2  \breathe
	f'4 e8 d c bes a g f4  \breathe
	d'8 c bes a g f e4  \breathe
	a8 g f e d c bes4 bes'\mf c c, f2 r2

	r4 f-\marcato\f c'-\marcato f,-\marcato r f-\marcato c'-\marcato c-\marcato
	r2 d8\mf bes c d
	f2  \breathe c8 a bes c
	d4-. \breathe c-\marcato\f f-\marcato c-\marcato r c-\marcato f-\marcato f-\marcato
	r2 c8 a bes c f,^"Fine" d \decr e f g e f g\mf \rced

	a2 \breathe d,4 e a,2 \breathe d4 f e c g' e f d e1

}

Flute = \notes \relative c' {
	r1^#`((columns (font-relative-size . -1)) ,note " = 112")\p
% ce gros bazar pour inscrire le tempo !!!
	 r1 r2
	a'2 c f, r2
	f2 g c, r1
	r1 r1
	e4\mf e8 e g4 f8 g
	a2 c f, d4 e f d e2
	f4 g bes g a2 d,4 e \decr g f e2 f\p \rced r

	r1 r2. c'4\p bes a f g f2 r
	r1 r2. c'4 bes g f e f2.r4

}
\score {
  <
    \global
    \property Score.BarNumber \override #'padding = #3


% Pour le chant et les accords

    \context StaffGroup = chorale <
%      \include "paper11.ly"
     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
%        \property ChordNames.fontSize = 20
       \accompagnement}
     \addlyrics
      \context Staff = chant {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.autoBeaming = ##f
        \property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Chant"
	\property Staff.instr = "Cht"
	\property Staff.fontSize = -2
% 	\property Staff.staff-space = 2

	\Armature
        \melodie
      }
      \context Lyrics \texte
      					>

    \context StaffGroup = contrechant <

% Pour la flte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
	\property Staff.instr = #`(lines "Fl."  (columns "Htb."))
% 	\notes \key g \major
	\Armature
%         \Flute
	}

% Pour la clarinette en Sib

      \context Staff = deux {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"clarinet"
	\property Staff.instrument = #`(lines "Clarinette" (columns "(Si" ,text-flat ")"))
	\property Staff.instr = #`(lines "Cl."  (columns "(Si" ,text-flat ")"))
 	\notes \key g \major
% 	\Armature
%         \notes \transpose d' \Flute
% 	\notes {s2*29}
	}
% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = #`(lines "Saxophone" (columns "(Mi" ,text-flat ")"))
	\property Staff.instr = #`(lines "Sax." (columns "(Mi" ,text-flat ")"))
% 	\Armature
% 	\clef bass
    \notes \key d \major
         \notes \transpose a' \Violoncelle
% 	\notes {s2*29}
	}
  					>
  >

  \paper {linewidth = 110 * \staffspace
%           interscoreline = 1.0\cm
      \translator{
      \HaraKiriStaffContext
%       \ScoreContext
%       TextScript \override #'font-shape = #'upright
      }
  }
  \midi  {\tempo 4 = 112}
}
