\version "2.8.3"

#(set-global-staff-size 18)

\header {
%   dedication = "dedication"
  title = "Si j'avais commis tous les crimes"
%   subtitle = "Subtitle"
  composer = "Fr. Ephraïm, Béatitudes"
}


chExceptionMusic =  {
    <c f g bes>1-\markup { "7/4" }
    <c e g bes>1-\markup { "7" }
    <c ees g bes>1-\markup { "m7" }
    <c f g>1-\markup { "4" }
    <c e g a>1-\markup { "6" }
    <c ees g a>1-\markup { "m6" }
    <c ees ges>1-\markup { "dim" }
    <c ees ges beses>1-\markup { "7dim" }
    }
% add to existing exceptions.
chExceptions = #(append
                 (sequential-music-to-chord-exceptions chExceptionMusic #t)
                 ignatzekExceptions)




\paper  {
    line-width = 16 \cm % ou #1 , en fraction de la distance 
}
global = {
\key a \major
\time 12/8
}
% transp = { \transpose c b }

sopMusic = \relative c' {
f8 f f f4 g8 g4. r8 g8 g
f4. f4 ees8 f4. f4 f8

bes4 a8 bes4 c8 c4. r4 f,8
d'4. c4 bes8 c4. c4 bes8
a4 g8 g4 f8 g4 g8 g4 g8

g4. f4 ees8 d4. d4 g8
g4 a8 a4 bes8 bes4. r4 bes8
bes4 c8 c4 bes8 bes4. r4 g8

g4 a8 a4 bes8 bes4. r4 bes8
bes4 c8 c4 bes8 bes2. \bar "||"

}
sopWords = \lyricmode {
Moi si j'a -- vais com -- mis tous les
cri -- mes pos -- si -- bles, je
gar -- de -- rai tou -- jours la
mê -- me con -- fian -- ce, car
je sais bien que cet -- te mul -- ti -- tu -- de
d'of -- fen -- ces n'est qu'u -- ne gout -- te d'eau
dans un bra -- sier ar -- dent,
n'est qu'u -- ne gout -- te d'eau
dans un bra -- sier ar -- dent.
}
altoMusic = \relative c' {
d2. ees c d
d f f f d ees
c d ees f ees d
ees f ees d
}
altoWords =\lyricmode {

}
tenorMusic = \relative c' {
bes2. bes a bes
bes a bes a bes bes
a bes bes bes bes4. a bes2.
bes bes bes4. a bes2.
}
tenorWords = \lyricmode {

}
bassMusic = \relative c, {
bes ees f bes
g f bes, f' g ees
f g ees d f g
ees d f bes,
}
bassWords = \lyricmode {

}
accords = \chordmode {
bes2. ees f bes
g:m f bes f g:m ees
f g:m ees bes f:7 g:m
ees bes f:7 bes
}

\score {
\new ChoirStaff <<
\new ChordNames { 
            \frenchChords
            \override ChordName  #'font-family = #'sans
            \override ChordName  #'font-shape = #'italic
            \override ChordName  #'font-size = #-1
            \set chordChanges = ##t
     \transpose c b \accords }
% \new Lyrics = sopranos { s1 }
\new Staff = women %<< \partcombine
{
<< {
\new Voice =
"sopranos" { \voiceOne \global  \transpose c b, \sopMusic }
    } \\ { 
\new Voice =
"altos" { \voiceTwo \global \transpose c b, \altoMusic } }
% \new Voice =
% "altos" { \voiceTwo << \global \transpose c b, \altoMusic >> }
>>
}
\new Lyrics = "paroles" { s1 }
% \new Lyrics = "tenors" { s1 }
\new Staff = men %<<
{
\new Voice =
"basses" { \clef bass  \global << { \transpose c b, \tenorMusic } \\ {  \transpose c b \bassMusic } >> }
% \new Voice =
% "basses" { \voiceTwo <<\global \transpose c b \bassMusic >> }
% >>
% \new Lyrics = basses { s1 }
}
% \context Lyrics = sopranos \lyricsto sopranos \sopWords

% \context Lyrics = altos 
\context Lyrics = paroles
  {
  \set fontSize = #-2
  \override Lyrics.LyricText #'font-name = #"Gill Sans MT" % #'font-family = #'sans %#'font-name = #"Gill Sans MT" %#'(font-name . "Gill Sans MT")
  \lyricsto sopranos \sopWords
  }
% \context Lyrics = tenors \lyricsto tenors \tenorWords
% \context Lyrics = basses \lyricsto basses \bassWords
>>
\layout {
\context {
% a little smaller so lyrics
% can be closer to the staff
\Staff
\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)
}
}
}