%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
% #(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
#(set-global-staff-size 23)
%#(set-global-staff-size 26)
\include "gregorian-init.ly"

pash = \override Stem #'transparent = ##t
hamp = \override Stem #'transparent = ##f
dm = \divisioMinima
dM = \divisioMaior
fin = \finalis
fr = { \frenchChords \set chordChanges = ##t }
co = \cadenzaOn
taille = { \override ChordName  #'font-size = #-1
           \override ChordName  #'font-shape = #'italic }



%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Tons de psaumes"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.8.3"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.3"

%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
%     line-width = 16 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
    top-margin = 2 \mm
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
%     ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm
    ragged-bottom = ##t
      ragged-right = ##t


%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
%   #(define fonts
%     (make-pango-font-tree "Times New Roman"
%                           "Nimbus Sans"
%                           "Luxi Mono"
%                            ))
}


<<  
   \relative c' { 
 \key f \major 
 \co
 \set Staff.instrument = "1"
             \pash f4 g \hamp a\breve bes1 a4^"*"
            \dM s2 a\breve g1 f4 \fin
            s2 \pash f4 g \hamp a\breve g4^"+" \dm }
>>

<<
     \transpose c d \relative c'' { 
 \key f \major 
 \co
 \set Staff.instrument = "2"

             \hamp a\breve g4 \dm
             f\breve e4 \dM
             d\breve \pash e4 f \hamp c \dm
             bes\breve \pash c4 d \hamp a \fin }
>>

<<
     \relative c' { 
      \key g \major
      \set Staff.instrument = "3"
      \cadenzaOn
             \hamp d\breve g1 e4^"*"
            \dM s2 e\breve fis1 d4 \fin
            s2 d\breve b4^"+" \dm }
>>

<<
     \transpose c c \relative c'' { 
      \key f \major
      \set Staff.instrument = "4"
      \cadenzaOn
             \hamp a\breve c4 \dm
             f,\breve g1 a4 \dM
             bes\breve \pash a4 \hamp g4 \dm
             g\breve f1 g4 \fin }
>>

  <<   
\new ChordNames { \taille \chordmode { \fr c1 c c4 a:m
                                  a1:m a:m a2:m g1 g4 c
                                  c1 c c2 f4 } }
\relative c' { 
      \key f \major
      \co
      \set Staff.instrument = "5 (-2)"
             \hamp f\breve \pash g4 \hamp a4^"*"
            \dM s2 a\breve g1 \pash a4 \hamp f4 \fin
            s2 \hamp f\breve d4^"+" \dm }

>>

<<
\new ChordNames { \taille \chordmode { \fr a1:m a:m e:m a4:m 
                    a2:m d1:m d:m e:m a4:m} }
\relative c'' { 
      \key g \minor
      \set Staff.instrument = "6 (+1)"
      \cadenzaOn
             \hamp g\breve a1 bes4^"*"
            \dM s2 g\breve f1 g4 \fin
            s2 \hamp g\breve f4^"+" \dm }
>>

<<
 \new ChordNames { \taille \chordmode { \fr c1 c c g4
                     g2 f1 f f c4 c2 c1 c a4:m   } }
 \new ChordNames { \taille \chordmode { \fr a1:m a:m a:m d4:m
                     d2:m f1 f f a4:m   } }
    \relative c'' { 
      \key g \major
      \set Staff.instrument = "7 (0)"
      \cadenzaOn
             \hamp g\breve b1 a4^"*"
            \dM s2 g\breve e1 g4 \fin
            s2 \hamp g\breve e4^"+" \dm }
>>

<<
 \new ChordNames { \taille \chordmode { \fr g1 g g4 g d
                      d4 d1 d c1 c4 c g
                      g4 g1 g e4:m   } }
     \relative c' { 
      \key d \major
      \set Staff.instrument = "8 (0)"
      \cadenzaOn
             \hamp fis\breve \pash d4 fis \hamp a4^"*"
            \dM s4 a\breve g1 \pash a4 g \hamp fis4 \fin
            s4 \hamp fis\breve d4^"+" \dm }
>>

<<
     \relative c'' { 
      \key f \major
      \set Staff.instrument = "9"
      \cadenzaOn
             \hamp g\breve a1 \pash g4 \hamp f4^"*"
            \dM s2 f\breve \pash e4 f \hamp g4 \fin
            s2 \hamp g\breve f4^"+" \dm }
>>

<<
 \new ChordNames { \taille \chordmode { \fr a1:m a:m a2:m d4:m
                      d4:m     a1:m a:m a2:m e4:m
                      e4:m     a1:m a:m d4:m   } }
 \new ChordNames { \taille \chordmode { \fr a1:m a:m a2:m g4
                      g4    f1 f f2 e4:m
                         } }
      \relative c'' { 
      \key g \major
      \set Staff.instrument = "Zacharie"
      \cadenzaOn
             \hamp b\breve \pash a4 g \hamp a4^"*"
            \dM s4 g\breve \pash fis4 e \hamp fis4 \fin
            s4 \hamp b\breve a4^"+" \dm }
>>

<<
 \new ChordNames { \taille \chordmode { \fr c1 c c4 a4:m
                      a4:m     g1 g g4 c4
                        } }
     \relative c'' { 
      \key c \major
      \set Staff.instrument = "11 (0)"
      \cadenzaOn
             \hamp g\breve \pash a4 \hamp b4^"*"
            \dM s4 a\breve \pash b4 \hamp g4 \fin
            s4 \hamp g\breve e4^"+" \dm }
>>

<<
 \new ChordNames { \taille \chordmode { \fr c2 c1 c f c4
                      c4    a1:m a:m g c4
                         } }
     \relative c' { 
      \key f \major
      \set Staff.instrument = "Marie"
      \cadenzaOn
            \pash f4 g \hamp a\breve bes1 a4^"*"
            \dM s4 a\breve g1 f4 \fin
%             s2 \hamp fis\breve d4^"+" \dm 
                        }
>>

<<
 \new ChordNames { \taille \chordmode { \fr a1:m a:m d4:m
%                       d2:m
                      a1:m a:m e4:m
%                       e2:m
                       f1 f f2 c4
%                       c2
                       d1:m d:m d2:m a4:m } }
     \relative c'' { 
      \key g \major
      \set Staff.instrument = "(Ps 50)"
      \cadenzaOn
             \hamp b\breve  a4 \dm
                 g\breve fis4 \dM
                 e\breve \pash fis4 g \hamp d4 \dm
                 c\breve \pash d4 e \hamp b4 \fin }
>>


<<
 \new ChordNames { \taille \chordmode { \fr g1 g2 b4:m
                  b2:m c2 c4 g2
                  d2 g e:m c4 c g2 d4 g2
                  g1 g c1 g4       g4
                    e1:m e:m a4:m a2:m g4
} }
     \relative c' { 
      \key c \major
      \time 2/4
      \set Staff.instrument = "Syméon"
      e8[ d] e g g4. e8 \time 3/4 c e e2 \time 2/4
      g8[ e] g a a4. a8  \time 3/4 f a g2 \time 2/4
      b8[ b] g a e[ d] c e e2~ e8 c8 
      a8[ c] \time 3/4 e g e4 d \time 2/4 e2 \bar "|." \break
      \cadenzaOn
             \hamp  g\breve a1 g4^"*"
            \dM s4 e\breve \pash d4 c4 d \hamp e4 \fin
            s4 \hamp g\breve e4^"+" \dm }
  \addlyrics { Sau -- ve- nous Sei -- gneur quand nous veil -- lons, gar -- de nous Sei -- gneur, quand nous dor -- mons, et nous veil -- le -- rons a -- vec le Christ, et nous re -- po -- se -- rons en paix! }
>>

\layout {
 \context {
    \RemoveEmptyStaffContext 
    \remove "Time_signature_engraver"
          }
    ragged-last = ##t
    }

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.