% Ce modèle convient pour des partitions à une ou plusieurs portées

%#(set-global-staff-size 11) % partitions de poche; 
%                          cette taille peut-être modifiée pour chaque système: staff-space
%                           ou chaque note: \set fontSize = #-4
%#(set-global-staff-size 13)
%#(set-global-staff-size 14)
%#(set-global-staff-size 16)
#(set-global-staff-size 18) % cahier de musique
%#(set-global-staff-size 20) % partition standard
%#(set-global-staff-size 23)
%#(set-global-staff-size 26)



%en-têtes globaux
\header {
%   dedication = "dedication"
  title = "Vois sur ton chemin"
%   subtitle = "Subtitle"
%   subsubtitle = "Subsubtitle"
%   composer = "Contrechant"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
%    tagline = "Lilypond 2.8.7"
   texidoc= "ici on peut écrire toute la documentation qu'on veut... "
}

\version "2.8.7"

% 7sus4 denoted with ^7 wahh
chExceptionMusic =  {
    <c f g bes>1-\markup { "7/4" }
    <c e g bes>1-\markup { "7" }
    <c ees g bes>1-\markup { "m7" }
    <c f g>1-\markup { "4" }
    <c e g a>1-\markup { "6" }
    <c ees g a>1-\markup { "m6" }
    <c ees ges>1-\markup { "dim" }
    <c ees ges beses>1-\markup { "7dim" }
    }

                                % add to existing exceptions.
chExceptions = #(append
                 (sequential-music-to-chord-exceptions chExceptionMusic #t)
                 ignatzekExceptions)




%définition globale pour la feuille
% #(set-default-paper-size "a7" 'landscape)
\paper  {
     line-width = 18 \cm % ou #1 , en fraction de la distance standard ?
%     paper-height = 10.0\cm
%     left-margin =
    top-margin = -0.0 \cm % on peut mettre du négatif pour serrer
%     head-separation = % distance entre l'en-tête et les portées
%     between-system-space = % écartement entre centre des portées
%     between-system-padding = % utilise plutôt l'écartement entre symboles extrêmes
    ragged-bottom = ##t % pour ne pas justifier verticalement les portées (orchestre)
%     indent = 8\mm
%     interscoreline = 2.\mm
%     between-system-space = 15\mm

%  pour définir d'autres polices roman/sans/monospace, à utiliser par exemple avec c'^\markup { roman: dutexte \sans textesanserif \typewriter textecourier }
  #(define fonts
    (make-pango-font-tree "Goudy Old Style"
                          "Gill Sans MT"
                          "Luxi Mono"
                           (/ 20 20)))
}

mesure = {\time 4/4}
Armature =  \key d \minor
parDeux = {  #(override-auto-beam-setting '(end * * * *) 1 4 )
	     #(override-auto-beam-setting '(end * * * *) 3 4 ) }

melodie =  \relative c'' {
\override Lyrics.LyricSpace #'minimum-distance = #1.4
\override Score.BarNumber 
	    #'break-visibility = #end-of-line-invisible
\set Score.barNumberVisibility = #(every-nth-bar-number-visible 2)

\tempo 2=48

r1*4 r1*4 r1*2
a8 a a f g2 g8 g g e f f g a 
f f f d e g f e a f e d e4 cis d2 r2 r1
d2 g f r8 g8 f e d2 g a4 d, r8 e8 d cis
d2 r2 r1     \bar "||"       a'8 a a f g2 g8 g g e f f g a
f f f d e g f e a f e d e4 cis << {d2 r2} \\ {d8 d d d g d d d} >> a'8 f e d e g f e
d4. d8 g4~ g16 f e8 f2 r8 g8 f e d4. d8 g4~ g16 f e8 a4 d,4 r8 e8 d cis
<< {d2 r2 r1 \bar "||" a'8 a a f g2} \\ {d8 d d d f d d d r8 d d d a' d, g e d2 r2} >> g8 g g e f f g a f f f d e g f e a f e d e4 cis 
	<< {d2 r2 r1} \\ {r8 d8 d d g d d d a' f e d e g f e} >>
d4. d8 g4~ g16 f e8 f2 r8 g8 f e d4. d8 g4~ g16 f e8 a4 d, r8 e8 d cis

<< {d2 r2 r1 \bar "||" r8 d8 d[ d] r8 ees ees[ ees] } \\ {d8 d d d f d d d r8 d d d a' d, g e d8 s8 s4 s2} >> r8 d8 d[ a'] r8 cis, cis[ cis]

r d d[ d] r g g[ g] r g g[ g] f4 e r8 d8 d[ d] r8 ees ees[ ees] r8 d8 d[ a'] r8 cis, cis[ cis]

r d d[ d] r g g[ g] r g g[ g] f4 e d1 r1

a'8 a a f g2 g8 g g e f f g a 
f f f d e g f e a f e d e4 cis

<< {d2 r2} \\ {d8 d d d g d d d} >> a'8 f e d e g f e
\bar "|:" d4. d8 g4~ g16 f e8 f2 r8 g8 f e d4. d8 g4~ g16 f e8 a4 d, r8 e8 d cis \bar ":|" d1 \bar "|."




%         \partial 16
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux (\\ indique les 2 voix)
%         f4~ f2 pour lier deux notes identiques
%         e2(  e) pour lier
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2
%             c16[ b a g] f[ e] Crochets indiquent comment grouper les barres de croches
%         \times 2/3 { r8 b a } pour des triolets
% 
%       nuances : \p, etc (collé aux notes)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3" (^ force up; _ force down)
%                \segno \marcato \fermata (point d'orgue) \breathe
%                \marcato \tenuto \accent
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \markup "chant" ou e4^\markup{ \italic ritenuto }
}

texte = \lyricmode {
% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ ou \skip 4)
% N.B. Pour forcer un mélisme avec des notes non liées, indiquer \melisma et \melismaEnd autour des notes en question
}

accompagnement = \chordmode {
\set chordNameExceptions = #chExceptions
s1 s1
	d1:m d2:m a:7sus4
d1:m d2:m a:7 d2:m g:m d:m a:7

d1:m g2:m a:7sus4 d1:m g2:m a:sus4 %13
d2:m a:7sus4 d:m a:7 d:m g:m d:m a:7 %17

d:m g:m d:m a:7sus4 d:m g:m d:m a:7 %21
d:m d:m g:m a:7sus4 d:m d:m g:m a:7sus4

d:m a:7sus4 d:m a:7 d:m g:m d:m a:7sus4 %29
d:m g:m7 d:m g:m6 d:m g:m7 d:m a:7

d:m d:m g:m a:7sus4 d:m d:m g:m a:7sus4 %37
d:m e:dim7 d:m a:7 d:m g:m d:m a:sus4
%41
d:m g:m d:m e:dim d:m g:m d:m a:7
d:m g:m d:m a:sus4 bes ees d:m a
d:m g:m6 a:7 a:7 bes ees d:m a
d:m g:m a:7 a:7 d:m d:m g:m a:sus4

d:m d:m g:m a:sus4 d:m a:sus4 d:m a:sus4
d:m g:m d:m a:7
d:m g:m d:m a:sus4

d:m g:m d:m a:7 d1:m

%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle =  \relative c {
d4 r4 d, r g r a r8 a8 d,4 r4 e r f r g r
d'4 r d, r d r e'8 g, f e d'4 r d, r d r << e'8 a,8 >> g f e
d'4 r d, r g r a r8 a8 d4 r d, r g r a r8 a8
d,4 r e r f r g r d' r d, r d r << e'8 a,8 >> g8 f e 
d4 r g r f r e r d r g r f r e r
r1*4
r1*4
d'2 g, f e d' g, f e
d' d g, a r1*2
r1*4
d2 g, f e d' g, f e

d'2 g, d' a bes g d' a
d g, a a bes g d' a
d g, a a d1 r1
d2 d, g a d, e f g 

d' d d a d g, f e d' g, f e d1
% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute =  \relative c'' {
r8 a8 d[ f] r8 f, bes[ d] r8 g, bes[ d] r8 f, g[ bes] r1*2 r1*4
r8 a8 d[ f] r8 f, bes[ d] r8 g, bes[ d] r8 f, g[ bes] r1*2 r1*4
d8 d d d g d d d a' f e d e g f e
d4. d8 g4~ g16 f e8 f2 r8 g8 f[ e] d4. d8 g4~ g16 f e8 a4 d, r8 e8 d[ cis]
d2 r2 r1 r1 r1
r1*4
d2 g f r8 g8 f[ e] d2 g a4 d, r8 e8 d[ cis]
d2 r2 r1 r1 r1
r8 d8 d[ d] g d d d a' f e d e g f e
d4. d8 g4~ g16 f e8 f2 r8 g8 f[ e] d4. d8 g4~ g16 f e8 a4 d, r8 e8 d[ cis]

d2 r2 r1 d2 ees d cis
d g g f4 e d2 ees d cis
d g g f4 e 

r8 a,8 d[ f] r8 f, bes[ d] r8 g, bes[ d] r8 f, g[ bes]
a'8 a a f g2 g8 g g e f f g a f f f d e g f e a f e d e4 cis

d2 r2 r1 
d4. d8 g4~ g16 f e8 f2 r8 g8 f[ e] d4. d8 g4~ g16 f e8 a4 d, r8 e8 d[ cis]
d1
}

Violon =  \relative c'' {
r1 r1 a'4. f8 g2 g4 g8 e f f g a
f4. d8 e g f e a f e d e4 cis d4. d8 g d d d a' f e d e g f e
d2 r2 r1 r1 r1
r1*4
f,2 bes d,4 f e2 f4 a d,2 f e
d4. e8 f2 g f4 e a2 g g f
d2 e4 d8 e f2 e d g a e
f2 bes d,4 f e2 f4 a d,2 f e 
d4. d16 e f4. f16 g g4 d d d8 e f4. f16 g g4 d d~ d16 d f g a2
r1*4
f2 bes d,4 f e2 f4 a d,2 f e

d8 d d d f d d d r8 d d[ d] a' d, g e
	bes'2 bes a a a e' e cis4 cis bes2 bes a a a e' e cis4 cis f2 d g e 

f4. f16 g g4 d d~ d16 d f g a2 d, e4 d8 e f4 d d cis

d4. e16 f g4. f16 g a4 e g f8 e
	d4. e16 f g4. f16 g a4 d, g f8 e
d4. e16 f g4. f16 g a4 d, e d8 cis d1
}

Clarinette =  \relative c' {
r8 d8 d[ d] r8 d8 d[ d] r8 d8 d[ d] r8 f8 g[ e]
	r8 d8 d[ d] r8 e8 d[ e] r8 f8 f[ f] r8 e8 e[ e]

r8 d8 d[ d] g d d d a' d, d d r8 g8 g[ g]
	r8 d8 d[ d] g d d d a' d, d d r8 g8 g[ g]
	
r8 d8 d[ d] r8 d8 d[ d] r8 d8 d[ d] r8 f8 g[ e]
	a2 g g f
	
d2 e4 d8 e f2 e    d8 d d d g d d d a' f e d e g f e
% 17
d4. d8 g4~ g16 f e8 f2 r8 g8 f[ e] d4. d8 g4~ g16 f e8 a4 d, r8 e8 d[ cis]
% 21
d4. e8 f2 g f4 e d2 r2 r1
% 25
r1 r1 d2 g a e 
% 29
d4. d8 g4~ g16 f e8 f2 r8 g8 f e d4. d8 g4~ g16 f e8 a4 d, r8 e8 d cis
% 33
d2 r2 r1 a'2 g g f
% 37
d e4 d8 e f4 d d cis      d4. e16 f g4. f16 g a4 e g f8 e
% 41
d4. e16 f g4. f16 g a4 d, g f8 e d4. e16 f g4. f16 g a4 d, e d8 cis
% 45
d4. d16 e f4. f16 g a4 d, d g8 e f2 g f g
% 49
f2 bes e, f4 e f2 g f g
% 53
f bes e, f4 e d2 bes' d, f4 e
% 57
r8 a8 a[ a] r8 g8 g[ g] r8 g8 g[ g] r8 f8 g[ g] r8 f8 f[ f] r8 g8 f[ e] 
	r8 e8 e[ d] r8 e8 cis[ cis] 
% 61
r8 d8 d[ d] r8 d8 d[ d] r8 f8 e[ d] r8 e8 d[ cis]
	r8 f8 a[ f] r8 g8 bes[ g] r8 d8 f[ d] e g f e
% 65
a f a f r8 g bes[ g] r8 d8 f[ d] e g f e
	a1
}
\score {

  <<
    \mesure
%     \override Score.BarNumber   #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = "chorale" <<

     \context ChordNames = "accords" {
%        \set ChordNames.midiInstrument = "recorder"
       \set ChordNames.midiInstrument = "acoustic guitar (nylon)"
%        \set ChordNames.midiInstrument = "string ensemble 2"
       \frenchChords
       \override ChordName  #'font-family = #'sans
       \override ChordName  #'font-shape = #'italic
       \override ChordName  #'font-size = #-1
       \set chordChanges = ##t
       \accompagnement
                                    }
      \context Staff = "chant" 
        \with {fontSize = #-3
        \override StaffSymbol #'staff-space = #(magstep -3)} 
      {
      \set Staff.midiInstrument = "acoustic grand"
      \set Staff.autoBeaming = ##t
%       \set Staff.melismaBusyProperties = #'(melismaBusy)
      \set Staff.instrument = \markup \tiny {"Chant "}
      \set Staff.instr = \markup \tiny {"Cht "}
% Pour avoir les barres de croches par deux
%   #(override-auto-beam-setting '(end * * * *) 1 4 )
%   #(override-auto-beam-setting '(end * * * *) 3 4 )
% ce qui est résumé dans la variable \parDeux

%   \set Staff.voltaSpannerDuration = #(make-moment 2 4)

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice = "one" {\voiceOne \melodie}
%	\context Voice = "two" {\voiceTwo \echo}
%         >>

                            }
     \addlyrics { % \small \tiny \teeny
%       \override LyricText #'font-name = #'"Gill Sans MT"
% 	\override LyricText #'font-family = #'sans
%       \set fontSize = #-2
       \texte
          }
                                >>

    \context StaffGroup = "contrechant" <<

% Pour la flûte ou le hautbois
% si on veut plusieurs voix sur la même portée,créer un nouveau \context qui a le même Staff = "fl"
      \context Staff = "fl" {
        \set Staff.autoBeaming = ##t
         \unset Staff.melismaBusyProperties 
	\set Staff.midiInstrument = "oboe"
	\set Staff.midiInstrument = "flute"
	\set Staff.midiInstrument = "english horn"
    
    \set Staff.instrument = \markup \tiny {
       \column  { "Flûte ou "
                 \line { "hautbois "} } }
    \set Staff.instr = \markup \tiny {
       \column  { "Fl. "
                 \line { "Htb. "} } }

%
	\Armature
        \Flute
	}

% Pour le violon

    \context Staff = "violon" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup \tiny {
            "Violon "
            
                }
    \set Staff.instr = \markup \tiny {
             "Vl. "
            
                }

%      \key g \major
%          \transpose c d
%         \Armature  \Violon
	}

% Pour la clarinette en Sib

    \context Staff = "sibemol" {
    \set Staff.autoBeaming = ##t
     \unset Staff.melismaBusyProperties 
    \set Staff.midiInstrument = "clarinet"
    \set Staff.instrument = \markup \tiny {
            "Clarinette "
            \line { "en Si" \smaller \flat}
                }
    \set Staff.instr = \markup \tiny {
             "Clar. "
             \line { "Si" \smaller \flat}
                }

     \key e \minor
         \transpose c d \Clarinette
	}

% Pour le violoncelle

      \context Staff = "basse" {
        \set Staff.autoBeaming = ##t
	\set Staff.midiInstrument = "trombone"
	\set Staff.midiInstrument = "cello"
	\set Staff.midiInstrument = "string ensemble 1"
	 \unset Staff.melismaBusyProperties 
	\set Staff.instrument = \markup \tiny { "Violoncelle "}
	\set Staff.instr = \markup \tiny {"Vlle "}
	\Armature
	\clef bass
         \Violoncelle
% 	 {s2*29}
	}
\override Score.VerticalAxisGroup #'remove-first = ##t % pour supprimer les portées vides dès la première ligne; doit se trouver dans les << >> de \score !!
  					>>
  >> % ouvert juste en dessous de la déclaration \score

% indications propres à l'entrée \score 
\layout {

  \context{
        \RemoveEmptyStaffContext
%     \Lyrics
%         \override LyricSpace #'minimum-distance = #1.0
         }


  ragged-last = ##t % ne justifie pas la dernière portée
%  ragged-right = ##t % ne justifie pas les portées à droite
  }
%   \midi  {\tempo 4 = 80
%     #(set! instrument-equalizer-alist
%        (append
%           '(
%            ("cello" . (0.5 . 1.0))
%            ("string ensemble 1" . (0.1 . 0.2))
%            ("string ensemble 2" . (0.1 . 0.2))
%            ("acoustic grand" . (0.2 . 0.8)) )
%        instrument-equalizer-alist))
%   }


  }
\markup {"La4 désigne l'accord la-ré-mi, La7/4 le même accord avec un ré en plus."}
\markup {"J'ai parfois hésité : La7/4 ou La7 ? La4 ou mi dim..."}

% Pour le midi, comme j'en avais marre de chipoter avec les volumes dans lilypond, j'ai édité les polices sonores (FluidR3-GM.sf2) avec swami et mis +50db d'atténuation à l'enveloppe dans "presets"

% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \layout juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \mesure et \override Score.BarNumber   #'padding = #3 ne peuvent pas être répétées dans chaque score.

% ?? Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps

% In addition, staves may be started and stopped at will. This is done with \startStaff and \stopStaff.


% Pour voir le Segno à la fin de la ligne, comme ce n'est pas le comportement par défaut, il faut dire dans l'écriture de la voix, au milieu des notes,
% lalala = \relative c' {
% a a a
% \override Score.RehearsalMark #'break-visibility = #begin-of-line-invisible
% e2 
% \mark \markup { \musicglyph #"scripts.segno" }
% \bar "||"
% }