#(ly:set-option 'old-relative)
\version "2.4.0"
#(set-global-staff-size 20)

%Pour afficher des bémols dans le texte
#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))

%pour les indications métronomiques
%	...accoler la chaîne suivante à la première note
%	^#`((columns (font-relative-size . -1)) ,note " = 112")

#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
#(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
#(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   dedication = "dedication"
   title = "Professions de foi 2005"
%   subsubtitle = "Subsubtitle"
%   composer = "Composer (xxxx-yyyy)"
%   opus = "Opus 0"
%   piece = "Piece I"
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
    tagline = "lilypond 2.4.6"
  }



entree =  \relative c' {
r1^"les deux premières mesures, jusqu'au sol (on peut jouer mi à la place)"
}

entreeacc = \chordmode {

}

% kyrie = invocation à l'Esprit
kyrie =  \relative c' {
e2. b8 gis' fis2(  fis8) gis fis e a gis fis e dis2 e1 \bar "|."
}

kyrieacc = \chordmode {
e1 b a2 b e1
}

gloria =  \relative c' {
b4 b c2 b4. c8 b4 d a2 g \bar "|."
}

gloriaacc = \chordmode {
g2 c g1 d2 g
}

%Psaume = Pendant la chrismation
psaumea =  \relative c' {
%   << \repeat 2 unfold { s1 * 3 \break }
    e8 e e d e4 e g8 g4 a8 fis2
    e8 e e d e4 e g8 g4 a8 fis2}
psaumeb =  \relative c' {
    g'8 g g fis g4 g b8 b4 c8 a2
    g8 g g fis g4 g fis8 e4 dis8 e2 \bar "|."
}

psaumeacca = \chordmode {
    e2:m c a:m7 d
    e2:m c a:m7 d}
psaumeaccb = \chordmode {
    g c g d
    g c b e

}


alleluia =  \relative c' {
r1^"Jouer le couplet ?"
}

alleluiaacc = \chordmode {

}


intentions =  \relative c' {
r1^"Jouer tout"
}

intentionsacc = \chordmode {

}


sanctus =  \relative c' {
r1^"Voir partition violoncelle"
}

sanctusacc = \chordmode {

}



anamnese =  \relative c' {
\time 3/4 r2 f8 g a4. a8 bes a g4 f f8^"Chant" g a4. s1
}

anamneseacc = \chordmode {
r2 f4 f2 bes4 c f
}


agnus =  \relative c' {
r4. f8 f f g4 g8 g a a d,2 \bar "|."
}

agnusacc = \chordmode {
r2 bes4 bes2 a4 d2:m
}

communion =  \relative c' {
r1^"Jouer tout aux instruments ?"
}

communionacc = \chordmode {

}

envoi =  \relative c' {
r1^"La deuxième partie du refrain ('appelés à la liberté')"
}

envoiacc = \chordmode {

}



\layout {raggedright = ##t % 18.0\cm
	interscoreline = 1.7\cm
	\context{ \RemoveEmptyStaffContext }
	}
%et maintenant répéter la section score autant de fois que de chants
% et remplacer l'occurence "entree" par ce qu'on a écrit plus haut
\score {
	
     <<
     \context ChordNames = "entreeaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \entreeacc}
      \context Staff = "entreeintro" {
         \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
%                                 #`(lines "Flûte ou" (columns "Hautbois"))
	\time 4/4
	\key e \minor
        \entree
                                    }
      >>
	\header {
%         \set #'font-shape = #'italic
% 	title = "Eucharistie de la Confirmation 2003"
%     subtitle = "Introductions aux chants"
%         opus = "A 561          "
        piece = "       Entrée, Le monde était dans la nuit" }
% \midi  {\tempo 4 = 92}
}




\score {

     <<
     \context ChordNames = "gloriaaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \gloriaacc}
      
      \context Staff = "gloriaintro" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
	\time 4/4
	\key g \major
        \gloria
                                    }
      >>
	\header {
        piece = "Gloire à Dieu, paix aux hommes" }
}
%

\score {

     <<
     \context ChordNames = "alleluiaaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \alleluiaacc}
      
      \context Staff = "alleluiaintro" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
	\time 4/4
	\key b \minor
        \alleluia
                                    }
      >>
	\header {
        piece = "Alleluia Ps 117" }
}

\score {
	
     <<
     \context ChordNames = "kyrieaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \kyrieacc}
      \context Staff = "kyrieintro" {
% 	 \set Staff.autoBeaming = ##t
         \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = ""
	\time 4/4
	\key e \major
        \kyrie
                                    }
      >>
	\header {
        piece = "Invocation à l'Esprit : Viens, Saint-Esprit" }
}

\score {

     <<
     \context ChordNames = "psaumeaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \psaumeacca}
      
      \context Staff = "psaumeintro" {
        \set Staff.midiInstrument = #"acoustic grand"
%         \set Staff.verticalExtent = #(0 . 5.0)
	\set Staff.instrument = "instr"
	\time 4/4
	\key e \minor
        \psaumea
%         \psaumeb
                                    }
      >>
	\header {
        piece = "Chrismation : Souffle imprévisible" }
}
\score {
     <<
     \context ChordNames = "psaumeaccordsb" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \psaumeaccb}
      
      \context Staff = "psaumeintrob" {
        \set Staff.midiInstrument = #"acoustic grand"
%         \set Staff.verticalExtent = #(0 . 5.0)
% 	\set Staff.instrument = "instr"
	\time 4/4
	\key e \minor
%         \psaumea
        \psaumeb
                                    }
      >>

}

\score {

     <<
     \context ChordNames = "intentionsaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \intentionsacc}
      
      \context Staff = "intentionsintro" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
	\time 4/4
	\key d \major
        \intentions
                                    }
      >>
	\header {
        piece = "Animés par l'Esprit de Jésus" }
}

\score {

     <<
     \context ChordNames = "sanctusaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \sanctusacc}
      
      \context Staff = "sanctusintro" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
	\time 4/4
	\key d \major
        \sanctus
                                    }
      >>
	\header {
        piece = "Sanctus AL 20" }
}
\score {

     <<
     \context ChordNames = "anamneseaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \anamneseacc}
      
      \context Staff = "anamneseintro" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
	\time 3/4
	\key f \major
        \anamnese
                                    }
      >>
	\header {
        piece = "Anamnèse" }
}
\score {

     <<
     \context ChordNames = "agnusaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \agnusacc}
      
      \context Staff = "agnusintro" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
	\time 4/4
	\key d \minor
        \agnus
                                    }
      >>
	\header {
        piece = "Agneau de Dieu" }
}
\score {

     <<
     \context ChordNames = "communionaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \communionacc}
      
      \context Staff = "communionintro" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
	\time 4/4
	\key d \minor
        \communion
                                    }
      >>
	\header {
        piece = "Nous te rendons grâce" }
}
\score {

     <<
     \context ChordNames = "envoiaccords" {
       \set midiInstrument = #"string ensemble 2"
       \set minimumVerticalExtent = #'(0 . 4)
%        \override ChordName   #'font-shape = #'italic
       \override ChordName   #'font-size = #-2
       \envoiacc}
      
      \context Staff = "envoiintro" {
        \set Staff.midiInstrument = #"acoustic grand"
	\set Staff.instrument = "instr"
	\time 4/4
	\key d \minor
        \envoi
                                    }
      >>
	\header {
        piece = "L'Esprit Saint qui nous est donné" }
}



  \midi  {\tempo 4 = 132}

