\version "1.6.6"
\include "paper16.ly"
\include "german-chords-init.ly"
#(set! german-Bb #t)

%Pour afficher des bmols dans le texte
#(define text-flat '((font-relative-size . -2) (music "accidentals--1")))

%pour les indications mtronomiques
%	...accoler la chane suivante  la premire note
%	^#`((columns (font-relative-size . -1)) ,note " = 112")

#(define note '(columns (music "noteheads-2" ((kern . -0.1) "flags-stem"))))
#(define eight-note `(columns ,note ((kern . -0.1) (music ((raise . 3.5) "flags-u3")))))
#(define dotted-eight-note `(columns ,eight-note (music "dots-dot")))

\header {
%   dedication = "dedication"
%   title = "Title"
%   subsubtitle = "Subsubtitle"
%   composer = "Composer (xxxx-yyyy)"
%   opus = "Opus 0"
%   piece = "Piece I"
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
    tagline = "Christophe"
  }



entree = \notes \relative c' {
r8 b e fis g g a g fis2 r8 fis8 g a g g fis e dis2 \time 2/4 e  \bar "|."
\time 4/4 \mark "chant" r8 b e fis g
}

entreeacc = \chords {
e1:m a2:m6 b c b e:m
}


kyrie = \notes \relative c' {
\partial 8
c'8^"Capo 3" | d4 bes8 a g4 a8 bes | c4 a a g | f2 r4 \mark "chant" c8 d | f4
}

kyrieacc = \chords {
r8 g2 e:m a4 b:m7 g:7+ a d2
}

gloria = \notes \relative c' {

}

gloriaacc = \chords {

}

psaume = \notes \relative c' {

}

psaumeacc = \chords {

}


alleluia = \notes \relative c' {
a'8 a a f g16 f8 d16 c8 f d4 e8 e f2 \bar "|."
}

alleluiaacc = \chords {
f2 bes4 f bes c f2
}


intentions = \notes \relative c' {

}

intentionsacc = \chords {

}


sanctus = \notes \relative c' {

}

sanctusacc = \chords {

}



anamnese = \notes \relative c' {

}

anamneseacc = \chords {

}


agnus = \notes \relative c' {

}

agnusacc = \chords {

}

communion = \notes \relative c' {

}

communionacc = \chords {

}

envoi = \notes \relative c' {

}

envoiacc = \chords {

}



\paper {linewidth = 18.0\cm
	interscoreline = 2.0\cm
	\translator{ \HaraKiriStaffContext }
	}
%et maintenant rpter la section score autant de fois que de chants
% et remplacer l'occurence "entree" par ce qu'on a crit plus haut
\score {
	\notes
     <
     \context ChordNames = entreeaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 6)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \entreeacc}
      \context Staff = entreeintro {
         \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = #`(lines "Flte ou" (columns "Hautbois"))
	\time 4/4
	\key e \minor
        \entree
                                    }
      >
	\header {
        \set #'font-shape = #'italic
	subtitle = "Eucharistie du 1ier dcembre 2002"
%         opus = "A 561          "
        piece = "Berger de Dieu, E 260" }
% \midi  {\tempo 4 = 92}
}

\score {
	\notes
     <
     \context ChordNames = kyrieaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 6)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \kyrieacc}
      \context Staff = kyrieintro {
% 	 \property Staff.autoBeaming = ##t
         \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = ""
	\time 4/4
	\key f \major
        \kyrie
                                    }
      >
	\header {
        piece = "Prparez les chemins du Seigneur E 134" }
}


%
% \score {
% 
%      <
%      \context ChordNames = gloriaaccords {
%        \property ChordNames.midiInstrument = #"string ensemble 2"
%        \property ChordNames.minimumVerticalExtent = #'(0 . 6)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
%        \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \gloriaacc}
%       \notes
%       \context Staff = gloriaintro {
%         \property Staff.midiInstrument = #"acoustic grand"
% 	\property Staff.instrument = "instr"
% 	\time 6/8
% 	\key g \minor
%         \gloria
%                                     }
%       >
% 	\header {
%         piece = "Tenir une lampe allume, P 205" }
% }
% 
% \score {
% 
%      <
%      \context ChordNames = psaumeaccords {
%        \property ChordNames.midiInstrument = #"string ensemble 2"
%        \property ChordNames.minimumVerticalExtent = #'(0 . 6)
%        \property ChordNames.ChordName \set #'font-shape = #'italic
%        \property ChordNames.ChordName \set #'font-relative-size = #-1
%        \psaumeacc}
%       \notes
%       \context Staff = psaumeintro {
%         \property Staff.midiInstrument = #"acoustic grand"
% 	\property Staff.instrument = "instr"
% 	\time 6/8
% 	\key g \minor
%         \psaume
%                                     }
%       >
% 	\header {
%         piece = "Soleil d'une esprance, E 122" }
% }

\score {

     <
     \context ChordNames = alleluiaaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 6)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \alleluiaacc}
      \notes
      \context Staff = alleluiaintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 2/4
	\key f \major
        \alleluia
                                    }
      >
	\header {
        piece = "alleluia africain" }
}


\score {

     <
     \context ChordNames = intentionsaccords {
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.minimumVerticalExtent = #'(0 . 6)
       \property ChordNames.ChordName \set #'font-shape = #'italic
       \property ChordNames.ChordName \set #'font-relative-size = #-1
       \intentionsacc}
      \notes
      \context Staff = intentionsintro {
        \property Staff.midiInstrument = #"acoustic grand"
	\property Staff.instrument = "instr"
	\time 6/8
	\key g \minor
        \intentions
                                    }
      >
	\header {
        piece = "Donne la paix" }
}

	\header {
        piece = "envoi " }



  \midi  {\tempo 4 = 132}

