#(ly:set-option 'old-relative)
\version "1.9.8"

% Ce modèle convient pour des partitions à une ou plusieurs portées

%\include "paper11.ly"
%\include "paper13.ly"
\include "paper16.ly"
%\include "paper20.ly"
%\include "paper26.ly"

%% pour le volume des canaux midi, ne pas oublier d'indiquer \f
% #(set! instrument-equalizer-alist
%      (append
%         '(
%    ("cello" . (0 . 2.0))
%    ("string ensemble 1" . (0 . 2.0))
%    ("string ensemble 2" . (0 . 2.0))
%    ("acoustic grand" . (0 . 3.0))
%     )
%        instrument-equalizer-alist))


\header {
%   dedication = "dedication"
%   title = "Title"
   subtitle = "Dieu a mis son corps entre nos mains"
%   subsubtitle = "Subsubtitle"
   composer = "CR 179"
%   opus = "Opus | pour violoncelle"
%   piece = "."
%   instrument = "Instrument"
%   arranger = "Arranger"
%   poet = "Poet"
%   texttranslator = "Translator"
%   copyright = "public domain"
%   source =  "urtext "
%   enteredby = "your name here"
%   maintainerEmail = "your email here"
%   texidoc = "The standard header that ought to be above a file."
   tagline = "Lilypond 2.0.3"
}

global = {\time 4/4}
Armature = \notes \key e \minor


melodie = \notes \relative c' {

	
         \tempo 2=72 % indication métronomique pour la feuille et midi
         \partial 4 b4
	 e b' b b b a g fis e1 e2. d4
	 d a' a b a g fis e d1-( d2.-) b4
	 e b' b b b a g fis a1 g \bar "|:"
	 g4 g g g fis e d b e1-( e-) \bar ":|"
	 s1*4 r1
%         \repeat volta 2 { élément commun }
%         \alternative  { { ce qui est sous le crochet 1 }
%                       { ce qui est sous le crochet 2 } }
%
%         << { r1 } \\ { a2 a } >> pour jouer { ces deux morceaux
          % e2(  e) pour lier deux notes identiques
%         | pour forcer une barre de mesure
%         \bar "|." à la fin
%         \bar "||" comme double barre
%         \bar "|:" comme barre de reprise
%         \time 2/4 \time 4/4 pour changer la mesure en cours de route

%         \break pour forcer un saut à la ligne
%       << \repeat  unfold 2 { s1 s1 s1 s1 \break } % permet d'avoir 4 mesures par ligne pendant 2 lignes ; fermer le >> après avoir inséré la musique entre {}
%
%         s8 bes4 c,4 g8( f) g4 f2 r4 s1*2

%       nuances : \p, etc (collé aux notes?)
%         indications : f^"Da Capo" ^"Fine" ^"Capo 3"
%                ^\segno \marcato \fermata  \breathe
%                \cr terminé par \rc ; \decr ... \rced
%             ou  \<             \! ;  \>         \!
%        et aussi :  \mark "chant"
}

texte = \lyrics {

% 	ren -- dons
%     sain __ te -- té (N.B. pour passer des notes sans texte, mettre un _ )
}

accompagnement = \chords {

%   ne pas répéter \repeat volta 2 si utilisée précédemment, mais on peut mettre les accords correspondant entre {} pour la lisibilité
%   d1:m a2:7.4 g1:m7 d:m bes2 fis:m5-.7-
}

Violoncelle = \notes \relative c' {
 s1*16 r1
 s1*4 r1
% ici aussi, ne pas redire \repeat mais utiliser des {}
}

Flute = \notes \relative c' {
 s1*16 r1
 s1*4 r1
}

Clarinette = \notes \relative c' {
 s1*16 r1
 s1*4 r1
}

\score {
  <<
    \global
    \property Score.BarNumber \override #'padding = #3

% Pour le chant et les accords

    \context StaffGroup = chorale <<

     \context ChordNames = accords {
       \property ChordNames.midiInstrument = #"recorder"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"
       \property ChordNames.midiInstrument = #"string ensemble 2"
       \property ChordNames.midiInstrument = #"acoustic guitar (nylon)"

       \property ChordNames.minimumVerticalExtent = #'(0 . 4)
%                                       #'(? . dist.accord-titre au-dessus)
       \property ChordNames.ChordName \set #'font-family = #'typewriter
%       \property ChordNames.ChordName \set #'font-magnification = #1.2
%        \property ChordNames.ChordName \set #'font-shape = #'italic
%        \property ChordNames.ChordName \set #'font-relative-size = #-1
       \property ChordNames.chordChanges = ##t
       \accompagnement
                                    }
     \addlyrics
      \context Staff = chant {
      \property Staff.midiInstrument = #"acoustic grand"
      \property Staff.autoBeaming = ##t
%     \property Voice.autoBeamSettings \override #'(end * * * *) = #(ly:make-moment 1 4) % pour que les barres de croches durent 1 tps
      \property Staff.automaticMelismata = ##f
      \property Staff.instrument = "Chant"
      \property Staff.instr = "Cht"
      \property Staff.fontSize = -1
      \property Staff.minimumVerticalExtent = #'(-4 . 3)
%                            #'(-dist.notes-textes . dist.notes-accords)
%     souvent #'(-4 . 3 convient) bien;#'(-7 . 5 dans) les cas extrêmes?

%   \property Staff.voltaSpannerDuration = #(make-moment 2 4)
% 	\property Staff.staff-space = 2

	\Armature % définie plus haut
        \melodie
% cas où on met deux voix sur une portée, les voix portant autant de skips que nécessaire
%         <<
%	\context Voice=one {\voiceOne \melodie}
%	\context Voice=two {\voiceTwo \echo}
%         >>

                            }
      \context Lyrics \texte
% ou, pour changer la taille des caractères,
%       \context Lyrics = ttx {
%        \property Lyrics.LyricText \override #'font-relative-size = #'+1
%       \texte}

                                >>

    \context StaffGroup = contrechant <<

% Pour la flûte ou le hautbois

      \context Staff = fl {
        \property Staff.autoBeaming = ##t
        \property Staff.automaticMelismata = ##t
	\property Staff.midiInstrument = #"oboe"
	\property Staff.midiInstrument = #"flute"
	\property Staff.midiInstrument = #"english horn"
    \property Staff.instrument = \markup {
             \column < "Flute ou" { "Hautbois"} > }
    \property Staff.instr = \markup {
             \column < "Fl." { "Htb."} > }
%
% 	\notes \key g \major
	\Armature
        \Flute
	}

% Pour la clarinette en Sib

    \context Staff = sibemol {
    \property Staff.autoBeaming = ##t
    \property Staff.automaticMelismata = ##t
    \property Staff.midiInstrument = #"clarinet"
    \property Staff.instrument = \markup {
             \column < "Clarinette"
               { "en Si" \smaller \musicglyph #"accidentals--1"}
               > }
    \property Staff.instr = \markup {
             \column < "Clar."
               { "Si" \smaller \musicglyph #"accidentals--1"}
               > }

    \notes \key g \major
% 	\Armature
        \notes \transpose c d \Clarinette
% 	\notes {s2*29}
	}

% Pour le violoncelle

      \context Staff = basse {
        \property Staff.autoBeaming = ##t
	\property Staff.midiInstrument = #"trombone"
	\property Staff.midiInstrument = #"cello"
	\property Staff.midiInstrument = #"string ensemble 1"
	\property Staff.automaticMelismata = ##t
	\property Staff.instrument = "Violoncelle "
	\property Staff.instr = "Vlle "
	\Armature
	\clef bass
         \Violoncelle
% 	\notes {s2*29}
	}
  					>>
  >> % ouvert juste en dessous de la déclaration \score

  \paper {linewidth = 100 * \staffspace
%     linewidth = 150
%     linewidth = 18.0\cm
%     linewidth = -1 pour ne pas justifier les portées, mais cfr. infra
% 	  interscoreline = 2.0\cm ou 22 (sans rien derrière)

% Pour changer l'écart entre les notes :

%       \translator{
%           \ScoreContext
%           SpacingSpanner \override #'spacing-increment = #2.2
%           SpacingSpanner \override #'shortest-duration-space = #3.0

%       \translator{
%        	\RemoveEmptyStaffContext 
% %       \ScoreContext
% %       TextScript \override #'font-shape = #'upright
%       }
  }
%   \midi  {\tempo 4 = 80}
}
% Pour faire plusieurs partitions sur une page (introductions, ou ... il) faut inverser les choses :
% définir \paper juste après avoir donné les mélodies, puis faire une section \score suivie d'une section \header pour chaque ensemble. Il peut y avoir une section \header au tout début aussi (notamment avec le tagline)
% Par contre, la déclaration \midi doit venir à la fin, et les déclarations \global et \property Score.BarNumber \override #'padding = #3 ne peuvent pas être répétées dans chaque score.

% Problème quand on ne justifie pas les portées : il n'y a plus de marges !!
% Donc, reprendre le postscript avec pstops, par exemple
% pstops "1:0@.9(0.05w,0.05h)" fichier_sans_marges.ps >> fichier_avec _marge.ps
